---
title: درباره ما
hide:
  - toc
  - feedback
  # - navigation
  
comments: false
weight: 5
---

<style>
@media screen and (min-width: 76.1875em) {.md-sidebar{display:none;}}
  .md-content__button {
    display: none;
  }
</style>


  <section class="products-section">
  <main class="2xl:flex 2xl:justify-center">
    <div class="px-3 md:px-10 lg:px-20 py-10 flex flex-col gap-40 2xl:max-w-[1920px]">
      <section class="w-full grid grid-cols-1 lg:grid-cols-2 gap-10">
        <div class="flex flex-col gap-10 w-full">
          <h1 class="text-primaryText text-6xl font-semibold">داستان هیدیفای</h1>
          <h2 class="text-primaryText text-4xl font-medium">راهکار آزادی اینترنت</h2>
          <p class="text-secondaryText text-base font-medium">
            در ایران، دسترسی به اینترنت به شدت سانسور می‌شود، حتی بیشتر پس از مرگ <a
              href="https://en.wikipedia.org/wiki/Death_of_Mahsa_Amini" class="underline underline-offset-4">مهسا
              امینی</a> و اعتراضات پس از آن.
            در نتیجه، افراد عادی با محدودیت‌هایی در دسترسی به اینترنت باز مواجه شده‌اند.
          </p>
          <p class="text-secondaryText text-base font-medium">
            پروژه هیدیفای به افراد راه‌هایی ساده و مقرون‌به‌صرفه برای دسترسی به اینترنت بدون محدودیت ارائه می‌دهد.
          </p>
          <div
            class="w-fit lg:w-[486px] h-11 rounded-full border border-[#504A82] py-2 px-6 md:px-8 flex items-center justify-center">
            <span class="text-secondaryText font-medium text-lg pr-3 md:pr-5">مخفی</span>
            <span class="md:px-5 px-3">
              <img src="/assets/add.svg" class="h-6 w-6" decoding="async" loading="lazy" />
            </span>
            <span class="text-secondaryText font-medium text-lg px-3 md:px-5">ساده</span>
            <span class="lg:px-5 px-2 md:px-3">
              <img src="/assets/right-arrow.svg" class="h-6 w-6 rotate-180" decoding="async" loading="lazy" />
            </span>
            <span class="text-secondaryText font-medium text-lg pl-3 md:pl-5">هیدیفای</span>
          </div>
        </div>
        <div class="w-full">
          <img src="/assets/web-game.svg" class="w-full mix-blend-multiply" decoding="async" loading="lazy" />
        </div>
      </section>

<section class="flex items-center justify-center py-10">
  <div class="flex flex-col gap-10 w-full max-w-[1200px] items-center justify-center">
    <!-- Timeline Header -->
    <div class="flex items-center justify-center flex-col gap-3">
      <h1 class="text-primaryText text-2xl font-semibold">داستان هیدیفای از تولد تا امروز</h1>
    </div>

    <!-- Timeline Grid -->
    <div class="grid grid-cols-1 lg:grid-cols-4 w-[350px] lg:w-full gap-6">
      <!-- Example Timeline Item -->
      <div class="relative flex flex-col justify-center lg:justify-start lg:items-center">
        <div class="rounded-full h-3 w-3 absolute -left-[6px] lg:-top-[6px] lg:left-[unset] bg-[#504A82]"></div>
        <div class="w-full">
          <div class="absolute left-0 lg:right-[unset] top-0 lg:top-[unset] lg:left-0 h-1/2 w-1/2 lg:h-full border-l-2 lg:border-l-0 lg:border-t-2 border-[#504A82]"></div>
          <div class="py-5 w-full flex items-center justify-center flex-col">
            <span class="text-black font-light text-sm mb-3">شهریور ۱۴۰۱</span>
            <h3 class="text-secondaryText font-medium text-base">تولد هیدیفای</h3>
            <p class="text-secondaryText text-sm">توسعه نسخه اولیه با الهام از Awesome Freedom</p>
          </div>
        </div>
      </div>

      <!-- Additional Timeline Items -->
      <div class="relative flex flex-col justify-center lg:justify-start lg:items-center">
        <div class="rounded-full h-3 w-3 absolute -left-[8px] lg:left-[unset] lg:-top-[8px] bg-[#504A82]"></div>
        <div class="py-5 flex flex-col items-center lg:items-[unset]">
          <span class="text-black font-light text-sm w-full flex items-center justify-center mb-3">آذر ۱۴۰۱</span>
          <div class="w-[230px] ml-20 lg:ml-0 lg:w-fit">
            <span class="text-secondaryText font-medium text-base flex items-center gap-2">
              <div class="h-2 w-2 bg-secondaryText rounded-full"></div>
              انتشار HiddifyManager نسخه اولیه
            </span>
            <p class="text-secondaryText text-sm">شروع استفاده از روش‌های مختلف پروکسی</p>
          </div>
        </div>
      </div>

      <div class="relative flex flex-col justify-center lg:justify-start lg:items-center">
        <div class="rounded-full h-3 w-3 absolute -left-[8px] lg:left-[unset] lg:-top-[8px] bg-[#504A82]"></div>
        <div class="py-5 flex flex-col items-center lg:items-[unset]">
          <span class="text-black font-light text-sm w-full flex items-center justify-center mb-3">تیر ۱۴۰۲</span>
          <div class="w-[230px] ml-20 lg:ml-0 lg:w-fit">
            <span class="text-secondaryText font-medium text-base flex items-center gap-2">
              <div class="h-2 w-2 bg-secondaryText rounded-full"></div>
              ارائه نسخه ۷ HiddifyManager
            </span>
            <p class="text-secondaryText text-sm">افزودن پشتیبانی از پروتکل‌های جدید</p>
          </div>
        </div>
      </div>

      <!-- Continue with additional events -->
      <div class="relative flex flex-col justify-center lg:justify-start lg:items-center">
        <div class="rounded-full h-3 w-3 absolute -left-[6px] lg:-top-[6px] lg:left-[unset] bg-[#504A82]"></div>
        <div class="w-full">
          <div class="absolute left-0 lg:right-[unset] top-0 lg:top-[unset] lg:left-0 h-1/2 w-1/2 lg:h-full border-l-2 lg:border-l-0 lg:border-t-2 border-[#504A82]"></div>
          <div class="py-5 w-full flex items-center justify-center flex-col">
            <span class="text-black font-light text-sm mb-3">اکنون</span>
            <h3 class="text-secondaryText font-medium text-base">در حال کار روی نسخه‌های بعدی</h3>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>


      <section class="flex flex-col items-center">
        <h1 class="text-primaryText text-2xl font-semibold mb-10">تیم‌های ما</h1>
        <div class="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-4 gap-5">
          <div
            class="border-2 bg-white bg-opacity-25 border-white rounded-[32px] px-5 py-20 flex items-center justify-center flex-col">
            <img src="/assets/development.svg" class="w-full max-w-52 lg:max-w-[185px] mb-5" />
            <h1 class="font-medium text-lg text-primaryText mb-5">توسعه</h1>
            <p class="text-secondaryText text-base font-medium">
              توسعه‌دهندگان ما با <a href="https://github.com/hiddify/Hiddify-Manager"
                class="underline underline-offset-4">هیدیفای منیجر</a> و <a
                href="https://github.com/hiddify/hiddify-next" class="underline underline-offset-4">برنامه هیدیفای</a>
              رویاهای ما را به واقعیت تبدیل می‌کنند.
            </p>
          </div>

          <div
            class="border-2 bg-white bg-opacity-25 border-white rounded-[32px] px-5 py-20 flex items-center justify-center flex-col">
            <img src="/assets/design.svg" class="w-full max-w-52 mb-5" />
            <h1 class="font-medium text-lg text-primaryText mb-5">طراحی</h1>
            <p class="text-secondaryText text-base font-medium">
              طراحان ما تصاویر خیره‌کننده ایجاد کرده و UX محصولات هیدیفای را از طریق تست‌های کاربری بهبود می‌بخشند.
            </p>
          </div>

          <div
            class="border-2 bg-white bg-opacity-25 border-white rounded-[32px] px-5 py-20 flex items-center justify-center flex-col">
            <img src="/assets/content.svg" class="w-full max-w-52 mb-5" />
            <h1 class="font-medium text-lg text-primaryText mb-5">محتوا</h1>
            <p class="text-secondaryText text-base font-medium">
              ما محتوای جذاب و آموزنده‌ای از جمله <a href="https://github.com/hiddify/Hiddify-Manager/wiki"
                class="underline underline-offset-4">ویکی جامع ما</a> و <a href="https://www.youtube.com/@hiddify"
                class="underline underline-offset-4">آموزش‌های یوتیوب</a> گردآوری می‌کنیم.
            </p>
          </div>

          <div
            class="border-2 bg-white bg-opacity-25 border-white rounded-[32px] px-5 py-20 flex items-center justify-center flex-col">
            <img src="/assets/user-support.svg" class="w-full max-w-52 lg:max-w-[185px] mb-5" />
            <h1 class="font-medium text-lg text-primaryText mb-5">پشتیبانی کاربران</h1>
            <p class="text-secondaryText text-base font-medium">
              ما همیشه برای پاسخ به سوالات شما در <a href="https://t.me/hiddify_board"
                class="underline underline-offset-4">گروه تلگرام</a> در دسترس هستیم.
            </p>
          </div>
        </div>
      </section>

      <section class="flex flex-col gap-5">
        <div class="flex flex-col gap-5 md:w-1/2">
          <h1 class="text-primaryText font-semibold text-2xl">نیازمند همکاران</h1>
          <p class="text-secondaryText text-base font-medium">
            ما همیشه به دنبال متخصصانی هستیم که به بهبود هیدیفای کمک کنند. لطفا رزومه خود را برای ما ارسال کنید.
          </p>
        </div>

        <div class="grid grid-cols-1 md:grid-cols-2 gap-10">
          <div class="flex flex-col gap-5">
            <div class="w-full flex items-center justify-end">
              <button onclick="window.location.href='mailto:contribute@hiddify.com';"
                class="bg-primary text-white border border-white px-4 py-2 rounded-xl">ایمیل بزنید</button>
            </div>
            <div class="flex items-center justify-center md:justify-end">
              <img src="/assets/contributes.svg" class="w-full md:max-w-[420px] mix-blend-multiply" />
            </div>
          </div>

          <div class="flex flex-col gap-10">
            <div class="flex flex-col gap-5">
              <h1 class="text-primaryText font-medium text-lg">تیم توسعه</h1>
              <p class="text-secondaryText text-base font-medium">
                به تیم توسعه پویا ما بپیوندید! ما به دنبال توسعه‌دهندگان پایتون، کاتلین و فلاتر هستیم تا با ما نوآوری
                کنند.
                آینده تکنولوژی را شکل دهید—بیایید با هم آن را بسازیم.
              </p>
            </div>

            <div class="flex flex-col gap-5">
              <h1 class="text-primaryText font-medium text-lg">تیم محتوا</h1>
              <p class="text-secondaryText text-base font-medium">
                آیا در ساخت ویدیوهای جذاب برای یوتیوب، ویرایش ویدیو و ایجاد محتوای بصری برای کانال‌های اجتماعی ماهر
                هستید؟ ما شما را به بخشی از سفر خود در تعریف دوباره خلاقیت دعوت می‌کنیم.
              </p>
            </div>

            <div class="flex flex-col gap-5">
              <h1 class="text-primaryText font-medium text-lg">تیم طراحی</h1>
              <p class="text-secondaryText text-base font-medium">
                تجربه‌های کاربری را با تیم طراحی ما ارتقاء دهید! ما در جستجوی یک کارشناس طراحی UX/UI هستیم تا نقش مهمی
                در بهبود تعاملات کاربران در محصولات مختلف هیدیفای ایفا کند. اگر دید طراحی خوبی دارید، بهبود سفرهای
                کاربری
                را دوست دارید و در UX/UI تخصص دارید، ما می‌خواهیم شما بخشی از نیروی خلاق ما باشید.
              </p>
            </div>
          </div>
        </div>
      </section>

      <section
        class="flex flex-col gap-20 border-white border rounded-[35px] md:rounded-[100px] bg-[#D3CCF7] bg-opacity-90 p-5 md:p-20">
        <div class="flex gap-5 flex-col">
          <h1 class="text-primaryText font-semibold text-2xl">می‌خواهید از هیدیفای حمایت کنید؟</h1>
          <p class="text-secondaryText text-base font-medium">
            آسان‌ترین راه برای حمایت از ما کلیک روی ستاره (⭐) <br class="hidden md:block" /> در بالای صفحه <a
              href="https://github.com/hiddify/Hiddify-Manager" class="underline underline-offset-4">گیت‌هاب</a> ما
            است.
          </p>
        </div>
        <div>
          <p class="text-secondaryText text-base font-medium">
            ما همچنین به حمایت مالی برای خدمات خود نیاز داریم. تمام <br class="hidden md:block" /> فعالیت‌های ما به
            صورت
            داوطلبانه انجام می‌شود و حمایت مالی <br class="hidden md:block" /> برای توسعه پروژه صرف خواهد شد. <br
              class="hidden md:block" />
            برای مشارکت، لطفا به <a href="https://github.com/hiddify/Hiddify-Manager/wiki/support"
              class="underline underline-offset-4">صفحه کمک‌های مالی</a> ما در گیت‌هاب مراجعه کنید.
          </p>
        </div>
      </section>
    </div>
  </main>

  <script>
    var menuBtn = document.getElementById("menu-btn");
    var sideBar = document.getElementById("sidebar");
    var closeSideBarBtn = document.getElementById("close-sidebar-btn")

    menuBtn.addEventListener("click", function () {
      sideBar.classList.remove("hidden");
      sideBar.classList.add("flex");
    });

    closeSideBarBtn.addEventListener("click", function () {
      sideBar.classList.remove("flex");
      sideBar.classList.add("hidden");
    });
  </script>



</section>
