---
title: About Us
hide:
  - toc
  - feedback
  # - navigation
  
comments: false
weight: 5
---

<style>
@media screen and (min-width: 76.1875em) {.md-sidebar{display:none;}}
  .md-content__button {
    display: none;
  }
</style>


  <section class="products-section">
  <main class="2xl:flex 2xl:justify-center">
    <div class="px-3 md:px-10 lg:px-20 py-10 flex flex-col gap-40 2xl:max-w-[1920px]">
      <section class="w-full grid grid-cols-1 lg:grid-cols-2 gap-10">
        <div class="flex flex-col gap-10 w-full">
          <h1 class="text-primaryText text-6xl font-semibold">The Story of Hiddify </h1>
          <h2 class="text-primaryText text-4xl font-medium">Internet Freedom Solution</h2>
          <p class="text-secondaryText text-base font-medium">
            In Iran, internet access is heavily censored, even more so after <a
              href="https://en.wikipedia.org/wiki/Death_of_Mahsa_Amini" class="underline underline-offset-4">Mahsa
              Amini's</a> death and
            subsequent protests.
            Consequently, everyday individuals have faced restrictions in accessing the open internet since then.
          </p>
          <p class="text-secondaryText text-base font-medium">
            The Hiddify project aims to provide people with straightforward and affordable ways to access the
            unrestricted
            internet on a broad scale.
          </p>
          <div
            class="w-fit lg:w-[486px] h-11 rounded-full border border-[#504A82] py-2 px-6 md:px-8 flex items-center justify-center">
            <span class="text-secondaryText font-medium text-lg pr-3 md:pr-5">Hidden</span>
            <span class="md:px-5 px-3">
              <img src="/assets/add.svg" class="h-6 w-6" decoding="async" loading="lazy" />
            </span>
            <span class="text-secondaryText font-medium text-lg px-3 md:px-5">Simplify</span>
            <span class="lg:px-5 px-2 md:px-3">
              <img src="/assets/right-arrow.svg" class="h-6 w-6" decoding="async" loading="lazy" />
            </span>
            <span class="text-secondaryText font-medium text-lg pl-3 md:pl-5">Hiddify</span>
          </div>
        </div>
        <div class="w-full">
          <img src="/assets/web-game.svg" class="w-full mix-blend-multiply" decoding="async" loading="lazy" />
        </div>
      </section>

      <section class="flex items-center justify-center">
        <div class="flex flex-col gap-10 w-full max-w-[1200px] items-center justify-center">
          <div class="flex items-center justify-center flex-col gap-3">
            <h1 class="text-primaryText text-2xl font-semibold">Timeline</h1>
            <h3 class="text-secondaryText text-lg font-medium">From beginning until now</h3>
          </div>
          <div class="grid grid-cols-1 lg:grid-cols-4 w-[350px] lg:w-full h-[800px] lg:h-fit">
            <div class="relative flex flex-col justify-center lg:justify-start lg:items-center">
              <div class="rounded-full h-3 w-3 absolute -left-[6px] lg:-top-[6px] lg:left-[unset] bg-[#504A82]"></div>
              <div class="w-full">
                <div
                  class="absolute left-0 lg:left-[unset] lg:right-0 bottom-0 lg:bottom-[unset] w-1/2 h-1/2 lg:h-full border-l-2 lg:border-l-0 lg:border-t-2 border-[#504A82]">
                </div>
                <div class="py-5 w-full flex items-center justify-center flex-col">
                  <span class="text-black font-light text-sm mb-3">Sep 2022</span>
                  <h3 class="text-secondaryText font-medium text-base">First Working Version</h3>
                </div>
              </div>
            </div>

            <div
              class="border-l-2 lg:border-l-0 lg:border-t-2 border-[#504A82] relative flex flex-col justify-center lg:justify-start lg:items-center">
              <div class="rounded-full h-3 w-3 absolute -left-[8px] lg:left-[unset] lg:-top-[8px] bg-[#504A82]"></div>
              <div class="py-5 flex flex-col items-center lg:items-[unset]">
                <span class="text-black font-light text-sm w-full flex items-center justify-center mb-3">Dec 2022</span>
                <div class="w-[230px] ml-20 lg:ml-0 lg:w-fit">
                  <span class="text-secondaryText font-medium text-base flex items-center gap-2">
                    <div class="h-2 w-2 bg-secondaryText rounded-full"></div>
                    Hiddify Manager v1
                  </span>
                  <span class="text-secondaryText font-medium text-base flex items-center gap-2">
                    <div class="h-2 w-2 bg-secondaryText rounded-full"></div>
                    Provided 6 protocol
                  </span>
                </div>
              </div>
            </div>

            <div
              class="border-l-2 lg:border-l-0 lg:border-t-2 border-[#504A82] relative flex flex-col justify-center lg:justify-start lg:items-center">
              <div class="rounded-full h-3 w-3 absolute -left-[8px] lg:left-[unset] lg:-top-[8px] bg-[#504A82]"></div>
              <div class="py-5 flex flex-col items-center lg:items-[unset]">
                <span class="text-black font-light text-sm w-full flex items-center justify-center mb-3">Jun 2023</span>
                <div class="w-[230px] ml-20 lg:ml-0 lg:w-fit">
                  <span class="text-secondaryText font-medium text-base flex items-center gap-2">
                    <div class="h-2 w-2 bg-secondaryText rounded-full"></div>
                    Hiddify Manager v7
                  </span>
                  <span class="text-secondaryText font-medium text-base flex items-center gap-2">
                    <div class="h-2 w-2 bg-secondaryText rounded-full"></div>
                    Added Accounting
                  </span>
                  <span class="text-secondaryText font-medium text-base flex items-center gap-2">
                    <div class="h-2 w-2 bg-secondaryText rounded-full"></div>
                    Auto IP Selector
                  </span>
                  <span class="text-secondaryText font-medium text-base flex items-center gap-2">
                    <div class="h-2 w-2 bg-secondaryText rounded-full"></div>
                    Client apps for different OSs
                  </span>
                  <span class="text-secondaryText font-medium text-base flex items-center gap-2">
                    <div class="h-2 w-2 bg-secondaryText rounded-full"></div>
                    Documention on Wiki
                  </span>
                </div>
              </div>
            </div>

            <div class="relative flex flex-col justify-center lg:justify-start lg:items-center">
              <div class="rounded-full h-3 w-3 absolute -left-[6px] lg:-top-[6px] lg:left-[unset] bg-[#504A82]"></div>
              <div class="w-full">
                <div
                  class="absolute left-0 lg:right-[unset] top-0 lg:top-[unset] lg:left-0 h-1/2 w-1/2 lg:h-full border-l-2 lg:border-l-0 lg:border-t-2 border-[#504A82]">
                </div>
                <div class="py-5 w-full flex items-center justify-center flex-col">
                  <span class="text-black font-light text-sm mb-3">Now</span>
                  <h3 class="text-secondaryText font-medium text-base">Working on x and y</h3>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>

      <section class="flex flex-col items-center">
        <h1 class="text-primaryText text-2xl font-semibold mb-10">Our teams</h1>
        <div class="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-4 gap-5">
          <div
            class="border-2 bg-white bg-opacity-25 border-white rounded-[32px] px-5 py-20 flex items-center justify-center flex-col">
            <img src="/assets/development.svg" class="w-full max-w-52 lg:max-w-[185px] mb-5" />
            <h1 class="font-medium text-lg text-primaryText mb-5">Development</h1>
            <p class="text-secondaryText text-base font-medium">
              Our developers bring our vision to life through <a href="https://github.com/hiddify/Hiddify-Manager"
                class="underline underline-offset-4">Hiddify
                Manager</a> and <a href="https://github.com/hiddify/hiddify-next"
                class="underline underline-offset-4">Hiddify app</a>.
            </p>
          </div>

          <div
            class="border-2 bg-white bg-opacity-25 border-white rounded-[32px] px-5 py-20 flex items-center justify-center flex-col">
            <img src="/assets/design.svg" class="w-full max-w-52 mb-5" />
            <h1 class="font-medium text-lg text-primaryText mb-5">Design</h1>
            <p class="text-secondaryText text-base font-medium">
              Our designers create stunning visuals and improve the UX of Hiddify products through usability testing.
            </p>
          </div>

          <div
            class="border-2 bg-white bg-opacity-25 border-white rounded-[32px] px-5 py-20 flex items-center justify-center flex-col">
            <img src="/assets/content.svg" class="w-full max-w-52 mb-5" />
            <h1 class="font-medium text-lg text-primaryText mb-5">Content</h1>
            <p class="text-secondaryText text-base font-medium">
              We curate engaging and informative content including <a
                href="https://github.com/hiddify/Hiddify-Manager/wiki" class="underline underline-offset-4">our
                comprehensive Wiki </a> & <a href="https://www.youtube.com/@hiddify"
                class="underline underline-offset-4">YouTube tutorials</a>.
            </p>
          </div>

          <div
            class="border-2 bg-white bg-opacity-25 border-white rounded-[32px] px-5 py-20 flex items-center justify-center flex-col">
            <img src="/assets/user-support.svg" class="w-full max-w-52 lg:max-w-[185px] mb-5" />
            <h1 class="font-medium text-lg text-primaryText mb-5">User Support</h1>
            <p class="text-secondaryText text-base font-medium">
              We are always available to help answer your questions in our <a href="https://t.me/hiddify_board"
                class="underline underline-offset-4">Telegram group</a>.
            </p>
          </div>
        </div>
      </section>

      <section class="flex flex-col gap-5">
        <div class="flex flex-col gap-5 md:w-1/2">
          <h1 class="text-primaryText font-semibold text-2xl">Contributors needed</h1>
          <p class="text-secondaryText text-base font-medium">
            We are always looking for specialists to help make Hiddify better. Please send us your resume.
          </p>
        </div>

        <div class="grid grid-cols-1 md:grid-cols-2 gap-10">
          <div class="flex flex-col gap-5">
            <div class="w-full flex items-center justify-end">
              <button onclick="window.location.href='mailto:contribute@hiddify.com';"
                class="bg-primary text-white border border-white px-4 py-2 rounded-xl">Email Us</button>
            </div>
            <div class="flex items-center justify-center md:justify-end">
              <img src="/assets/contributes.svg" class="w-full md:max-w-[420px] mix-blend-multiply" />
            </div>
          </div>

          <div class="flex flex-col gap-10">
            <div class="flex flex-col gap-5">
              <h1 class="text-primaryText font-medium text-lg">Development team</h1>
              <p class="text-secondaryText text-base font-medium">
                Join our dynamic development team! We're actively seeking Python, Kotlin, and Flutter developers to
                innovate
                with us. Shape the future of technology—let's build it together.
              </p>
            </div>

            <div class="flex flex-col gap-5">
              <h1 class="text-primaryText font-medium text-lg">Content team</h1>
              <p class="text-secondaryText text-base font-medium">
                Are you skilled in creating captivating videos for YouTube, adept at video editing, and passionate about
                crafting visually stunning content for social channels? We want you to be part of our journey in
                redefining
                creativity.
              </p>
            </div>

            <div class="flex flex-col gap-5">
              <h1 class="text-primaryText font-medium text-lg">Design team</h1>
              <p class="text-secondaryText text-base font-medium">
                Elevate user experiences with our design team! We're in search of a UX/UI design expert to play a
                pivotal
                role in enhancing user interactions across our diverse range of Hiddify products. If you have a keen eye
                for
                design, a passion for improving user journeys, and expertise in UX/UI, we want you to be a part of our
                creative force.
              </p>
            </div>
          </div>
        </div>
      </section>

      <section
        class="flex flex-col gap-20 border-white border rounded-[35px] md:rounded-[100px] bg-[#D3CCF7] bg-opacity-90 p-5 md:p-20">
        <div class="flex gap-5 flex-col">
          <h1 class="text-primaryText font-semibold text-2xl">Want to support Hiddify?</h1>
          <p class="text-secondaryText text-base font-medium">
            The easiest way to support us is to click on the star (⭐) <br class="hidden md:block" /> at the top of our
            <a href="https://github.com/hiddify/Hiddify-Manager" class="underline underline-offset-4">GitHub page</a>.
          </p>
        </div>
        <div>
          <p class="text-secondaryText text-base font-medium">
            We also need financial support for our services. All of <br class="hidden md:block" /> our activities are
            done
            voluntarily and
            financial
            support <br class="hidden md:block" /> will be spent on the development of the project. <br
              class="hidden md:block" />
            To contribute, please visit our <a href="https://github.com/hiddify/Hiddify-Manager/wiki/support"
              class="underline underline-offset-4">donation page</a> on GitHub.
          </p>
        </div>
      </section>
    </div>
  </main>


  <script>
    var menuBtn = document.getElementById("menu-btn");
    var sideBar = document.getElementById("sidebar");
    var closeSideBarBtn = document.getElementById("close-sidebar-btn")

    menuBtn.addEventListener("click", function () {
      sideBar.classList.remove("hidden");
      sideBar.classList.add("flex");
    });

    closeSideBarBtn.addEventListener("click", function () {
      sideBar.classList.remove("flex");
      sideBar.classList.add("hidden");
    });
  </script>

</section>
