---
title: How to use HiddifyApp
---

<div dir="ltr" markdown="1">


# How to use HiddifyApp
This app is a multi-platform client based on Sing-box that serves as a universal proxy toolchain. This app offers a wide range of capabilities. It also supports a large number of protocols. The app is free to use, ad-free, and open-source. It provides a secure and private tool for getting access to the free internet.

🚀 Supporting a wide range of protocols such as: 
**ECH, Sing-box, V2ray, Xray, Vless, Vmess, Trojan, Reality, gRPC, WebSocket, Quic, TUIC, Hysteria, Hysteria2, Shadowtls, SSH, Clash, Clash meta**

🟡 Supporting different subscription links like: **Clash, Sing-box, Shadowsocks**

⭐ **[View more features](https://github.com/hiddify/hiddify-next/blob/main/README.md#-main-features)** 

For reading the tutorial follow this article. 

## Software installation
For installing this app please take a look at [this article](https://github.com/hiddify/hiddify-next/wiki/How-to-install-HiddifyNext-app).

## Adding a profile to the app
- First, open the link related to your user in the panel.
- The following page is visible. By clicking on `Tap to Start Anti-Filter`, the link related to your profile will be loaded in the app.

<div align=center>

<img width=60% src="https://github.com/hiddify/Hiddify-Server/assets/125398461/d39e775c-4817-427b-b11c-6161ecffc81f">

</div>


- If profile link is not added automatically, this page will open. Just click on `Copy Link` to copy the profile link.

<div align=center>

<img width=60% src="https://github.com/hiddify/Hiddify-Server/assets/125398461/e921e0a0-1034-456b-bc9c-fd59fd55503e">

</div>

- Now enter the program and tap on the `+` button on the top left on the `Home` menu, so that the page of adding a new profile appears.


<div align=center>

<img width=60% src="https://github.com/hiddify/Hiddify-Server/assets/125398461/279924ad-9f16-424f-9133-b5096329030a">

</div>

- You can add the copied link in two ways on this page.

> Method 1: Click `Add from clipboard`. The copied link will be added automatically.

<div align=center>

<img width=60% src="https://github.com/hiddify/Hiddify-Server/assets/125398461/e515d2d7-886f-4e33-9764-76b4398fc83b">

</div>


> Method 2: Click on `Add manually`, on the next page enter a desired name in the `Name` field and copy the link in the `URL` field. Then hit the `Save` button.

<div align=center>

<img width=60% src="https://github.com/hiddify/Hiddify-Server/assets/125398461/2931f4c9-c2af-4d61-b0a9-40af563b248f">

</div>


## Add single configs

- For this, go to the user page and click on `All Configs`.

<div align=center>

<img width=60% src="https://github.com/hiddify/Hiddify-Server/assets/125398461/92912b97-38bb-4973-a48d-44a29613598e">

</div>



- In the displayed list, select the single config you want.
- Click `Copy` to copy the config.

<div align=center>

<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/eb4d7cf9-4f1f-4910-acc8-1c7d545ee1eb" />

</div>

- Enter the program and click the `+' button. 
- Tap `Add from clipboard`.

<div align=center>

<img width=60% src="https://github.com/hiddify/Hiddify-Server/assets/125398461/e515d2d7-886f-4e33-9764-76b4398fc83b">

</div>

- The config is added to the program.

## Working with the app

### Connect to the VPN
- When the profile is added, you will see this on the `Home` page.

<div align=center>

<img width=60% src="https://github.com/hiddify/Hiddify-Server/assets/125398461/a69b2807-d9df-4a03-b48f-6f96f21ff377">
</div>

- Just click on the connection button in the middle of the screen to connect the VPN.

<div align=center>

<img width=60% src="https://github.com/hiddify/Hiddify-Server/assets/125398461/484b1f82-63d8-4a9b-b72d-fb78f8ac6da6">
</div>

- If you need to update your profile, click on this button.

<div align=center>

<img width=60% src="https://github.com/hiddify/Hiddify-Server/assets/125398461/e5faed5f-c373-4acb-a33b-991599e2be5a">
</div>


- If you need to change the profile, click on the profile section and select the desired profile from the opened list.

<div align=center>

<img width=60% src="https://github.com/hiddify/Hiddify-Server/assets/125398461/18f8e9e1-34b8-4a3f-b7bd-a70c9f9d9404">
</div>

- In this section you can edit profiles.

<div align=center>

<img width=60% src="https://github.com/hiddify/Hiddify-Server/assets/125398461/c5520e82-aeae-4213-b55b-ecce33bfed0e">
</div>


## Checking and testing proxies
- To view the proxies, first connect the VPN. Then go to the `Proxies` menu.

<div align=center>

<img width=60% src="https://github.com/hiddify/Hiddify-Server/assets/125398461/919020e5-0ed6-4523-8f2f-ece7e6d74219">
</div>


- On this page, the proxies or configs related to the profile, are displayed or you can see the individual configs added to the software.

- The VPN automatically connects to the best proxy based on the test, but you can also choose the desired proxy manually.
- Along with these proxies, their delay is also displayed.
- If you need to test the delay, you should click on its button at the bottom right.

<div align=center>

<img width=60% src="https://github.com/hiddify/Hiddify-Server/assets/125398461/265bd648-4716-4791-80d4-666a2dc4b0b7">
</div>



- You can sort the proxies by name or test result with the upper right button.

<div align=center>

<img width=60% src="https://github.com/hiddify/Hiddify-Server/assets/125398461/95ca6072-96b5-4282-be66-bc8980befded">
</div>


## General settings

* In the `Settings` menu, you can see the `General` settings.

<div align=center>

<img width=60% alt="General-settings" src="https://github.com/hiddify/Hiddify-Server/assets/125398461/4a00ed21-8988-419e-86a2-4ba102d8893f">
</div>


* You can change the language of the software using the `Language` menu.
* By using `Theme Mode` you can choose your desired theme from dark, light or device mode.
* The `Pure Black` button makes the device theme deeply black.
* The `Start on Boot` button is used to run the program when the operating system starts up for the first time.
* The `Silent Start` button causes a window not to be displayed when the software is running, and the software is only displayed in the bottom toolbar after execution.

## Advanced settings
### Enabling TUN

- To activate the tunnel, you must first open the program with admin or root access. This work is different according to different operating systems.
<br>

<details markdown="1"> <summary><b>Opening the app with admin privilege on Windows</b></summary>
- If the program was previously open with non-admin privilege, close the program. That is, right-click on the program icon in the lower toolbar and click `Exit`.
- Now, on the desktop or in the list of `Start` programs, right-click on the program icon and click `Run as administrator`.

<div align=center>

<img width=30% alt="Run ad admin" src="https://github.com/hiddify/Hiddify-Server/assets/125398461/9db385ec-8aba-47f5-a5b7-d2c34899fbc1">

</div>

- The program opens with admin privilege.

</details>
<br>

<details markdown="1"> <summary><b>Opening the app with admin privilege on Mac</b></summary>

- If the program was previously open with non-admin access, close the program. That is, right-click on the program icon in the upper toolbar and click `Exit`.
- Open the terminal.
- Now go to `Applications`. Right click on the program icon and click `Show contents`.
- Go into the `MacOS` folder and grab the `HiddifyNext` file and drop it on the terminal. With this, the address of this file will be placed in the terminal.
- Press `ctrl+a` to go to the start of the line in terminal. Now type `sudo`. For example, you will have

`sudo \Applications\HiddifyNext.app\Contents\MacOS\HiddifyNext`

- Now press `Enter` to run the program with admin privilege.

</details>
<br>

<details markdown="1"> <summary><b>Opening the app with root privilege on Linux</b></summary>

- If the program was previously open with non-admin access, close the program. That is, right-click on the program icon in the toolbar and click `Exit`.
- Now open the terminal and if, for example, the program is in the `Downloads` folder in `Home`, then execute the following command to run the program with root privilege.

```
sudo ~/Downloads/hiddify-linux-x64.AppImage
```

> Note: If the program is in a different path, change the above command accordingly.

</details>
<br>




- Now that the program is opened with admin or root access level, just go to the `Settings` menu.
- Enter the `Config Options` in the `Advanced` section.
- Turn on `Enable TUN` button.

<div align=center>

<img width=60% alt="advanced-setting" src="https://github.com/hiddify/Hiddify-Server/assets/125398461/d624876a-bca9-4d52-b169-cf8f42b86f70">

</div>

- Now go to the `Home` menu and tap the `Connect button` until it turns green.
