---
title: آموزش استفاده از UDP Turn Relay در هیدیفای‌اپ 
---

<div dir="rtl">

# آموزش استفاده از UDP Turn Relay

اخیرا از قابلیتی در پیام‌رسان‌ها برای دور زدن فیلترینگ استفاده می‌شود که به آن UDP Turn relay می‌گویند. یعنی در این حالت از پیام‌رسان‌ها به عنوان سرور میانی (ریلی) استفاده می‌شود و ترافیک از طریق آن‌ها به سرور اصلی ارسال می‌گردد. این مورد در خصوص پیام‌رسان‌هایی که در داخل ایران فعال هستند و از این پروتکل پشتیبانی می‌کنند و یا پیام‌رسان‌های خارجی که فیلتر نشده‌اند، قابل استفاده است. شماتیک اتصال به اینترنت آزاد در این حالت به شکل زیر است.

<div align=center>

![UDP Turn Relay_fa](https://github.com/hiddify/hiddify-next/assets/125398461/f3df43df-daea-437b-9a68-66537574c8e0)

</div>

توجه داشته باشید که این قابلیت فق برای کانفیگ‌هایی کار می‌کند که روی پروتکل UDP هستند. یعنی این قابلیت روی Hysteria2 یا TUIC v5 قابل استفاده است ولی برای ریالیتی نمی‌توان از آن استفاده نمود.

برای استفاده از آن کافیه در انتهای لینک کانفیگ خود، طبق دستور زیر پارامترهای مربوط به آن پیام‌رسان را قرار دهید.



<div dir="ltr">

```
relay=urlencoded(turn://user:pass@host:port?realm=t)
```
</div>

که در اینجا `user` نام‌کاربری هست اتصال به پروتکل مورد نظر در پیام‌رسان مورد نظر خود می‌باشد. `pass` نیز پسورد مربوط به این اکانت در آن پیام‌رسان است. همچنین `host` هاست‌نیم مربوط هت اتصال به پیام‌رسان است و `port` نیز پورت اتصال به پیام‌رسان است. پارامتر `realm` مربوط به ناحیه احراز هویت در هاست‌نیم قرار داده شده است. یعنی به این نام‌کاربری در کدام ناحیه از پیام‌رسان می‌توان احرازهویت نمود.

به عنوان مثال در پیام‌رسان Bale این پارامترها به شکل زیر هستند.

`user = balelivekit`، `pass = GygZPHQSgAV7L5L8`، `host = meet-turn.bale.sh` ، `port = 443` و `realm = bale.ai` است که در نهایت با جایگزاری به حالت زیر می‌رسیم.

<div dir="ltr">

```
relay=urlencoded(turn://balelivekit:GygZPHQSgAV7L5L8@meet-turn.bale.sh:443?realm=bale.ai)
```
</div>


ابتدا اطلاعات ریلی را با استفاده Encoder تبدیل به UTF-8 می‌کنید. به عنوان مثال از [این Encoder](https://www.urlencoder.org/) می‌توانید استفاده کنید که نتیجه خروجی آن به شکل زیر است:

<div dir="ltr">

```
relay=turn%3A%2F%2Fbalelivekit%3AGygZPHQSgAV7L5L8%40meet-turn.bale.sh%3A443%3Frealm%3Dbale.ai
```
</div>


حالا اگر یک کانفیگ هیستریا که بر پایه UDP است به شکل زیر داشته باشیم:

<div dir="ltr">

```
hysteria2://87543215-15ac-54f6-3895-34e4e931f5b4@45.120.34.46:11464?hiddify=1&obfs=salamander&obfs-password=bdgf!huy678559j89GrTu&sni=www.speedtest.net&insecure=1#test
```
</div>


در نهایت اطلاعات Encode شده مربوط به ریلی (پیام‌رسان) را در انتهای لینک هیستریا اضاقه می‌کنیم. برای این کار ابتدا یک `&` می‌گذاریم و لینک را دقیقا قبل از `#` به شکل زیر کپی می‌کنیم.

<div dir="ltr">

```
hysteria2://87543215-15ac-54f6-3895-34e4e931f5b4@45.120.34.46:11464?hiddify=1&obfs=salamander&obfs-password=bdgf!huy678559j89GrTu&sni=www.speedtest.net&insecure=1&relay=turn%3A%2F%2Fbalelivekit%3AGygZPHQSgAV7L5L8%40meet-turn.bale.sh%3A443%3Frealm%3Dbale.ai#test
```
</div>

این لینک را می‌توانید در برنامه هیدیفای‌نکست ایمپورت کنید و چون این برنامه از پروتکل UDP Turn Relay پشتیبانی می‌کند، بنابراین می‌توانید از این قابلیت استفاده نمایید.

نکته: پیام‌رسان Bale قابلیت گفته شده را پس از مدت کوتاهی غیرفعال کرده است. شما می‌بایست بر اساس مطالب توضیح داده شده بالا، [از لیست پیام‌رسان‌های داخلی](https://eservices.ito.gov.ir/Page/IPListMessenger) و یا خارجی غیر فیلتر یک پیام‌رسانی را پیدا نمایید که این قابلیت را پشتیبانی می‌کند.


