---
title: راهنمای اپ
hide:
  # - navigation
  - toc
  - feedback
weight: -19
comments: false
---
<style>
  @media screen and (min-width: 76.1875em) {.md-sidebar{display:none;}} {.md-content__button {display: none;}}</style>

# همه آموزش‌ها و ویدیوهای مرتبط با اپ هیدیفای

هیدیفای یک اپ کلاینت VPN است که به عنوان 
 ابزار پروکسی جهانی عمل می‌کند و ویژگی‌ها و پروتکل‌های متنوعی را ارائه می‌دهد. اطلاعات مناسب و دقیق
<a class="underline underline-offset-2"
  href="https://github.com/hiddify/hiddify-app/blob/main/README_fa.md">اینجا</a> در دسترس است. این صفحه شامل
راهنماهای آموزشی مرتبط با این پروژه می‌باشد.

<section class="flex flex-col gap-5 items-center justify-center py-10">
  <section
    class=" video-card  relative w-full md:max-w-[900px] rounded-3xl border-2 border-white bg-white bg-opacity-20 shadow-lg">

    <div class="flex flex-col md:flex-row h-full md:max-h-[450px]" id="section-1">
      <div class="px-8 py-8 w-full md:w-2/3">
        <img src="/assets/hiddify-app.png" class="md:max-h-[183px] rounded-xl w-full md:max-w-[326px] mb-5" />
        <div class="flex flex-col gap-2">
          <h1 class="text-primaryText title-font text-lg mb-3">هیدیفای‌اپ</h1>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/app/How-to-install-Hiddify-app/" target="_blank" class="text-secondaryText text-sm">چگونه
              هیدیفای‌اپ را نصب کنیم</a>
          </div>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/app/How-to-use-Hiddify-app" target="_blank" class="text-secondaryText text-sm">چگونه
              از هیدیفای‌اپ استفاده کنیم
            </a>
          </div>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/app/HiddifyCli-guide/" target="_blank" class="text-secondaryText text-sm">چگونه از
              هیدیفای‌کامندلاین استفاده کنیم</a>
          </div>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/app/How-to-use-UDP-Turn-Relay/" target="_blank" class="text-secondaryText text-sm">چگونه
              از
              UDP Turn Relay در هیدیفای‌اپ استفاده کنیم</a>
          </div>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/app/How-to-contribute-to-this-project/" target="_blank"
              class="text-secondaryText text-sm">
              چگونه به این پروژه کمک کنیم</a>
          </div>

          <div class="flex flex-col gap-2 md:hidden" id="section-content-1">
            <div class="flex items-center gap-2">
              <div>
                <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
              </div>
              <a href="/fa/app/URL-Scheme/" target="_blank" class="text-secondaryText text-sm">
                طرح URL در هیدیفای‌اپ
              </a>
            </div>
          </div>
        </div>
      </div>

      <div
        class="max-h-[500px] md:max-h-[unset]  md:border-r-2 border-t-2 md:border-t-0 border-white px-2 py-2 w-full md:w-1/3">
        <div class="px-6 overflow-y-auto overflow-x-hidden max-h-[400px] md:h-full">
          <div class="pt-6">
            <h1 class="text-secondaryText title-font text-base">ویدیوهای مرتبط</h1>
          </div>
          <div class="flex flex-col gap-3 md:gap-1">
            <a href="https://www.youtube.com/watch?v=vUaA1AEUy1s">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/install_HiddifyApp.png"
                  class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=EjHjLQbC40E">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/Use_HiddifyApp.png"
                  class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=NtQ0bQlIRrYs">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/advanced_setting_HiddifyApp.jpg"
                  class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
          </div>
        </div>
      </div>
    </div>
  </section>

</section>
</div>
</main>



<script>


function readMore(id) {
const readMoreBtn = document.getElementById(`read-more-${id}`)
const arrowIcon = document.getElementById(`arrow-${id}`)
const hiddenContent = document.getElementById(`section-content-${id}`)
const section = document.getElementById(`section-${id}`)
const sectionBottom = document.getElementById(`section-bottom-${id}`)

const btnText = readMoreBtn.getElementsByTagName('span')[0].innerText

if (btnText.includes('بیشتر')) {
  readMoreBtn.getElementsByTagName('span')[0].innerText = 'کمتر بخوانید'
  hiddenContent.style.display = 'flex'
  sectionBottom.classList.remove('absolute')

  const content = document.getElementById(`section-content-${id}`)
  section.style.maxHeight = content.offsetHeight + 450 + 'px'
  arrowIcon.style.transform = "rotate(180deg)";
} else {
  readMoreBtn.getElementsByTagName('span')[0].innerText = 'بیشتر بخوانید'
  hiddenContent.style.display = 'none'
  section.style.maxHeight = 450 + 'px'
  arrowIcon.style.transform = "rotate(0deg)";
  sectionBottom.classList.add('absolute')
}
}
</script>
