---
draft: false
date: 2024-09-23 
# authors:
#   - hiddify
categories:
  - Anniversary

tags:
  - Hiddify
  - Internet Freedom Solution
description: Hiddify's Second Anniversary
---

# Hiddify's Second Anniversary

  
![Logo](https://github.com/user-attachments/assets/15e0dba5-bbc0-48e3-b467-916ad1bd93a5)

  
## The Story of Hiddify: From Birth to Today

_A detailed report to our dear supporters on the actions taken over the past two years_

Greetings to all Hiddify supporters,


It was around this time two years ago when we all found ourselves in a great shock, and everyone tried to help in any way they could. This was the beginning of our journey.


The anniversary of the start of our activities is a reminder of deep sorrow, a great grief that united us in pursuit of a right we are all entitled to.


**❤️ Freedom**

Internet freedom, freedom of thought, political freedom, economic freedom, and freedom in all aspects of life.

We fought for internet freedom because we believed, and still do, that this freedom would lead to other freedoms as well.


In late September 2022, after people's access to free internet became even more restricted, we decided to do what we could by providing simple access to the internet, making things easier for the people of our beloved country. And so, Hiddify was born around this time.

<!-- more -->

At first, we tried to do a [review of censorship methods](https://github.com/hiddify/awesome-freedom) and compile a list of [VPS providers](https://github.com/hiddify/awesome-freedom/blob/main/vps-providers.md) so that anyone with a bit of technical knowledge could buy a server and set up a VPN. We shared this list in the Awesome-Freedom repository.


Then, in October of the same year, we created a very easy and [free installation guide for Microsoft Azure](https://github.com/hiddify/Hiddify-Server/wiki/Azure-%D9%86%D8%B5%D8%A8-%D8%AE%DB%8C%D9%84%DB%8C-%D8%AE%DB%8C%D9%84%DB%8C-%D8%B3%D8%B1%DB%8C%D8%B9-%D8%AF%D8%B1-%D9%85%D8%A7%DB%8C%DA%A9%D8%B1%D9%88%D8%B3%D8%A7%D9%81%D8%AA-%D8%A2%DA%98%D9%88%D8%B1).


In November, we expanded the project to other datacenters, including quick setups in Hetzner, Oracle Cloud, Vultr, and OVH. The goal was to enable everyone to set up their own server without any technical knowledge.


### The Release of the First Version of HiddifyManager
In December 2022, we developed the first version of HiddifyManager and focused on teaching users how to activate it on the client side. We also made sure HiddifyManager was resistant to VPN detection bots, obtained valid certificates, set up security settings, and provided suitable configurations for users.

![Initial_version_of_HiddifyManager](https://github.com/user-attachments/assets/c6c09eb0-0576-4412-8cd4-7e1719263e70)


As time passed and the catastrophic internet situation continued, we pushed further to simplify complex concepts, making them accessible to everyone. Additionally, we made [numerous articles and tutorial videos available](https://hiddify.com/fa/manager) to help people with the more complicated configurations.

![Initial_version_of_HiddifyManager_II](https://github.com/user-attachments/assets/ced5a1bd-e403-4a86-8b7b-c8acd1369d68)


On the other hand, existing client apps weren't simple enough for non-tech users—our parents couldn’t even figure them out. 

To solve this, in January 2023, we developed custom versions of HiddifyClash for Android and desktop to make the connection process easier for users.

![HiddifyClash](https://github.com/user-attachments/assets/fe8c5236-e66c-4e75-b2c9-ff47da6727c6)



### Release of Version 1 of HiddifyManager
As your support for the project grew, it gave us extra motivation to launch [a support group on Telegram](https://t.me/hiddify_board) in February 2023.
We also added more features to the panel, and in March 2023, after several initial releases, Version 1 of HiddifyManager was launched with the ability to create multiple users and domains, and many structural improvements.


### Release of Version 2 of HiddifyManager
Before Nowruz (the Persian New Year) in 2023, we released Version 2 of HiddifyManager, which introduced new features such as:
- PWA web application support
- Tutorial videos in the panel when clicking on ❓
- The ability to choose protocol ports, edit proxy names, and add fingerprints.


Around that time, we found out that [Xray developers had included us on their list of approved web panels](https://github.com/xtls/xray-core#installation), which was a great feeling because they found us on their own.

During the same period, we added an automatic subdomain link creation feature based on the user's operator with the help of our friends at [IRCF](https://ircf.space) and introduced the AutoCDN domain.


### Release of Version 3 of HiddifyManager
In April 2023, we redesigned the panel and released Version 3 of HiddifyManager, focusing on both stability and simplicity. In this version:
- The dashboard was redesigned, adding tiles to monitor processes and resource usage, as well as the ability to see online users and their data usage.
- All pages were redesigned, and a dark mode was added to the panel.
- A search function was added to the settings, and other graphical improvements were made.


### Release of Version 4 of HiddifyManager
In May 2023, we released Version 4 of HiddifyManager, which introduced support for the new Reality protocol. Other notable features in this version included:
- Multi-admin support with separate access levels
- Telegram bot integration with the panel
- Custom domain support for sub-links
- Automatic domain configuration in Cloudflare


### Release of Version 5 of HiddifyManager
Due to your growing support and requests for additional protocols, we continued developing the panel and introduced Version 5 of HiddifyManager later that month, which included:
- ShadowTLS v3 protocol support
- Panel theme changes
- User creation limits for admins and agents.


### Development of HiddifyN and HiddifyNG Apps
On the client side, after developing several versions of HiddifyClash, numerous bugs in the Clash Meta core led us to search for an alternative.

After reviewing and redesigning the entire client process with performance testing, we eventually launched custom versions of HiddifyNG and HiddifyN in April 2023, which were warmly received by you.


For example, HiddifyNG was downloaded over 100,000 times on Google Play in less than five months and received a 4.8/5 rating from you, which is an outstanding achievement for such a young app.

### Release of Version 6 of HiddifyManager
On the server side, in May 2023, we added Fragment and Warp+ to HiddifyManager, releasing Version 6. Warp ensured that the server's IP remained hidden at the endpoint, while Fragment facilitated easier packet transmission through filtering. We also integrated the SingBox core, making HiddifyManager the only panel supporting two cores with accounting on the SingBox core.


### Release of Version 7 of HiddifyManager
In June 2023, we released Version 7 of HiddifyManager, which introduced several important protocols and features, including:
- Support for multiple Reality domains and workers
- Redesigned domain addition page
- Warp version 2


### Release of Version 7 of HiddifyN and HiddifyNG Apps
In line with continued client software development, we introduced routing and load-balancing features in HiddifyNG and HiddifyN.


### Release of Version 8 of HiddifyManager
Later, in addition to previous protocols like Vless, Vmess, Trojan, Reality, gRPC, WebSocket, and H2, with the help of a friend, we added the secure SSH protocol to Version 8 of HiddifyManager in July 2023. This version also introduced important new features, such as:
- Temporary short links, inspired by Inspector Gadget
- Smart sub-link creation
- Simplified VPN activation for users.


## Hiddify's First Anniversary

### Start of HiddifyApp Multi-Platform Development
On the client side, we started developing the cross-platform [HiddifyApp for Android, Windows, Linux, and Mac in October 2023](https://app.hiddify.com/), in honor of our first anniversary.


Our goal was to make it easy for developers to implement new protocols across all platforms and ensure consistency between systems.

The new app was designed to be very simple, highly efficient, and lightweight.


### Release of the Hiddify Reality Scanner
In November 2023, as restrictions on the Reality protocol intensified, we released a **Reality Scanner**. This tool helps users identify appropriate SNI domains for Reality, assisting them in bypassing the new limitations. This marked an important step in ensuring continuous, reliable access to internet freedom in the face of evolving censorship techniques.

### Celebrating Two Years of Hiddify
Now, as we celebrate **Hiddify’s second anniversary**, we reflect on all we have accomplished together. From the humble beginnings of open-source guides and community-driven efforts to the development of a powerful suite of tools for both users and administrators, Hiddify has become a trusted name for internet freedom.

#### What’s Next?
Looking ahead, we are committed to staying on the cutting edge of censorship circumvention. The next year will see us expanding Hiddify’s features, improving performance, and enhancing security to keep pace with new challenges.

We plan to:
- Improve user experience across all platforms, ensuring that even less tech-savvy individuals can benefit from Hiddify’s capabilities.
- Continue building community resources and fostering collaboration with other freedom-focused organizations.
- Launch more educational tools and resources to empower users to deploy and manage their own instances of Hiddify.

Together, we will continue the fight for internet freedom.

## Thank You to Our Community
None of this would have been possible without the support of our incredible community. We thank you from the bottom of our hearts for your continuous feedback, encouragement, and contributions to the Hiddify project.

Let’s keep pushing forward, fighting for a freer and more open internet.

With gratitude,  
The Hiddify Team ❤️
