---
title: Home
hide:
  - toc
  - feedback
  # - navigation
  
comments: false
---

<style>
@media screen and (min-width: 76.1875em) {.md-sidebar{display:none;}}
  .md-content__button {
    display: none;
  }
</style>


  <section class="products-section">

    <h1 class="hero-title"><img src="/assets/hiddify-logo.svg" alt="Hiddify Logo" height="96" decoding="async"            loading="lazy" />
    Internet Freedom Solution</h1>

    <h2 class="products-title">All you need for an unrestricted internet</h2>
    
    <div class="products-grid">
      <a href="#app" class="product-card">
       <h3 class="product-title">Hiddify – on your device</h3>
        <div class="product-logo-wrapper">
          <img src="/assets/hiddify-app-logo.svg" alt="Hiddify app Logo" height="76" />
        </div>
        <p class="product-description">
          <b>Hiddify</b> is an easy-to-use VPN application available for iOS, Android, Windows, macOS, and Linux. Connect seamlessly to your <b>HiddifyManager</b> or any other VPN panel. Download it on mobile or desktop and enjoy unrestricted internet access.
        </p>
        <div class="product-arrow">
          <svg width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
            <path d="M5 12h14M12 5l7 7-7 7"/>
          </svg>
        </div>
      </a>

      <a href="#manager" class="product-card">
        <h3 class="product-title">HiddifyManager - to manage proxies and users</h3>
        <div class="product-logo-wrapper">
        <img src="/assets/hiddify-manager-logo.svg" alt="Hiddify Manager Logo" height="96" decoding="async"            loading="lazy" />
        </div>
        <p class="product-description">
          <b>HiddifyManager</b> simplifies setting up your own VPN server, allowing you to manage it even from your mobile device. Easily share proxies with family, friends, groups, or even hundreds of users.
        </p>
        <div class="product-arrow">
          <svg width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
            <path d="M5 12h14M12 5l7 7-7 7"/>
          </svg>
        </div>
      </a>
    </div>
  </section>



<section  id="app" class="hiddify-container" >
  <h1  class="d-md-block"><img src="/assets/hiddify-app-logo.svg" alt="Hiddify app Logo" height="76" decoding="async"            loading="lazy" /></h1>
    
      
        <div class="hiddify-image">
          <img src="/assets/hiddify-next-mobile.svg" alt="hiddify next" decoding="async" loading="lazy" />
        </div>
        
        <div class="hiddify-content">
          <h1  class="d-md-none"><img src="/assets/hiddify-app-logo.svg" alt="Hiddify app Logo" height="76" decoding="async"            loading="lazy" /></h1>
          <h2>Connect to the unrestricted internet easier than ever.</h2>
          
          <ul class="md-typeset__list">
            <li>Easy to Use</li>
            <li>Ad-Free, Secure and Open-Source</li>
            <li>Offers advanced features such as support for IPv6, multiple subscription link types and more
            <li>Supports a wide range of proxy protocols including Hysteria2, TUIC, SSH, Reality, VMess, VLESS, Trojan <a href="#" id="show-protocols-app">and</a><span class="hidden-features"> WebSocket, Quic, gRPC, http-split, httpupgrade, ECH, Sing-box, V2ray, Xray and many more</span></li>
          </ul>
          <a href="https://github.com/hiddify/hiddify-app" >Read more about the Hiddify and see the source codes</a>
          
          <div class="platform-grid">
            <a id="btn-android" href="https://play.google.com/store/apps/details?id=app.hiddify.com" role="button" class="platform-button" data-platform="Android">
              <img src="/assets/platforms/android.svg" alt="Android">
            </a>
            <a id="btn-ios" href="https://apps.apple.com/us/app/hiddify-proxy-vpn/id6596777532?platform=iphone" role="button"  class="platform-button" data-platform="iOS & macOS (M-Series)">
              <img src="/assets/platforms/apple.svg" alt="iOS">
            </a>
            <a id="btn-windows" href="https://github.com/hiddify/hiddify-app/releases/latest/download/Hiddify-Windows-Setup-x64.Msix" role="button"  class="platform-button selected" data-platform="Windows">
              <img src="/assets/platforms/windows.svg" alt="Windows">
            </a>
            <a id="btn-macos" href="https://github.com/hiddify/hiddify-app/releases/latest/download/Hiddify-MacOS.dmg" role="button"  class="platform-button" data-platform="macOS (Intel Series)">
              <img src="/assets/platforms/mac.svg" alt="macOS">
            </a>
            <a id="btn-linux" href="https://github.com/hiddify/hiddify-app/releases/latest/download/Hiddify-Linux-x64.AppImage" role="button"  class="platform-button" data-platform="Linux">
              <img src="/assets/platforms/linux.svg" alt="Linux">
            </a>
          </div>

          <div class="button-container">
            
            <a href="#" class="md-button md-button--primary md-button-fill" id="download-button" data-prefix="Download For"></a>

<a class="md-button md-button-outline-primary md-button-fill"  href="hiddify://import/https://raw.githubusercontent.com/hiddify/hiddify-app/refs/heads/main/test.configs/warp">Free Testing Proxy - WARP Config</a>

          </div>
        </div>
      
    
  
</section>


<section id="manager" class="hiddify-container" >
  <h1  class="d-md-block"><img src="/assets/hiddify-manager-logo.svg" alt=" Hiddify Manager" height="96"> </h1>
    
      
        <div class="hiddify-image">
          <img src="/assets/hiddify-manager.png" alt="hiddify next" decoding="async" loading="lazy" />
        </div>

  <div class="hiddify-content">
  <h1  class="d-md-none"><img src="/assets/hiddify-manager-logo.svg" alt=" Hiddify Manager" height="96"> </h1>
    <h2>Setup your own personal and dedicated VPN server.</h2>


    <ul class="my-4 list-disc ml-4">
      <li>Effortless Installation</li>
      <li>One of the best VPN Servers for Iran, China, Russia, Brazil and the whole world</li>
      <li>Multi-Core, Multi-Domain and Unified User Management</li>
      <li>Supports a wide range of proxy protocols including Hysteria2, TUIC, SSH, Reality, VMess, VLESS, Trojan <a href="#" id="show-protocols-manager">and</a><span class="hidden-features"> WebSocket, Quic, gRPC, http-split, httpupgrade, ECH, Sing-box, V2ray, Xray and many more</span></li>
      </ul>
    <a href="https://github.com/hiddify/hiddify-manager" style="margin-bottom: 20px; display: inline-block;">Read more about the HiddifyManager and see the source code</a>

        <div tm="20px" class="button-container">
            <a href="https://hiddify.com/manager/installation-and-setup/guide/" class="md-button md-button--primary md-button-fill">Install on server</a>
          </div>
  </div>
</section>

<section markdown=1>

## Why to choose Hiddify?
<div class="w-full grid grid-cols-1 lg:grid-cols-3 gap-10">
  <div class="w-full flex flex-col items-center justify-center gap-2">
    <img src="/assets/cross-platform.png" alt="cross platform" class="lg:max-w-[250px]" />
    <h2 class="text-xl lg:text-2xl font-semibold">Cross-platform</h2>
    <p>Available on iOS, Android,<br> Window, Linux and macOS.</p>
  </div>

  <div class="w-full flex flex-col items-center justify-center gap-2">
    <img src="/assets/secure.png" alt="cross platform" class="lg:max-w-[250px]" />
    <h2 class="text-xl lg:text-2xl font-semibold">Secure and Ad-free</h2>
    <p>Open-source, non-commercial,<br> and security audited.</p>
  </div>

  <div class="w-full flex flex-col items-center justify-center gap-2">
    <img src="/assets/processor.png" alt="cross platform" class="lg:max-w-[250px]" />
    <h2 class="text-xl lg:text-2xl font-semibold">Powerful Features</h2>
    <p>Auto-proxy client <br>providing a wide range of features,<br> Supporting more than 30 protocols.</p>
  </div>
</div>
</section>


<section markdown=1>
## Measuring Impact
One of the most secure and trusted solutions for using VPN

<div class="w-full grid grid-cols-1 md:grid-cols-2 lg:grid-cols-4 text-center ">
<div>
  <a href="https://github.com/hiddify/Hiddify-Manager">
    <h3 class="text-xl font-semibold">
    <img class="badge-value-only" src="https://static.pepy.tech/personalized-badge/hiddifypanel?period=total&style=flat-square&left_text=" style="transform: translateX(-5px);">
    </h3>
    <p>HiddifyManager GitHub Downloads</p>
  </a>
  </div>
<div>
  <a href="https://github.com/hiddify/hiddify-app">
    <h3 class="text-xl font-semibold">
    <img class="badge-value-only" src="https://img.shields.io/github/downloads/hiddify/hiddify-next/total?style=flat-square&logo=&label=">
    </h3>
    <p>Hiddify GitHub Downloads</p>
  </a>
  </div>
  <div>
    <a href="https://apps.apple.com/us/app/hiddify-proxy-vpn/id6596777532?platform=iphone">
    <h3 class="text-xl font-semibold">
    <img class="badge-value-only" src="https://img.shields.io/badge/dynamic/json?color=blue&label=%20&cacheSeconds=36000&style=flat-square&suffix=%20/%205&query=message&url=https%3A%2F%2Fbadge.hiddify.com%2Fappstore">
    </h3>
    <p>Hiddify Rating on AppStore</p>
    </a>
  </div>
<div>
  <a href="https://play.google.com/store/apps/details?id=app.hiddify.com">
    <h3 class="text-xl font-semibold">
     <img class="badge-value-only" src="https://img.shields.io/endpoint?color=green&label=&logo=&logoColor=green&url=https%3A%2F%2Fplay.cuzi.workers.dev%2Fplay%3Fi%3Dapp.hiddify.com%26l%3DGoogle%2520Play%26m%3D%24rating%2520%252F%25205&style=flat-square">
     </h3>
    <p>Hiddify Rating on Google Play</p>
  </a>
  </div>
  <div>
    <a href="https://play.google.com/store/apps/details?id=app.hiddify.com">
    <h3 class="text-xl font-semibold">
    <img class="badge-value-only" src="https://img.shields.io/endpoint?color=green&label=&logo=&logoColor=green&url=https%3A%2F%2Fplay.cuzi.workers.dev%2Fplay%3Fi%3Dapp.hiddify.com%26l%3DGoogle%2520Play%26m%3D%24shortinstalls&style=flat-square">
    </h3>
    <p>Hiddify Active Installs on Google Play</p>
    </a>
  </div>
<div>
  <a href="https://github.com/hiddify">
    <h3 class="text-xl font-semibold">
    <img class="badge-value-only" src="https://img.shields.io/github/stars/hiddify?style=flat-square&label=">
    </h3>
    <p>Project's GitHub Stars</p>
  </a>
  </div>
  <div>
    <a href="https://t.me/hiddify">
    <h3 class="text-xl font-semibold">
    <img class="badge-value-only" src="https://img.shields.io/endpoint?label=&logo=1&style=flat-square&cacheSeconds=36000&url=https%3A%2F%2Fbadge.hiddify.com%2Ftg">
    </h3>
    <p>Telegram Community Members</p>
    </a>
  </div>
  <div>
    <a href="https://youtube.com/@hiddify">
    <h3 class="text-xl font-semibold">
    <img class="badge-value-only" src="https://img.shields.io/youtube/channel/views/UCxrmeMvVryNfB4XL35lXQNg?label=&style=flat-square&logo=">
    </h3>
    <p>YouTube Tutorials' views</p>
     </a>
  </div>
</div>
</section>


<section markdown=1>

## Frequently Asked Questions

??? question "How can I make sure that Hiddify is safe?"
    To make sure Hiddify is secure, you can take the following steps:

    1. **Review the Source Code** 🛠️  
       Since Hiddify is open-source, you can examine the code directly on [GitHub](https://github.com/hiddify) for any security issues or concerns🔍. Reviewing the code yourself or consulting with a developer you trust is a good practice✅.

    2. **Check Community Feedback and Contributions** 🌐  
       The Hiddify GitHub page and repositories often have contributions, issue reports, and discussions from other developers and users👥. By reading these discussions, you can gain insights into the software’s security and any potential vulnerabilities that may have been addressed or raised by the community🛡️.

    3. **Use the Latest Version** 🔄  
       Ensure you’re using the latest version of Hiddify, as it may include security patches and improvements🔒. You can check the release notes on GitHub to see updates related to security📈.

    4. **Follow Standard Security Practices** 🔐  
       Using Hiddify in a secure environment involves applying good security practices, such as:
       - Restricting access 🚫
       - Regularly monitoring activity 📊
       - Keeping both your operating system and Hiddify software up-to-date 🆙

    5. **Transparency of Configuration** 🌟  
       Hiddify Manager enables users to configure their own servers, providing complete control over proxy settings and data🔄. This transparency ensures that users can maintain secure configurations and modify them as needed🔄. Similarly, the Hiddify app offers users and developers the flexibility to customize and adjust settings, including proxy configurations and connection management, to meet their specific needs📶. Being open-source, the app allows visibility of any modifications or improvements, ensuring that users retain full control over their app experience while safeguarding security and privacy at every stage🔐.

    By following these steps, you can be more confident in Hiddify’s security as a privacy and anti-censorship tool🛡️✨. 


??? question "Which devices does Hiddify support? "
    Hiddify is designed to work across a range of devices and operating systems, covering both server-side and client-side needs🌐:

    1. **Server-Side Compatibility (Hiddify Manager)** 🖥️  
       Hiddify includes a server-side application, called **Hiddify Manager**, which installs on an Ubuntu server. Hiddify Manager can be quickly set up with Cloud-init🚀, making it easy to deploy on popular cloud providers and datacenters🌩️. This server-side application manages configurations and connections for clients, offering a powerful backend for those seeking secure and stable internet access🔐.

    2. **Client-Side Compatibility (Hiddify App)** 📱  
       The Hiddify client-side application, simply called **Hiddify**, is versatile and supports all major operating systems, including:
       - **iOS** 📲
       - **Android** 🤖
       - **Windows** 🪟
       - **Linux** 🐧
       - **macOS** 🍏  

       The development team is actively expanding compatibility to support additional device types, such as **routers** 📡 and **32-bit devices** 🧩, to make Hiddify accessible to an even wider audience🔄.  

    With this structure, Hiddify provides a comprehensive solution for bypassing internet censorship and filtering, allowing users to set up servers independently and connect across multiple devices🔗, all while expanding accessibility on various platforms. 🌍


??? success "Is Hiddify free, ads-free, and open-source? "
    Yes, Hiddify is🌐:

    1. **Free** 💸  
       The Hiddify app is offered for free and has no subscription fees, especially for users worldwide who face internet filtering🌎. It allows users to quickly connect by importing proxies obtained from personal VPN servers (created by Hiddify Manager or any other VPN panel) or free services like Cloudflare WARP without any payment🔗.  
       Additionally, Hiddify Manager is a free VPN server-building tool designed for non-commercial use⚙️.

    2. **Ads-Free** 🚫📢  
       Both the Hiddify app and Hiddify Manager are ads-free, providing a clean and distraction-free experience for users🧘‍♂️.

    3. **Open-Source** 🔓  
       Hiddify products are fully open-source, with the code available on [GitHub](https://github.com/hiddify). This transparency allows developers to review, contribute to, and customize the code, ensuring security and flexibility🔍.

    These features make Hiddify a reliable and accessible tool for users seeking privacy and internet freedom without any cost or interruptions from ads🌈🔐. 


??? info "How do I contact Hiddify’s support team? "
    To contact Hiddify’s support team, you can use the following channels📞🌐:

    1. **GitHub Issues** 🐞💻  
       For technical support or to report bugs, you can open an issue on the following GitHub repositories:
       - **Hiddify application Repository**: [github.com/hiddify/hiddify-app](https://github.com/hiddify/hiddify-app)
       - **Hiddify Manager Repository**: [github.com/hiddify/hiddify-manager](https://github.com/hiddify/hiddify-manager)  
       Opening an issue here allows the development team and the community to assist you directly🤝.

    2. **Hiddify Website** 🌐  
       Visit [hiddify.com](https://hiddify.com) for additional contact information, resources, and documentation📚. The website also provides FAQs and updates to help with common questions🔄.

    3. **Community Forums/Social Media** 📲  
       You can also find support or ask questions in Hiddify’s community channels and social media:
       - **Hiddify Telegram Channel**: [https://t.me/hiddify](https://t.me/hiddify)
       - **Hiddify Support Group**: [https://t.me/hiddify_board](https://t.me/hiddify_board)
       - **Hiddify YouTube Channel**: [youtube.com/@hiddify](https://youtube.com/@hiddify)
       - **Hiddify Instagram Page**: [instagram.com/hiddify_com](https://instagram.com/hiddify_com)
       - **Hiddify X Account (formerly Twitter)**: [x.com/hiddify_com](https://x.com/hiddify_com)  

    These channels offer multiple ways to connect with the Hiddify support team and community members, keeping you informed about the latest updates and providing help when needed📢👥. 


??? info "How can we support Hiddify?"

    1. **Financial Support** 💸  
    You can support the Hiddify project financially to help with its development and continuation. For more information and to contribute, visit the [Hiddify Financial Support page](https://hiddify.com/fa/donation-and-support/).
        
    2. **Starring the Hiddify Project** ⭐  
    By starring the Hiddify project, especially the repositories for [Hiddify application](https://github.com/hiddify/hiddify-app) and [Hiddify Manager](https://github.com/hiddify/hiddify-manager), you can help increase the project's visibility and credibility on GitHub.
        
    3. **Contributing to Development** 💻  
    If you have technical skills, you can contribute to the development of Hiddify. By helping to improve the code, adding new features, or fixing bugs, you can play an active role in the progress of this project. To contribute, simply visit the [Hiddify GitHub](https://github.com/hiddify).
        
    4. **Giving a Five-Star Rating and Writing Reviews in Application Stores** 🌟📱  
    By giving a five-star rating and writing reviews for the Hiddify app in various app stores, you can help increase its credibility and popularity, bringing it to the attention of more users. You can rate the app through the following links:  
    - [App Store](https://apps.apple.com/us/app/hiddify-proxy-vpn/id6596777532?platform=iphone)  
    - [Google Play](https://play.google.com/store/apps/details?id=app.hiddify.com)  
    - [Microsoft Store](https://apps.microsoft.com/detail/Hiddify/9pdfnl3qv2s5?mode=mini)
        
    5. **Sharing and Raising Awareness** 📢  
    By sharing Hiddify’s products, especially the Hiddify and Hiddify Manager, on social media and introducing them to people who need anti-censorship tools, you can help spread the project and increase its user base.
        
    6. **Joining Social Channels and Groups** 📲  
    By joining the [Hiddify Telegram Channel](https://t.me/hiddify) and the [Support Group](https://t.me/hiddify_board), you can connect with other users and stay updated on the latest news and updates about the project. Also, follow the latest educational videos on the [Hiddify YouTube Channel](https://youtube.com/@hiddify). Follow us on [Instagram](https://instagram.com/hiddify_com) and [X](https://x.com/hiddify_com) to stay informed about the latest project updates.
        
    7. **Helping with Content Creation, Especially Video Content** 🎥  
    You can help spread awareness and attract new users by creating educational and promotional content about Hiddify. Video content, such as tutorials on how to use and install Hiddify and highlighting its benefits, can be highly valuable for users. These videos can be shared on social media platforms and video-sharing sites like YouTube and Instagram to assist in better outreach and engagement.
        
    8. **Providing Feedback and Reporting Issues** 📝
    By using the Hiddify app and submitting your feedback on the [Hiddify repos](https://github.com/hiddify), you can help improve the app's functionality and identify any issues.


</section>
