---
title: کاربرد و نحوه عملکرد TLS Trick
---

<div dir="rtl" markdown=1>

# کاربرد و نحوه عملکرد TLS Trick
## TLS Fragment
در حالت عادی وقتی شما می‌خواهید درخواست باز شدن سایت‌ها و اپ‌ها را به اینترنت ارسال کنید، ممکن است SNI توسط سیستم فیلترینگ تشخیص داده شود. SNI یا نام سرور در حقیقت مقصد اصلی بسته‌های ارسالی است که ما سعی می‌کنیم آن را با پروتکل‌های مختلف از دید سیستم فیلترینگ مخفی نگه داریم. اما خیلی وقت‌ها به دلایل مختلف از جمله استفاده از پروتکل‌های ضعیف SNI قابل تشخیص است.

حالا فرگمنت بسته‌های ارسالی را تکه تکه میکنه. در این صورت SNI در چند تکه ارسال می‌گردد و این‌گونه توسط سیستم فیلترینگ غیر قابل شناسایی می‌شود. و 

در تصویر زیر می‌بینید که درخواست برای باز شدن سایت `www.bbc.com` است که فیلتر است و اگر این درخواست به صورت عادی ارسال شود احتمالا صفحه مورد نظر توسط سیستم فیلترینگ بلاک می‌گردد و صفحه جعلی برای شما باز می‌شود.

حالا اگه این درخواست در چند تکه ارسال گردد، می‌تواند این سیستم را دور بزند و پس از عبور از سیستم فیلترینگ، در سرور این تکه‌ها به همدیگر می‌پیوندند.

<div align=center markdown=1>
<img width=70% src="https://github.com/hiddify/hiddify-config/assets/125398461/0fed04dd-7aaa-4eea-87eb-f783173f766d" />
</div>




#### حالت‌های مختلف فرگمنت

###### پیش‌فرض
فرگمنت بر اساس پیش‌فرضی که در کانفیگ وجود دارد در نظر گرفته می‌شود.

###### حالت SNI یا دامنه
بسته‌ها را دو تکه می‌کند و سپس ارسال می‌کند.

###### حالت رندوم یا تصادفی
 بسته‌ها را به تکه‌های تصادفی تبدیل می‌کند یعنی بسته‌ها به تکه‌های خیلی ریز تقسیم می‌شوند و سپس ارسال می‌شوند. 




#### طریقه استفاده از فرگمنت در اپلیکیشن‌های HiddifyN و HiddifyNG

کافیست در تنظیمات اپلیکیشن‌های HiddifyN و HiddifyNG در منوی پیشرفته تنظیم فرگمنت را تعیین نمایید. 


## اندازه‌ی TLS Fragment
این پارامتر اندازه سایز بسته‌های تکه شده می‌باشد. توصیه می‌شود حداثل یک عدد کمتر از تعداد کاراکترهای دامنه در نظر گرفته شود که همیشه مطمئن شوید که دامنه تکه تکه می‌شود.

## کنار گذاشتن TLS Fragment
این آپشن فاصله زمانی میان بسته‌ها را تعیین می‌کند.
## TLS Mixed SNI Case

در این حالت کاراکترهای دامنه به صورت حروف بزرگ کوچک و بزرگ (به صورت رندوم) ارسال می‌گردند. مثلا دامنه `www.bbc.com` به صورت `wWw.bBc.cOM` ارسال می‌گردد و این کار نیز می‌تواند در دور زدن فیلترینگ موثر باشد. 

## TLS Padding
این گزینه به کاراکترهای دامنه مجموعه‌ای از کاراکترهای رندوم اضافه می‌کند و باعث می‌شود که فیلترینگ دور زده شود.

## سایز TLS Padding
این گزینه سایز بسته‌هایی که به دامنه اضافه می گردند را تعیین می‌کند.

## تعیین مقادیر TLS trick برای اپلیکیشن هیدیفای
در این اپلیکیشن با توجه به شرایط مختلف اعداد متفاوتی برای هر بخش می‌بایست تعیین نمود اما طبقه تست‌های صورت گرفته اعداد زیر جواب نسبتا مناسبی داده است:
<div dir=ltr>
 
`TLS Fragment Size : 100-200`

`TLS Gragment Sleep : 10-20`

</div>

**دقت شود:**
   > بسته به اپراتور ممکن است نیاز باشد پارمترها را تغییر دهید.
   > پارامتر TLS fragment و TLS Padding را به صورت همزمان استفاده ننمایید زیرا اثر همدیگر را خنثی می‌کنند.


در [این مقاله](/fa/manager/basic-concepts-and-troubleshooting/A-good-way-to%20find-TLS-trick-values/)، یک روش مناسب برای پیدا کردن این مقادیر و تنظیم آن در هیدیفای‌منیجر و اپ هیدیفای معرفی شده است.
