---
title: رفع مشکل ایبوز شدن سرورهای مجازی
---

ایبوز شدن سرورهای مجازی یکی از مشکلات رایج در حوزه **VPN** و شبکه است که ممکن است باعث مسدود شدن اکانت شما در دیتاسنترها شود. این مقاله به بررسی دلایل این مشکل، راهکارهای بهینه برای مدیریت آی‌پی‌ها و استفاده از اسکریپت **Abuse Defender** برای رفع این مسائل می‌پردازد.  

---

### **مشکل استفاده مستقیم از آی‌پی‌ها** 
یکی از دلایل اصلی ایبوز شدن، استفاده مستقیم از آی‌پی‌های تمیز کلودفلر یا آی‌پی ورژن ۶ سرور و یا آی‌پی‌های سرورهای میانی متصل به سرور در فیلد "اجبار به استفاده از آی‌پی‌ها" در **هیدیفای‌منیجر** است.  

این روش باعث ارسال یا دریافت ترافیک خروجی به صورت مستقیم و بدون رمزگذاری (encryption) روی آی‌پی‌ها می‌شود که بدون وجود لایه محافظتی HTTP/HTTPS، دیتاسنترها آن را به‌عنوان فعالیت مشکوک شناسایی می‌کنند.  

---

### **راه‌حل پیشنهادی برای مدیریت آی‌پی‌ها**  

۱. **استفاده از ساب‌دامین‌ها:**  
   آی‌پی‌های موردنظر را پشت ساب‌دامین‌های دامنه‌های خود قرار دهید و سپس این ساب‌دامین‌ها را در فیلد "اجبار به استفاده از آی‌پی‌ها" وارد کنید.  

۲. **تنظیمات TLS/SSL:**  
   تنظیمات صحیح TLS/SSL در کلودفلر می‌تواند به بهبود امنیت و کاهش ایبوزها کمک کند. این تنظیمات باید به درستی انجام شوند.  

---

### **استفاده از اسکریپت Abuse Defender**  
برای کاهش ریسک‌های امنیتی و جلوگیری از ایبوزهای ناشی از آی‌پی‌های مشکوک، می‌توانید از اسکریپت Abuse Defender استفاده کنید. این اسکریپت به شما امکان می‌دهد قوانین فایروال مناسبی برای مسدودسازی آی‌پی‌های مشکوک اعمال کنید.  

---

#### **مرحله اول: نصب اسکریپت**  
برای نصب اسکریپت، مراحل زیر را دنبال کنید:  

<div dir="ltr">

```bash
bash <(curl -s https://raw.githubusercontent.com/Kiya6955/Abuse-Defender/main/abuse-defender.sh)
```

</div>

---

#### **مرحله دوم: اجرای اسکریپت**  

۱. از طریق **SSH** وارد سرور شوید و از هرگونه برنامه دیگر مانند **هیدیفای‌منیجر** خارج شوید.  

۲. به پوشه اصلی سرور بروید:  
<div dir="ltr">

```bash
cd /
```

</div>

۳. دستور نصب اسکریپت را اجرا کنید:  
<div dir="ltr">

```bash
bash <(curl -s https://raw.githubusercontent.com/Kiya6955/Abuse-Defender/main/abuse-defender.sh)
```

</div>

۴. پس از نصب، عدد **1** را وارد کنید تا اسکریپت شروع به مسدودسازی رنج آی‌پی‌های مشکوک کند.  

---

#### **نکات حین استفاده**  

- **دو اخطار فایروال:** هنگام اجرای اسکریپت، فایروال سرور دو اخطار نمایش می‌دهد. با زدن **Enter** یا انتخاب گزینه **yes**، این مراحل را تأیید کنید.  
- **دو سوال اضافی:** در ادامه، دو سوال دیگر مطرح می‌شود که برای هر دو باید **y** وارد کنید.  

---

### **ویژگی‌های منوی اسکریپت**  

اسکریپت پس از اتمام عملیات، منویی در اختیار شما قرار می‌دهد که شامل گزینه‌های زیر است:  

- **گزینه ۴:** مشاهده قوانین فایروال اعمال‌شده.  
- **گزینه ۳:** مسدودسازی دستی رنج آی‌پی‌ها.  
- **گزینه ۵:** حذف کلی قوانین اعمال‌شده توسط اسکریپت.  

---

### **نتیجه‌گیری**  
با استفاده از این راهکارها، از جمله مدیریت صحیح آی‌پی‌ها و نصب اسکریپت Abuse Defender، می‌توانید امنیت سرورهای خود را افزایش داده و از ایبوزهای ناشی از دیتاسنترها جلوگیری کنید. این اقدامات ساده و موثر، عملکرد و پایداری سرورهای شما را تضمین می‌کند.  
