---
title: آموزش انتقال فایل بین سرور و کامپیوتر
---

<div dir="rtl" markdown=1>

# آموزش انتقال فایل بین سرور و کامپیوتر
خیلی وقت‌ها نیاز است به/از سرور فایل انتقال دهید. مثلا فایل بکاپ را می‌خواهید خارج کنید یا یک فایل از سیستم خود به سرور وارد کنید. برای این کار چندین روش وجود دارد.

## پیش‌نیازها
برای این کار، با توجه به سیستم عامل خود یکی از برنامه های زیر را باز کنید.
- ویندوز: `PowerShell`
- مک: `Terminal`
- لینوکس : `Terminal` 

> نکته: در ویندوز اگر SSH نصب نیست دستور زیر را در PowerShell اجرا کنید تا نصب گردد.

<div dir=ltr markdown=1>
```
Add-WindowsCapability -Online -Name OpenSSH.Client
```
</div>

<div align=center markdown=1>
<img src="https://user-images.githubusercontent.com/114227601/222904870-e709f69e-1a8d-4a6d-ad6a-3d7bdcd917c3.png" />
</div>


## مشاهده لیست فایل‌های بکاپ در سرور
 برای اینکه بتوانید لیست فایل‌های بکاپ را در سرور ببینید ابتدا به سرور SSH بزنید و دستور زیر را اجرا کنید.

<div dir=ltr markdown=1>
```
ls /opt/hiddify-config/hiddify-panel/backup
```
</div>

خروجی این دستور به شکل زیر است.

<div align=center markdown=1>
<img src="https://github.com/hiddify/hiddify-config/assets/125398461/924b149e-6ec8-4b48-8fbb-ad99a234ee5e" />
</div>


یکی از فایل‌های بکاپ را برای انتقال انتخاب نمایید.

## انتقال فایل از سرور به سیستم با دستور scp
در ترمینال از این دستور استفاده کنید.

<div dir=ltr markdown=1>
`scp <user>@<Server's IP>:<path to your file> "مسیر ذخیره فایل"`

</div>

مثلا اگر یوزر سرور شما root باشد و آیپی آن `1.1.1.1` باشد، بخواهید فایل بکاپ پنل را از سرور خود خارج کنید وارد پوشه Backup‌در درایو C سیستم خود بکنید، در اینصورت باید به شکل زیر دستور را وارد کنید.

<div dir=ltr markdown=1>
```
scp root@1.1.1.1:/opt/hiddify-config/hiddify-panel/backup/2023_05_06__06_00_03.json "C:\Backup"\
```

</div>

کار تمام است. فایل مورد نظر در پوشه Backup کپی شد.

## انتقال فایل از سیستم به سرور با دستور scp
برای این کار فرض کنید یوزر سرور شما root و آیپی آن `1.1.1.1` باشد. همچنین فرض کنید فایل `text.txt` در مسیر `C:\File` قرار دارد و می‌خواهید آن را به سرور انتقال دهید. در این صورت از دستور زیر استفاده کنید.

<div dir=ltr markdown=1>
```
scp "C:\File\text.txt" root@1.1.1.1:/opt/hiddify-config
```
</div>

در این صورت فایل `text.txt` روی سرور در مسیر مورد نظر کپی می‌شود و می‌توانید با دستور زیر آن را مشاهده کنید.

<div dir=ltr markdown=1>
```
ls /opt/hiddify-config
```
</div>


## استفاده از وب برای انتقال فایل
راه دیگر انتقال فایل استفاده از سایت‌های ارائه سرویس SSH می‌باشد. برای این کار، ابتدا مشخصات سرور خود را برای SSH وارد کنید و پس از اتصال File Manager مربوط به سیستم باز می‌شود. می‌توانید به راحتی از طریق وب فایل‌های مورد نظر خود را انتقال دهید.
