---
title: Tutorial for HiddifyN software
---

<div dir="ltr" markdown="1">

# Tutorial for HiddifyN software
This software is developed based on Xray and has many features that will be reviewed below.

## Software download
To download the program in your user panel, open the desktop tab and open the section related to HiddifyN and then click on the Windows icon (button number 3) to download the program.

<div align=center markdown=1>
  
<img src="https://github.com/hiddify/hiddify-config/assets/125398461/d3036c0a-2bbd-4e71-a636-06767eb5da45" />
</div>



## Software installation
Installing the program is very simple. Just install the Runtime 6 program first and then extract the downloaded file and run the HiddifyN file in the corresponding folder.

## Add a profile to the app
In the user panel, go to the HiddifyN section again and `Click to import` so that the configurations are automatically added to the program.

<div align=center markdown=1>
  
<img src="https://github.com/hiddify/hiddify-config/assets/125398461/38bb54a9-bdab-45ba-bf0c-cfe1e5592dd9" />
</div>

## Proxy modes
One of the most important parts of this application is the proxy modes, which will be explained about each part below.

<div align=center markdown=1>
  
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/6d50dc2b-f0a1-43a3-87cd-a65de0c9991e" />
</div>

#### Auto/Smart
It will automatically connect to the configuration with the highest speed (lowest ping).

#### Load-Balance
It connects to several configs at the same time and traffic is distributed between them. This mode is very useful when you have several configurations with dirty IP, by spreading the load on several configurations at the same time, an acceptable speed is obtained.

#### Manual
It is used to set the configs manually. By clicking on it, the advanced settings of the program will be returned, which will be explained further.

## Changing the language of the software
To change the language of the software, click on the menu shown in the image below and select the language. Then close the program once and open it again.

<div align=center markdown=1>
  
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/42a4aecf-1cd0-4d20-86cc-e245828a0d93" />
</div>

## Changing the theme of the software
Click on the specified button to change the software theme.

<div align=center markdown=1>
  
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/b4318d50-8ee1-4724-b2da-0112530dd76d" />
</div>

## User profile information
In the section displayed below, the information related to the imported user profile is displayed, including the expiration time and the total traffic as well as the consumed package.

<div align=center markdown=1>
  
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/94dac157-fd58-4c0c-8df7-3c797b75ae80" />
</div>

In this section, you can also add new profiles manually. Just click on `Import` and add the user to the copied link from the panel.

## Connection to the VPN
You need to click on the middle circular button to connect to the app. The software connects to the configurations based on the selected proxy mode, and the ping related to the configuration is displayed next to this button.

<div align=center markdown=1>
  
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/a994a47b-6751-4d6d-9302-684ea7e35680" />
</div>


## Advanced settings
This section is opened by pressing the Manual button in the proxy mode section.

<div align=center markdown=1>
  
<img src="https://github.com/hiddify/hiddify-config/assets/125398461/d04a7717-0072-4912-9154-2633ab4dddbd" />
</div>

<details><summary><h4>1. Settings</h4></summary>
The advanced settings of the program are located in this section.

<div align=center markdown=1>
  
<img src="https://github.com/hiddify/hiddify-config/assets/125398461/0f546c7b-3371-4915-8031-088c89c69e38" />
</div>

<details><summary><h6>Option setting</h6></summary>
In this subsection, there are optional settings of the program, which includes several different sections.

* `Core: basic settings` 

that do not need to be changed for everyday use. The only widely used option is the port used for the program, which can be changed in this section.

<div align=center markdown=1>
  
<img src="https://github.com/hiddify/hiddify-config/assets/125398461/1ca46870-cc5e-4102-9a76-8057fa086d73" />
</div>

If you need to use proxy, you can set socks5 proxy on this port.

*V2rayN Settings 

This section contains the default settings of the V2rayN program, which is the main basis of the HIddifyN program.

<div align=center markdown=1>
  
<img src="https://github.com/hiddify/hiddify-config/assets/125398461/462a56f3-6d74-44ff-9301-226b22f51200" />
</div>


> * which Start on boot runs the program when the system boots.
> * Auto hide startup automatically hides the program running at the beginning of the work, and only the program icon is visible in the Notification Area.
> * Check for pre release update gives unofficial updates to the program.
> * Also, in the settings you see in the picture below, which of course are not used for everyday use.

<div align=center markdown=1>
  
<img src="https://github.com/hiddify/hiddify-config/assets/125398461/00b5c622-ab35-42e3-b030-5578458ad0cd" />
</div>

* System proxy settings

This section shows the settings related to the proxy system.

<div align=center markdown=1>
  
<img src="https://github.com/hiddify/hiddify-config/assets/125398461/69b71ac5-dae9-4dca-a937-3cd68719c84c" />
</div>

* Tun mode settings 

This section contains Tun mode settings that do not need to be changed for everyday use.

<div align=center markdown=1>
  
<img src="https://github.com/hiddify/hiddify-config/assets/125398461/c17b612a-eff6-4d9c-bb86-2183b5c5756f" />
</div>

* Core type settings 

In this section, you can set kernels for different protocols, the default of which is Xray.

<div align=center markdown=1>
  
<img src="https://github.com/hiddify/hiddify-config/assets/125398461/602fa4bf-1d18-4855-9eb9-d212c4fbf223" />
</div>

</details>

###### Routing setting
In this section, you can view the routing related to the profile imported to the program and make changes to it if needed. But it is suggested not to touch it if possible.

<div align=center markdown=1>
  
<img src="https://github.com/hiddify/hiddify-config/assets/125398461/b87ec29b-ae7d-4e63-8a7f-d33b53a5c3f7" />
</div>

###### DNS setting
In this section, you can enter your desired DNS into the software.


<div align=center markdown=1>
  
<img src="https://github.com/hiddify/hiddify-config/assets/125398461/d7ca0641-bab2-450b-9510-d21dfcb8e75d" />
</div>

###### Reboot as administrator
With this option, you can restart the program and open it with admin access, which is required to use Tun mode.

</details>

#### 2. Reload
This button is used to reload the program core.

#### 3. Channel
By pressing this button, you will be redirected to our Telegram channel.

#### 4. Check Update
You can check program updates using this button.

#### 5. Servers
In this section, you can enter manual configurations.

#### 6. Subs group
This section is related to subscription links. By pressing this button, you can see the links added to the program and edit them.

<div align=center markdown=1>
  
<img src="https://github.com/hiddify/hiddify-config/assets/125398461/6e244634-0a3f-4c89-b2fb-8525f79b0bae" />
</div>

#### 7. Configs imported into the program
In this section, the configurations imported to the program can be seen.


#### 8. Connection log
In this section, the log related to connections to the filter breaker is displayed, which is very useful for troubleshooting.

#### 9. Enable Tun
This button is used to enable Tun mode or tunneling the entire system traffic.


> Note: To use this mode, the program must be run with admin access level, or in other words, `Run as Administrator`.

#### 10. Current connection specifications
In this section, the current connection specifications and its ping are displayed.



