---
title: Tutorial for FoXray app
---

<div dir="ltr" markdown="1">


# Tutorial for FoXray app
This app has been released by the WingsX app team, which has been replaced due to its removal from the AppStore app list.

## Add subscription link to the app
- First, enter your user page on Hidify panel.
- In the `iOS` tab, open the section related to `FoXray` and click `Subscription Link b64`.
- `Copy` the link.

<div align=center markdown=1>
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/69e8b710-9f38-444b-a3ce-e9acef54b8c8" />
</div>



- Enter the FoXray program and select Subscriptions from the bottom menu.


- Tap the `+` button.

<div align=center markdown=1><img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/f68c3805-989c-434d-b249-b2dea19ec332"/>

</div>

- Give a desired name and copy the link in the URL and then click Subscribe. By doing this, the configs will be added to the program.

<div align=center markdown=1>
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/f9118614-a8bf-42ae-9341-62c79fd7ffd9" />
</div>

## Update subscription 
For this purpose, click on the `↪️` sign in the Subscriptions menu to update the links.

<div align=center markdown=1>
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/9a899074-d180-47a4-9eed-cd56dcef3954" />
</div>

## Add subscription link via QR code

To do this, press the QR code button in the FoXray menu and scan the QR code related to the link or configuration through the camera to be added to the program.

<div align=center markdown=1>
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/cc0afd0b-5bb5-4215-808c-d9a7e7175dac" />
</div>



Also, if you have saved the QR code in the phone gallery, you can select the photo button in the FoXray menu to select the relevant photo and add the configurations.

<div align=center markdown=1>
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/1c3dfddc-b922-4c93-bb25-256c3fc39339" />
</div>



## Add configs individually 
This method is not recommended at all because it does not have the ability to update, but you can use this feature if needed.

- To do this, copy one of the configurations from your user page in the panel.
- In the program, click the Clipboard icon in the FoXray menu to add the copied configuration to the program.

<div align=center markdown=1>
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/02be5d9c-3894-438e-be9b-072489033f2d" />
</div>


## Connection test
Setting the connection test type Go to the Setting menu and select the test type in the Speed ​​Test section.

- Using the PingType option, you can specify the type of test from TCPPing, TLSPing, RealPing, the most realistic mode of which is RealPing.

<div align=center markdown=1>
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/b6940f2e-5b0d-4c40-a1ab-36ccd6b532d7" />
</div>


- To perform the test, click on the connection test icon on the main page of the program to perform the test.

<div align=center markdown=1>
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/6851f393-45a1-4cdd-ab77-d09119a99476" />
</div>


## Limit memory usage 
To do this, activate the `Limit Memory Usage` option in the `ToolBox` section of the `Setting`.

<div align=center markdown=1>
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/7f0f8830-5b95-4d1a-9afb-7337309238ff" />
</div>

## Add DNS server
- If you need to add DNS to the program, select the `DNS` section in the `FoXray` menu.
- Then tap on `+`.
In the opened page, give a desired name and enter your desired DNS address in the `Default DNS Address` field.


<div align=center markdown=1>
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/888f5e36-bf2b-4534-9918-dfd1f4fe2ed1" />
</div>

- Do not change other parts and save.

## Auto update subscription 
This feature is among the premium features of the program and you must have purchased the program to use it. To use it, go to the `Setting` menu and select the `Auto Update Subscription` option.

<div align=center markdown=1>
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/24534c01-ff41-49fc-acb2-4daa47d36635" />
</div>



# Always ON

If you need your VPN to be always on, you should activate the `Always On` option in the `Setting` and `Pro ToolBox` section, which is also a premium option.

<div align=center markdown=1>
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/ab49fa85-742a-4002-afee-6f518146d9a4" />
</div>

## Show VPN location 

Activate the `Show Location` option in the `Setting` section and the `Pro ToolBox` section so that the location of the server will be displayed for you after VPN connection. This feature is on the premium features of the program.

<div align=center markdown=1>
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/ab49fa85-742a-4002-afee-6f518146d9a4" />
</div>


## Pin connected config
For this, you must select the `Pin Outbound` option in the `Setting` menu and the `Pro ToolBox` section. In this case, the configuration that is connected will be pinned at the top of the main page. This feature is on the premium features of the program.


<div align=center markdown=1>
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/ab49fa85-742a-4002-afee-6f518146d9a4" />
</div>

## Test configs before connecting
If you need to test the connections before connecting, activate the `Test Outbound before Start` option in the `Setting` and `Pro ToolBox` sections. This feature belongs to the premium features of the program.

<div align=center markdown=1>
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/ab49fa85-742a-4002-afee-6f518146d9a4" />
</div>

## Fragment activation
To activate the fragment on TLS connections, you need to click on the connection on this app and activate the Fragment option.
The following parameters are suggested to be specified in the relevant fields.

<div align=center markdown=1>
<img src="https://github.com/hiddify/Hiddify-Manager/assets/125398461/184d50de-95c8-4086-a2df-6e01c5c5f6fc" width="30%" />

</div>

<div dir=ltr markdown=1>
  
`packets: tlshello`

`length: 100-200`

`Interval: 10-20`

</div>

Depending on the operator, you may need to change the parameters or change the type of packets from tlshello to `tcp segment 1-3` mode. Of course, this condition may be detected earlier.
`packets: 1-3`
