---
title: Tutorial for ShadowRocket app
---

<div dir="ltr" markdown="1">


# Tutorial for ShadowRocket app
This application is one of the non-free programs on the iOS operating system that you can use to connect to VPNs based on Xray.

## Add subscription link to the app
To do this, enter your user panel in the panel and enter the section specified for the `ShadowRocket` app in the `iOS` tab.
- Then, you can download the program from the given link if needed.

<div align=center markdown=1>
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/24520888-2489-499d-b0a4-46c297e9f83f" />
</div>

- In the lower section, there are configs, which have two possibilities.



<div align=center markdown=1>
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/61500b2d-2947-493e-8a9d-3d8f48cb5e7a" />
</div>

There are two options. You can choose the `Normal` config marked in orange or use the `Lite` config the green one. `Lite` config do not pass the traffic of domestic sites through the VPN, so when your VPN is active, you do not need to turn it off to go to domestic sites. On the other hand, the `Normal` configuration passes all the traffic through the VPN and. If the option to block domestic sites is enabled in the panel settings, these sites will not be opened, but if [WARP](/manager/wiki/How-to-activate-WARP-on-the-Hiddify-panel) is enabled, domestic sites will be opened using WARP.

Finally, according to your need, click on one of the links and to transfer the link to the app, either you can use the copy option or scan the displayed QR code.

## Copy the link to the app
- After copying the link from the panel's user page, enter the ShadoRocket program and press the `+` button from the upper right corner.


<div align=center markdown=1>
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/d116347f-31bc-4ca9-a1fc-bdb9364e5e74" />
</div>

- Then, on the page that opens, set the `Type` to `Subscribe`, and then copy the link in the `URL` field and click `Save`. By saving this link, all connections will be loaded in the program.


<div align=center markdown=1>
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/c087970e-aebc-479d-8b8a-bc54a78cc7f8" />
</div>

## Add link via QR code
- To do this, click on the scanner button on the main page as shown below.

<div align=center markdown=1>
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/cee3abfe-db05-4e2c-925d-fa57010d3465" />
</div>


- Then scan the QR Code on the user page. Connections will be added to the app.

## Config test
To test connections, just click on Connectivity Test on the main page of the program.

<div align=center markdown=1>
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/49a37a3c-b1f7-48ba-91e2-0a4ac7dc3e5f" />
</div>

If you want to test the configurations more realistically, go to `Settings` in the lower menus and then set `Test Method` to `Connect`. Now, if you take a test, more real results will be shown.

<div align=center markdown=1><img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/8760fd19-9056-4c0c-a4a0-aeebd728656f" />
</div>


## Update of subscription and configs
If you want to test the configurations more realistically, go to Settings in the lower menus and then set Test Method to Connect. Now, if you take a test, more real results will be shown.


<div align=center markdown=1>
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/0878e805-a24e-4f19-831a-f526b475db4a" />
</div>


## Subscribe settings
In the `Settings` menu, select the `Subscribe` option at the bottom.


## Automatic update when opening the app
For this, select `Update` on Open in `Subscribe`.


<div align=center markdown=1>
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/aeb08d16-20d3-424e-8c6d-7d13f06aeb8d" />
</div>


## Automatic update
Turn on the `Auto Background Update` option to automatically update the links at specified time intervals.

<div align=center markdown=1>
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/97540ef0-399f-4260-85a1-af0c0594533b" />
</div>


## Sort by ping result
If you want to sort the configurations based on the result of the ping test, select the `Sort by ping` option.


<div align=center markdown=1>
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/afeb9a4d-a12f-49f1-aca7-f5eae5c6bed2" />
</div>


## Prevent IP leakage
To do this, activate the `Disable STUN` option in `Settings` and in the `UDP` section.


<div align=center markdown=1>
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/3bd81556-4119-4659-8db7-0826bbdbd6ee" />
</div>



## Fix sound problem in some programs
Sometimes it may have happened to you that the sound does not play in some programs like Club House. To fix this problem, you can enter `TCP` from `Settings` and then change your `Fingerprint`.

<div align=center markdown=1>
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/fe7a7a27-016c-45b9-92b5-2e9427ba165a" />
</div>




## Activate the app shortcut
Enter the `Shortcuts` section from `Settings`. Here, you can set a voice command for different applications, using that voice command, the desired function will be executed, for example, the program will be executed, and so on.

## Activate Killer Switch
For this, enter the `On Demand` section in `Settings`.


<div align=center markdown=1>
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/af641742-dc91-468e-9135-78de911e6703" />
</div>



#### Always On
By turning this option on, your VPN will always be on.

#### On Demand
By turning on this option, when your internet is interrupted, ShadoRoket will disconnect your entire internet to prevent your original IP from being revealed.

#### Disconnect on Sleep
If you enable this option, the VPN will be disconnected after the phone goes to sleep mode.

## Share connection with other devices
Suppose you have a device that cannot install a VPN and needs to be connected to the free Internet. For this, you can use the connection sharing option in ShadRocket. Enter the `Proxy` section in the `Settings` menu and select `Proxy Share`. If you enable the Enable Share option, your VPN will be shared on the specified IP and port.

<div align=center markdown=1>
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/d764b726-6ddd-4a5a-aa76-f9ad8165e4f1" />
</div>




To use on another device that is in the same network as your phone, you can enter its proxy settings and enter the IP and port. This device will connect to the free internet without installing any VPN.

## Create load balance
Holding your finger on the home screen and sliding down opens the app's hidden menu.

<div align=center markdown=1>
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/59872f56-e9ff-4c50-85a0-65ccd488e704" />
</div>



Press the `+` button to create a load balance.

<div align=center markdown=1>
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/b67bc883-e643-465c-85dc-e6eeb719723c" />
</div>






Give a desired name and set the `Type` to `load-balance`. Then, from the `Policy` section, select the configurations that have better ping or even all configurations. In the `Interval` section, you can specify the time between load balance connection tests. In the `Timeout` section, you can also specify the length of time a connection remains disconnected and is still considered valid. But if it's the first time you set this part, you can set the timer settings to default for now. Finally, save.

<div align=center markdown=1>
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/be6e132b-d9d4-45ff-ab8a-94b72d764139" />
</div>


Now click on the created load balancer and tap `Test`. With this, the load balance test is performed and its connection is established. By turning ShadowRocket on or off, load balance is also turned on or off.


<div align=center markdown=1>
<img width=30% src="https://github.com/hiddify/hiddify-config/assets/125398461/819da751-8a46-4ab3-88e2-00a5e0b3f724" />
</div>


## Fixed the problem of some sites not opening

If some sites or applications do not open for you or Telegram gifs do not open, make the following settings to fix it.

* Go to the `Settings` menu.

* Enter the `TCP` section.

* Set `TLS` to `Network`.

* Set `Fingerprint` to `Safari15_5`.

* Set `Max Read Length` to `16384`.

* Then go to `Home`.

* Set `Global Routing` to `Proxy`.