---
title: آموزش فعال‌سازی وارپ در هیدیفای‌منیجر
weight: -110
---

<div dir="rtl" markdown=1>
# آموزش فعال‌سازی وارپ در پنل هیدیفای

خیلی از وبسایت‌ها از جمله گوگل دسترسی کاربران از طریق VPN را محدود می‌کنند. به این دلیل که به طور همزمان چندین کانکشن مختلف از یک آیپی به سمت سرور گوگل می‌رود، این رفتار شبیه رفتاهای مخرب سایبری است و به همین دلیل ارتباط دچار مشکل می‌شود و گوگل به عنوان مثال خطای ۴۰۳ می‌دهد. سایر وبسایت‌ها هم اجازه برقراری ارتباط و استفاده از سرویس را نمی‌دهند. در اینجا یکی از روش‌های حل مشکل استفاده از سرویس WARP کلادفلر است.

## وارپ چیست؟
وارپ یک سرویس از کلادفلر است که ارتباط امن و رمزگذاری شده از طریق شبکه خود را فراهم می‌کند. پس از اینکه چک‌های امنیتی را روی کلاینت مورد نظر انجام داد و مطمئن شد که رفتار مخربی وجود ندارد، ارتباط را به سمت اینترنت برقرار می‌کند. به آن سیستم یک آیپی اختصاص می‌دهد و ارتباط از آن طریق صورت می‌گیرد. در واقع وارپ ابزاری هست که آی پی سرور شما را از سایت‌هایی که کاربرانتان بازدید می‌کنند مخفی میکند. چون آیپی سرور مخفی می‌شود، بنابراین دسترسی برقرار می‌شود.

وارپ چندین سطح سرویس دارد که سرویس رایگان آن محدودیت حجم ترافیک دارد و بعد از عبور از محدودیت، دسترسی محدود می‌گردد. بهتر هست از سرویس ویژه آن تحت عنوان وارپ پلاس استفاده شود که حجم بالایی را پشتیبانی می‌کند. روی هیدیفای قابلیت استفاده از این نسخه از وارپ وجود دارد که در ادامه نحوه فعال‌سازی آن توضیح داده خواهد شد.

## تنظیم وارپ در هیدیفای
به بخش تنظیمات پنل بروید، در این قسمت تنظیمات WARP را مشاهده می‌کنید. آن را باز نمایید.
</div>

<div align=center markdown=1>
![WARP_Settings](https://github.com/hiddify/hiddify-config/assets/125398461/ffe6ac83-f130-46dd-8364-36ad68774849)



</div>

<div dir="rtl" markdown=1>
وقتی آن را از حالت غیرفعال خارج می کنید باید به آن یک کد وارپ پلاس بدهید که باید این سرویس را از کلادفلر تهیه نمایید. البته برای دریافت این کد ربات‌های مختلفی در تلگرام وجود دارند که این کد را به شما می‌دهند ولی هیچ کدام مورد تایید ما نیستند. 

### حالت همه
همه ترافیک‌ها را از وارپ عبور می‌دهد حتی سایت‌هایی که مشکل ندارند نیز از وارپ عبور می‌کنند.

### حالت فقط سایت‌های داخلی و مسدود شده
فقط سایت های ایرانی و `Google, Spotify, Netflix, Openai, ipinfo.io` از وارپ استفاده میکنند.

* نکته: اگر به هر دلیلی در کد قرار داده شده خطایی وجود داشته باشد، وارپ غیرفعال می‌شود. بنابراین دقت کنید که کد را به درستی اسفاده کنید. کدی که بات در اختیار شما قرار می‌دهد را به درستی انتخاب و کپی نمایید و در فیلد مورد نظر قرار دهید.

## چطور چک کنید که وارپ فعال است یا خیر
برای این کار از منوی `اقدامات`، `وضعیت` پنل را چک کنید.

<div align=center markdown=1>

![status log](https://github.com/hiddify/hiddify-config/assets/125398461/a860eed6-681b-4af6-89f8-4a300ea3f23b)



</div> 






در این صفحه وضعیت سیستم نمایش داده می‌شود. همچنین وضعیت سرویس وارپ به همراه آیپی اختصاص یافته جهت استفاده ترافیک وارپ نمایش داده می‌شود.

> * دقت شود که وارپ به صورت یک سرویس همواره فعال است. یعنی در اینجا حتی اگر در تنظیمات آن را غیرفعال کرده باشید، باز نمایش داده می‌شود.

> * زمانی که وارپ را از تنظیمات غیرفعال می‌کنید، با وجود فعال بودن سرویس، ترافیک از آن عبور نمی‌کند.

> * در حالتی که کد وارپ پلاس محدود یا نامحدود را وارد کرده باشید، در این صفحه نوع سرویس به صورت `Limited` یا `Unlimited` نمایش داده می‌شود.


همچنین می‌توانید از سایت [ipinfo](https://ipinfo.io/) استفاده کنید. اگر با وجود روشن بودن فیلترشکن، آیپی نمایش داده شده در این صفحه مربوط به کلادفلر باشد؛ در این صورت وارپ به درستی فعال شده است.

<div align=center markdown=1>
![ip_info](https://github.com/hiddify/hiddify-config/assets/125398461/5410e3e5-c380-40d5-aa37-ec944a3f2fb8)


</div> 


همچنین مر‌توانید از سایت [ip.gs](https://ip.gs/) استفاده نمایید و یه همین ترتیب اگر آیپی کلادفلر نمایش داده شد، یعنی وارپ فعال شده است.

<div align=center markdown=1>
![ip_gs](https://github.com/hiddify/hiddify-config/assets/125398461/a807066a-fde6-4659-809f-24e8e3a4a28c)


</div> 

# چطور سرویس وارپ را نصب کنید؟
* برای این کار به سرور خود `SSH` بزنید؛ با فشردن `ctrl+c` یا زدن `Cancel` از منوی هیدیفای خارج شوید. 

* حالا این دستور را اجرا کنید. 

<div dir=ltr markdown=1>
```
cd /opt/hiddify-manager/other/warp/wireguard && bash install.sh
```
</div>

# چطور آیپی وارپ را تغییر دهید؟
* برای این کار به سرور خود `SSH` بزنید؛ با فشردن `ctrl+c` یا زدن `Cancel` از منوی هیدیفای خارج شوید. 

* حالا این دستور را اجرا کنید. 

<div dir=ltr markdown=1>
```
cd /opt/hiddify-manager/other/warp/wireguard && bash change_ip.sh
```
</div>

- بعد از آن آیپی اختصاص بافته توسط وارپ تغییر می‌کند. می‌توانید به روش توصبح داده شده در بالا آیپی را مشاهده کنید. 
