---
title: آموزش اتصال به سرور و عیب‌یابی از طریق SSH (‌کار با منوی هیدیفای‌منیجر)
weight: -145
---

<div dir="rtl" markdown=1>

<details markdown="1"> <summary><h1> پیش نیاز: نصب ssh در ویندوز</h1> (کلیک کنید)</summary>

* اگر کلاینت شما ویندوز است؛ می توانید از پاورشل استفاده نمایید. ابتدا اگر تا کنون ماژول OpenSSH را نصب ننموده اید؛ پاورشل را با **دسترسی ادمین** باز کنید یعنی روی PowerShell راست کلیک کنید و Run as Administrator را بزنید. 

![image](https://user-images.githubusercontent.com/114227601/222904592-cd26b3bf-a014-4253-9488-ee9717f006fe.png)

سپس این دستور را اجرا کنید:


<div dir="ltr" markdown=1>
```
Add-WindowsCapability -Online -Name OpenSSH.Client
```
</div>
پس از آن چنین چیزی را باید مشاهده کنید:

![image](https://user-images.githubusercontent.com/114227601/222904870-e709f69e-1a8d-4a6d-ad6a-3d7bdcd917c3.png)

تبریک نصب ssh به پایان رسید
</details>


# نحوه اتصال و رفع عیب از طریق SSH


در صورتی که به هر دلیلی دسترسی به پنل از طریق وب فراهم نبود و یا دسترسی شما قطع گردید و لینک اضطراری را هم در اختیار ندارید؛ در این حالت تنها راه کنترل و اعمال تغییرات و همچنین برگرداندن دسترسی وب از طریق ترمینال است.


در این حالت نیاز است ابتدا به سرور ssh بزنید.
برای این کار:
با توجه به سیستم عامل خود یکی از برنامه های زیر را باز کنید
- اندروید: `Termius`
- ویندوز: `PowerShell,PuTTY`
- مک: `Terminal`
- لینوکس : `Terminal` 

سپس از طریق اجرای دستور زیر به سرور متصل شوید:

<div dir="ltr" markdown=1>
  
```
ssh user@<IP_Address>
```
</div>

معمولا یوزر شما در سروری که خریداری کردید `root` هست فرض کنید IP سرور شما 1.1.1.1 هست پس دستور به شکل زیر میشه 
<div dir="ltr" markdown=1>
  
```
ssh root@1.1.1.1
```
</div>

پس از اتصال به سرور منوی پنل به این شکل نشان داده می شود.

![Hiddify-Manager](https://github.com/hiddify/hiddify.com/assets/125398461/5b3b47fb-4437-4388-b22d-0d2df6359620)

برای آشنایی بیشتر هر کدام از قسمت ها به صورت مجزا توضیح داده خواهند شد.


## Cancel 
با انتخاب کنسل می‌توان از منو خارج شد و به ترمینال عادی سرور رسید. 

نکته: برای بازگشت به منو باید در ترمینال این کامند را اجرا کنید. 

</div>

```
bash /opt/hiddify-config/menu.sh
```
<div dir="rtl" markdown=1>
## Status
این منو برای اطلاع از وضعیت سیستم استفاده می شود که اگر همه چیز نرمال باشد باید نتیجه به این شکل نمایش داده شود.


![Status](https://github.com/hiddify/hiddify.com/assets/125398461/bb5072e7-635b-486e-9dce-024b8479adb8)

برای بازگشت به منوی اصلی باید کلید q را بزنید.

## Admin
این قسمت لینک های ادمین را نمایش می دهد. در صورتی که به هر دلیل نیاز به این لینک ها داشتید از این گزینه استفاده نمایید.

![Admin](https://github.com/hiddify/hiddify.com/assets/125398461/d15fb764-45b4-40ec-84f2-7dc0ea134f13)

برای بازگشت به منوی اصلی یک کلید را فشار دهید.



بیشترین کاربرد:
> > > در صورتی که پنل را نصب نمودید ولی فراموش کردید لینک های ادمین را کپی کنید.

## Log
برای مشاهده لاگ های سیستم استفاده می شود. پس از انتخاب آن باید نوع لاگ مورد نظر را نیز انتخاب نمود.

![Log](https://github.com/hiddify/hiddify.com/assets/125398461/4fa52e34-1f2a-4378-ae1a-881dc81e1269)

مثلا اگر بخواهیم لاگ های مربوط به نصب را مشاهده کنیم می توان گزینه 0-install.log را انتخاب نمود.

![0-install.log](https://github.com/hiddify/hiddify.com/assets/125398461/6a980bbf-9d7a-4ef6-aa92-7a4bfeeb34e3)

در اینجا لاگ های نصب به شکل فوق نمایش داده می شود که در انتهای آن وضعیت سیستم و لینک های ادمین نمایش داده می شوند.


بیشترین کاربرد:
> > > در صورتی که یکی از سرویس ها به درستی کار نمی کند و نیاز دارید لاگ آن را چک کنید.




# Restart
این گزینه همه سرویس‌های پنل را بدون تغییر در تنظیمات ریست می‌کند.

![Restart](https://github.com/hiddify/hiddify.com/assets/125398461/d0caf625-9f09-4543-bc22-ae3843bf289a)

با فشردن هر کدام از دکمه های روی کیبورد می توانید به منوی اصلی برگردید.

بیشترین کاربرد:
> > > در صورتی که یکی از سرویس ها غیر فعال شده است و نیاز دارید یکبار همه سرویس ها را ریست کنید.



## Apply Configs
این بخش برای اعمال تنظیمات ذخیره شده استفاده می شود. پس از انتخاب آن پنل شروع به بازنشانی مقادیر می کند.

![Apply Configs](https://github.com/hiddify/hiddify.com/assets/125398461/76446e31-8efd-4d0e-84b9-a1358887a027)

برای بازگشت به منوی اصلی یک کلید را فشار دهید.


بیشترین کاربرد:
> > > در صورتی که تغییراتی را در پنل ثبت نمودید ولی به هر دلیل دسترسی وب را از دست دادید


## Update
این گزینه برای آپدیت کردن سیستم استفاده می شود. در صورت انتخاب آن پنل به آخرین نسخه موجود روی گیتهاب پروژه به روزرسانی می گردد. در اینجا سه گزینه وجود دارد که به شکل زیر است.

![Update](https://github.com/hiddify/hiddify.com/assets/125398461/9b24004d-cb44-4137-a573-76eb59d8930a)

### Default
با انتخاب این گزینه برنامه مطابق با تنظیم پنل وب بروز می شود.

### Release
با انتخاب این گزینه برنامه به آخرین نسخه پایدار بروز می شود.
(پیشنهاد می شود)

### Beta
با انتخاب این گزینه برنامه به آخرین نسخه بتا بروز می شود.

### Develop
با انتخاب این گزینه برنامه به آخرین نسخه توسعه بروز می شود.

**در هر سه حالت در ترمینال مثل این شکل خواهید داشت.**

![Develop](https://user-images.githubusercontent.com/125398461/222898474-0d72f442-f19a-40a9-9f35-fcad96807fc4.png)

با فشردن هر کدام از دکمه های روی کیبورد می توانید به منوی اصلی برگردید.


بیشترین کاربرد:
> > > در صورتی که هنگام آپدیت از طریق پنل دسترسی را از دست دادید.





بیشترین کاربرد:
> > > در صورتی که هنگام نصب یکی از اسکریپت ها به درستی اجرا نشده و پنل باز نمی شود.

### Advanced
این زیر منو شامل چندین گزینه است.

![advanced](https://github.com/hiddify/hiddify.com/assets/125398461/61336508-2dbf-43d8-893c-8d9adbdf3a51)

### add_remote

این گزینه برای زمانی است که میخواهید از طریق 
[ربات هیدیفای](https://t.me/hiddifybot)
دسترسی
SSH
به تیم هیدیفای بدهید.

### remove_remote
این گزینه برای زمانی است که میخواهید 
دسترسی
SSH
را از
[ربات هیدیفای](https://t.me/hiddifybot)
بردارید.



### Enable
این گزینه برای زمانی است که شما نمایش این پنجره را قبلا غیرفعال کرده اید و می خواهید مجددا نمایش خودکار آن را در استارتاپ سرور فعال کنید.

### Disable
با انتخاب این گزینه نمایش این پنجره در استارتاپ غیرفعال می گردد. یعنی اگر سرور ریستارت شود دیگر به صورت خودکار این پنجره نمایش داده نمی شود.

### Uninstall
در صورت نیاز به حذف پنل نصب شده از سرور از این گزینه استفاده نمایید. ضمنا در نظر داشته باشید این گزینه همه موارد نصب نشده را حذف نمی کند. در صورتی که نیاز دارید سرور به تنظیمات دیفالت قبل از نصب بازگردد؛ بهتر هست که آن را ریبیلد کنید.

### Purge
برای حذف کامل برنامه و دیتابیس از سرور این گزینه را انتخاب نمایید.
> اگر این روش به هر دلیل برای شما کارآمد نبود، می‌توانید از طریق دیتاسنتر خود اقدام به `Rebuild` کردن سرور نمایید. با این کار تمام اطلاعات سرور پاک می‌شود.
