---
title: How to set up and use Telegram bot on HiddifyManager
weight: -130
---

<div dir="ltr" markdown="1">

# How to set up and use Telegram bot on HiddifyManager
In Hidify, you can connect your panel to a Telegram bot and do a series of tasks related to the user section through it.

For this, you need to first create a bot in Telegram.

## Making a Telegram bot
Open Telegram and search for `botfather`. Open the bot that creates Telegram bots.

<div align=center markdown=1>
![](https://user-images.githubusercontent.com/125398461/235900298-c2251db5-2b14-4a45-b4c3-1b1c857a64b4.png)
</div>

Click Start to start the bot creation process.

<div align=center markdown=1>
![](https://user-images.githubusercontent.com/125398461/235900621-1d8143fa-a56d-4c01-9f7c-3b96b1772191.png)
</div>


Then from the menu that appears; Select `/newbot` option.

<div align=center markdown=1>
![](https://user-images.githubusercontent.com/125398461/235900712-3f6cb0c2-4107-473c-affa-5af47ff1f2d0.png)
</div>

In the next step, first choose a desired name for your bot and then choose a unique username for it.

<div align=center markdown=1>
![](https://user-images.githubusercontent.com/125398461/235904011-8d51583c-3c39-4a88-99c5-ee71d0016631.png)
</div>

pay attention:
* Bot username must end with the word `Bot`.
* Using `_` for bot username is allowed.

In the next step, your bot is ready. You must copy the corresponding token to enter it in the next area in your Hiddify panel.

<div align=center markdown=1>
![](https://user-images.githubusercontent.com/125398461/235904260-f6f582d3-f4e6-4829-951b-0f4f7540f4a0.png)
</div>

## Bot setting in Hiddify panel
To do this, go to the settings section and then in advanced settings; Enter the token copied in the previous step into the specified field.

<div align=center markdown=1>
![](https://user-images.githubusercontent.com/125398461/235904497-84682dd3-8774-4d06-9391-d662d884b64e.png)

</div>

Then hit register and apply changes.

Telegram bot is available. You can see it in menu.

<div align=center markdown=1>

![](https://user-images.githubusercontent.com/125398461/235912447-776ce7fd-65ed-4c4a-b6c8-b7b828ab8aea.png)


</div>


## How to use Telegram bot
To use this bot, just click on the Telegram bot menu in the Hiddify panel; Here you will be redirected to Telegram and enter your bot. Start the bot.

<div align=center markdown=1>
![](https://user-images.githubusercontent.com/125398461/235907744-d16631e7-aa15-477e-9f05-34c5a90c80bf.png)
</div>


Note: for safety reasons, the bot will start this way.

In this bot, you can create your desired users and check their volume and expiration date.

By selecting `Create Package`, you can specify the desired package for the user.

<div align=center markdown=1>
![](https://user-images.githubusercontent.com/125398461/235907850-1e613a61-6506-45a5-bc8c-eda7a718048c.png)
</div>

For example, the 4 GB package is selected here.

<div align=center markdown=1>
![](https://user-images.githubusercontent.com/125398461/235908017-f4c5b463-c40e-4524-a08d-90e7f7e395c2.png)
</div>

In the next step, you specify the validity period of the account. For example, a week.

<div align=center markdown=1>
![](https://user-images.githubusercontent.com/125398461/235908369-39e536f7-150d-4498-828b-b8861089d7b1.png)
</div>

Then you specify the number of users with the given profile. For example, 1 user is selected here.

<div align=center markdown=1>
![](https://user-images.githubusercontent.com/125398461/235908551-11ca06da-25db-4db2-9ca5-20240b04fd15.png)
</div>

Now, select the domain for the user's link

<div align=center markdown=1>
![](https://user-images.githubusercontent.com/125398461/235908789-b519ee45-3976-454b-9268-1829ca968021.png)
</div>

The work is done. The user was created with the given specifications and its specifications are displayed for you in the robot.

<div align=center markdown=1>
![](https://user-images.githubusercontent.com/125398461/235908927-0835b813-14e1-4c8f-9aa8-3c8398eaa6c1.png)
</div>

If you check the panel, you can see that the desired user has been created according to the data specifications in the bot.

<div align=center markdown=1>
![](https://user-images.githubusercontent.com/125398461/235909045-f7581a57-5cb7-4df3-ad3d-9293bbdc8ba2.png)
</div>

You can send message to users via Telegram if you save their Telegram account in the panel.

<div align=center markdown=1>
![](https://user-images.githubusercontent.com/125398461/235909375-a9abc059-c4e1-4fe6-ba65-630e3704ba20.png)
</div>

You can also click on the update button in the bot to report the user's latest status, including the expiration date and the amount of remaining volume.

<div align=center markdown=1>
![](https://user-images.githubusercontent.com/125398461/235909484-c3b6064d-afb5-4654-8c01-84acb55becd4.png)
</div>


This bot is in its early stages and its list of executable commands will be developed in the future.

