---
title: راهنمای استفاده از IPv6
---

### راهنمای استفاده از IPv6

---

#### **مفهوم IPv6**
IPv6 مخفف Internet Protocol Version 6 است که به‌عنوان جایگزین IPv4 طراحی شده است. این پروتکل به دلیل استفاده از آدرس‌های ۱۲۸ بیتی امنیت بسیار بالاتری نسبت به IPv4 دارد. در سیستم‌های فیلترینگ کنونی، تشخیص و محدود کردن IPv6 هزینه‌بر و دشوار است و به‌گونه‌ای عمل می‌کند که عملاً محدود نمی‌شود.

---

#### **نکات قبل از استفاده از IPv6**
۱. **فعال‌سازی IPv6 در سرور:**

   - برای استفاده از IPv6، این قابلیت باید از سمت دیتاسنتر فعال شود. لطفاً این مورد را از طریق ارائه‌دهنده سرور پیگیری کنید.

۲. **پشتیبانی اپراتورها:**

   - IPv6 تنها روی برخی اپراتورها (ایرانسل و رایتل) پشتیبانی می‌شود. ممکن است اما این قابلیت روی برخی اپراتورها مانند همراه اول و مخابرات به‌صورت منطقه‌ای یا کلی فعال باشد.

۳. **فرمت صحیح IPv6:**

   - اگر IPv6 در سرور فعال باشد، پس از نصب هیدیفای‌منیجر، فرمت صحیح آدرس IPv6 در صفحه نخست پنل نمایش داده می‌شود و باید آن را یادداشت کنید.

---

#### **مراحل استفاده از IPv6 در پنل**

##### **روش اول: دایرکت (پیشنهادی)**

۱. در قسمت دامنه‌های پنل، گزینه "ایجاد" را بزنید و حالت را روی "دایرکت" (بدون واسطه) قرار دهید.
۲. در کلودفلر، یک رکورد با تایپ **AAAA** ایجاد کنید و آدرس IPv6 سرور را روی آن تنظیم کنید (پروکسی خاموش).
۳. آدرس ساب‌دامینی که ایجاد کرده‌اید را در قسمت دامنه وارد کرده و ذخیره کنید.

**پروکسی‌های پیشنهادی:**

<div align dir="ltr">
- HTTP TCP Direct Vmess
- XTLS WS Direct Vless
</div>

##### **روش دوم: ریالیتی**
۱. یک دامنه با حالت "ریالیتی" در صفحه دامنه‌های پنل ایجاد کنید.
۲. در قسمت "دامنه بازگشتی"، آدرس دلخواه خود را وارد کنید (پیشنهادی: www.speedtest.net).
۳. در بخش "نام سرورهای ریالیتی"، ساب‌دامین یا دامنه بازگشتی را وارد کنید (پیشنهادی: www.speedtest.net).
۴. در فیلد "اجبار به استفاده از..."، آدرس IPv6 سرور را وارد کنید.


**پروکسی‌های پیشنهادی:**

<div align dir="ltr">
- Reality XTLS Direct Vless
</div>

##### **روش سوم: دایرکت قدیمی XTLS**

۱. وارد حساب کلودفلر خود شوید.
۲. در بخش مدیریت دامنه، گزینه DNS را باز کنید و یک رکورد با تایپ **AAAA** ایجاد کنید.
۳. یک نام دلخواه برای رکورد انتخاب کرده و ذخیره کنید.
۴. در پنل هیدیفای‌منیجر، یک دامنه با حالت "دایرکت قدیمی XTLS" ایجاد کنید.
۵. ساب‌دامینی که در کلودفلر ساخته‌اید را وارد کرده و ذخیره کنید.

**پروکسی‌های پیشنهادی:**

<div align dir="ltr">
- TLS_H2 WS Direct Vless
- TLS WS Direct Vless
- XTLS WS Direct Vless
</div>
---

#### **تنظیمات دستگاه کلاینت برای IPv6**

##### **در اندروید:**

۱. در تنظیمات موبایل، گزینه "APN" را جستجو کنید.
۲. APN پیش‌فرض را باز کرده و گزینه "Internet Protocol" را روی "IPv4/IPv6" قرار دهید.

##### **در ویندوز:**

۱. وارد Control Panel شوید.
۲. گزینه "Network and Internet Settings" را پیدا کرده و وارد "Network and Sharing Center" شوید.
۳. از منوی کناری، "Change Adapter Settings" را انتخاب کنید.
۴. روی شبکه متصل کلیک راست کرده و "Properties" را بزنید.
۵. گزینه "Internet Protocol Version 6" را تیک زده و ذخیره کنید.

##### **در iOS:**

۱. وارد [این سایت](https://mobileconfig.azurewebsites.net) شوید.
۲. در دو فیلد نخست عبارت "google.com" را وارد کرده و گزینه "IPv4/IPv6" را تیک بزنید.
۳. پروفایل ایجاد شده را دانلود کرده و از بخش تنظیمات موبایل آن را نصب کنید.
۴. در تنظیمات، "APN" را جستجو کرده و از پایین صفحه گزینه "Reset Network Settings" را بزنید.

---

با انجام این مراحل، قابلیت استفاده از IPv6 به‌طور کامل برای شما فراهم خواهد شد.

