---
title: نحوه استفاده از API در پروژه HiddifyManager
---

### مستند جامع استفاده از API در پروژه هیدیفای‌منیجر

---

#### **مقدمه**

API در پروژه هیدیفای‌منیجر طراحی شده است تا امکان کنترل از راه دور پنل و دسترسی آسان‌تر به آن از طریق برنامه‌نویسی و ارتباط با اپلیکیشن‌ها و ربات‌ها فراهم شود. این مستند شما را با نحوه استفاده از APIهای نسخه دو و همچنین نکات امنیتی و تعاریف موردنیاز برای پیاده‌سازی آنها آشنا می‌کند.

---

#### **نحوه دسترسی به مستندات API**

برای مشاهده و استفاده از مستندات مربوط به API، کافی است از طریق منوی **هیدیفای‌منیجر** به مسیر زیر بروید:  
`پنل ادمین -> تنظیمات -> API`  
در این بخش می‌توانید بخش‌های مختلف API را بررسی کرده و کد درخواست هر عملیات را متناسب با زبان برنامه‌نویسی خود دریافت کنید.

---

#### **تعاریف موردنیاز برای استفاده از API**

۱. **Hiddify-API-Key**  
   این مقدار، همان UUID ادمین یا کاربر است که باید از طریق بخش ادمین‌ها یا تنظیمات مربوطه دریافت و در هدر درخواست استفاده شود.

۲. **Admin Proxy Path**  
   مسیر پروکسی مدیران، جهت ارتباط امن با پنل ادمین. این مقدار از مسیر زیر در پنل قابل دریافت است:  
   `تنظیمات -> تنظیمات خیلی پیشرفته -> مسیر پروکسی مدیران`

---

#### **ساختار API نسخه دوم**

API نسخه دوم به سه بخش اصلی تقسیم می‌شود:

##### **۱. بخش پنل**
این بخش عملیات مربوط به خود پنل را ارائه می‌دهد، از جمله:
- دریافت نسخه پنل
- پینگ برای اطمینان از اجرای پنل  

**شروع URL پایه:**  
```plaintext
/domain.com/admin_proxy_path/api/v2/panel
```

##### **۲. بخش ادمین**
این بخش عملیات مربوط به مدیریت ادمین‌ها و سرور را ارائه می‌دهد:
- دریافت اطلاعات ادمین فعلی
- مدیریت ادمین‌ها (ایجاد/ویرایش/حذف)
- دسترسی به آمار سرور
- مشاهده لاگ‌های Hiddify  

**شروع URL پایه:**  
```plaintext
/domain.com/admin_proxy_path/api/v2/admin
```

##### **۳. بخش کاربر**
این بخش امکانات مربوط به کاربران را فراهم می‌کند:
- دریافت اطلاعات کاربر فعلی
- دریافت کلاینت‌های پیشنهادی
- مشاهده لینک‌های سابسکریپشن و پروکسی‌های MTProto
- دریافت لینک موقت برای پنل کاربر  

**شروع URL پایه:**  
```plaintext
/domain.com/user_proxy_path/api/v2/user/
```

**توجه:** برای امنیت بیشتر، توصیه می‌شود `Hiddify-API-Key` را به جای قرار دادن در URL، در هدر درخواست وارد کنید.

---

#### **نکات امنیتی و توسعه**

- توصیه می‌شود همواره از نسخه دو API استفاده کنید، زیرا نسخه یک ممکن است در آینده منسوخ شود.  
- امکان تغییر در **endpoint**ها یا ورودی‌ها و خروجی‌ها در هر نسخه API وجود دارد؛ بنابراین، توسعه‌دهندگان باید همواره مستندات به‌روز پنل را مطالعه کنند.  

---

#### **نمونه کد برای احراز هویت**

```bash
curl -X GET "https://domain.com/admin_proxy_path/api/v2/panel/version" \
-H "Hiddify-API-Key: YOUR_ADMIN_UUID"
```

---

### نتیجه‌گیری

API نسخه دوم هیدیفای‌منیجر، مجموعه‌ای کامل از امکانات برای مدیریت پنل، ادمین‌ها و کاربران فراهم می‌کند. با استفاده از این APIها، می‌توانید کنترل دقیق‌تر و یکپارچه‌ای بر پروژه خود داشته باشید. برای اطلاعات بیشتر، به مستندات داخل پنل ادمین مراجعه کنید.



اگر سؤال یا پیشنهادی برای بهبود این مستند دارید، لطفاً اطلاع دهید. 😊
