---
title: انواع دامنه و آموزش ثبت آن‌ها
---

<div dir="rtl" markdown=1>
# انواع دامنه


## دامنه دایرکت
 به این معنی است که می خواهید مستقیماً از سرور خود (برای استفاده معمول)، استفاده کنید. در حقیقت این نام دامنه ( ساب دامنه ) مستقیما به آیپی آدرس سرور اشاره می کند. یعنی اگر آن را پینگ کنید آیپی سرور در جواب می آید.

## دامنه CDN
  به این معنی است که شما از سرور خود در پشت یک ارائه دهنده CDN استفاده می کنید. به عبارت دیگر شما دامنه (ساب دامنه) خود را در یک ارائه دهنده CDN ثبت می کنید و سپس آن را پروکسی می کنید. در اینجا ما نحوه ثبت در کلادفلر را بحث می‌کنیم. اگر می‌خواهید آموزش استفاده از CDN GCore بر روی دامنه ثبت شده در Cloudflare را مشاهده کنید [این لینک](/fa/manager/domain-worker-cdn-and-tunneling/How-to-use-GCore-CDN-on-Cloudflare-registered-domain/) را ببینید. همچنین برای مشاهده تنظیمات دامنه CDN آمازون [این مطلب](/fa/manager/domain-worker-cdn-and-tunneling/How-to-use-Amazon-CDN/) را مشاهده کنید.

## دامنه Relay
این دامنه در حالتی به کار می رود که بخواهید از سرورهای میانی برای ارسال ترافیک کاربر استفاده نمایید. مثلا یک سرور در ایران دارید و برای آن یک دامین (ساب دامین) ثبت نموده اید. می توانید این دامنه را در این قسمت ثبت کنید تا تنظیمات مربوط در کانفیگ ها اعمال گردد.
 [اطلاعات بیشتر](/fa/manager/domain-worker-cdn-and-tunneling/How-to-add-relay-domain-to-Hiddify-manager/)

## دامنه Fake
 این دامنه برای استفاده از [حقه Header](https://github.com/iranxray/hope/blob/main/cloudflare-cdn.md#%D8%B1%D9%88%D8%B4-%D8%A7%D9%88%D9%84-%D8%AD%D9%82%D9%87-%D9%BE%D8%B1%D9%88%DA%A9%D8%B3%DB%8C) استفاده می شود.  از یک دامنه جعلی (به عنوان مثال، soft98.ir) برای دور زدن پراکسی لیست سفید SNI استفاده می شود. در این حالت می توانید با تعریف این دامنه کانفیگهای مربوط به این حقه را مشاهده نمایید. در صورت استفاده از این حقه احتمال فیلتر شدن سرور وجود دارد. [اطلاعات بیشتر](/fa/manager/domain-worker-cdn-and-tunneling/How-to-create-and-use-fake-domain/)


# نحوه ثبت دامنه 
حال که با انواع دامنه آشنا شدیم نحوه ثبت این دامنه‌ها بررسی می‌شوند

<details markdown=1><summary><h2>ثبت دامنه دایرکت</h2></summary>
دامنه دایرکت را می توانید به چند روش ثبت نمایید.

### ثبت دامنه دایرکت به صورت رایگان
 استفاده از سایت هایی که ساب دامین رایگان ارایه می 
دهند: سایت پیشنهادی [afarid](https://freedns.afraid.org)

در این سایت یکسری دامنه پابلیک از قبل ثبت شده است. شما می توانید ساب دامین مورد نظر خود را روی این دامنه ها ثبت نمایید.

برای این کار ابتدا می بایست از [اینجا](https://freedns.afraid.org/signup/?plan=starter) یک پروفایل بسازید. یک ایمیل واقعی نیاز است.

![signup](https://user-images.githubusercontent.com/125398461/221342760-12dc14ed-9a19-45f3-a3f1-bf7d3f969792.png)

پس از آن از [اینجا](http://freedns.afraid.org/domain/registry/) لیست دامنه های ثبت شده در این سایت دیده می شود. می توانید یکی از دامنه هایی که تعداد هاست کمتری دارد را انتخاب کنید. توجه شود که دامنه باید از نوع پابلیک انتخاب شود. توصیه می شود دامنه 
های .com , .org, .net استفاده گردند.

![DNS record registration](https://user-images.githubusercontent.com/125398461/221343189-1fe98d0d-7f05-4639-9b51-fb6926f76f2b.png)

### ثبت دامنه دایرکت خریداری شده

پس از خرید دامنه می توانید از سایت های ارایه دهنده خدمات DNS استفاده نمایید. بعنوان مثال کلادفلر

#### ثبت دامنه دایرکت خریداری شده در کلادفلر
ابتدا با استفاده از [این لینک](https://dash.cloudflare.com/signup) ثبت نام می کنید.

![Screenshot_20230225_102424](https://user-images.githubusercontent.com/125398461/221563866-d520a39d-15c8-4f88-a756-90e5e08c074a.png)

پس از ایجاد پروفایل به آن وارد شوید. در اینجا دامنه خود را باید اضافه نمایید. برای این کار روی دکمه Add a site بزنیدو دامنه خود را اضافه نمایید.

![Screenshot_20230227_160604](https://user-images.githubusercontent.com/125398461/221566504-5ecf714b-940d-4fd5-bc54-be8c37b7c292.png)


در مرحله بعد پلن مورد نظر خود را انتخاب نمایید. برای این کار پلن رایگان کافیست. بنابراین مطابق با عکس انتخاب می نمایید.

![Screenshot_20230227_161426](https://user-images.githubusercontent.com/125398461/221567803-26850724-1bc8-480a-8c6f-29b32a6fcfa6.png)

در مرحله بعد مطابق با شکل next می کنیم.

![Screenshot_20230227_162027](https://user-images.githubusercontent.com/125398461/222444475-5596de54-3e7f-4fae-a0f0-94c046a21969.png)


در مرحله آخر سرورهای DNS داده شده را در تنظیمات دامنه خود قرار دهید.

![Screenshot_20230227_162410](https://user-images.githubusercontent.com/125398461/221569269-1f4027c7-5815-4dea-876e-326dc0645fe1.png)


مقداری ثبت نمایید تا تنظیمات دامنه ثبت گردد. بعد از آن دامنه در سرور کلادفلر اکتیو می گردد.

![Screenshot_20230227_163943](https://user-images.githubusercontent.com/125398461/221572305-50e819ea-0fa4-4548-8851-aab91b797f57.png)

حال باید به قسمت ثبت رکوردهای DNS بروید.

![Screenshot_20230227_164245](https://user-images.githubusercontent.com/125398461/222436778-f80de97b-7d66-4621-8be3-b856fc4e2c75.png)

در این حالت برای ثبت رکوردهای مرتبط با آیپی ورژن ۴ مطابق شکل عمل نمایید.

![Screenshot_20230227_164507](https://user-images.githubusercontent.com/125398461/222444012-2fa4a2c2-ff89-493e-b92c-01a26d7788b7.png)


پس از کلیک روی Add record مشخصات ساب دامین مورد نظر را با درج آیپی سرور ثبت نمایید. دقت شود که برای دامین دایرکت باید پروکسی خاموش گردد.

![Screenshot_20230302_165426](https://user-images.githubusercontent.com/125398461/222443477-e8b56c36-7631-44b3-8b8d-c03e43d6ce84.png)

در صورتی که نیاز باشد می توانید TTL را از حالت اتوماتیک تغییر دهید. هر چه این مقدار کمتر باشد؛ رکوردهای DNS کش شده در سیستم کاربر زودتر رفرش می گردند.

برای ثبت رکوردهای مرتبط با آیپی ورژن ۶ سرور مطابق با شکل عمل نمایید.

![Screenshot_20230302_171704](https://user-images.githubusercontent.com/125398461/222447422-45f9da15-5ce9-4a27-97c8-bb1395ea5cd8.png)


تمامی موارد ذکر شده در خصوص آیپی ورژن ۴ در این مورد نیز صدق می کند. تنها تفاوت نوع رکورد است که AAAA می باشد.

### تست ثبت دامنه دایرکت

ساده ترین تست برای اطمینان از ثبت دامنه استفاده از دستور ping است. بدین ترتیب در یک ترمینال اگر دامین مورد نظر ping  گردد باید آیپی ثبت شده فوق در جواب ظاهر گردد. معمولا حدود پروسه ثبت رکورد DNS اندکی زمان بر است. از ابزارهای پیشرفته تر مثل nslookup و dig نیز می توان جهت این تست استفاده نمود. در صورت نیاز به کسب اطلاعات بیشتر می توانید [این مقاله](https://wikicensorship.github.io/fa/docs/measure-internet-censorship/DNS/) را مطالعه نمایید.

</details>

<details markdown=1><summary><h2>ثبت دامنه CDN</h2s></summary>
این دامنه در پشت سرورهای یک ارایه دهنده CDN ثبت یا به اصطلاح پروکسی می شود.
برای این کار می بایست از خدمات یکی از این سایت ها استفاده شود. 

### ثبت دامنه CDN در کلادفلر
بعنوان مثال می توان از سرویس کلادفلر استفاده کرد.
بنابراین پس از اینکه طبق مراحل گفته شده بالا؛ دامنه شما در سایت اکتیو شد؛ می بایست به قسمت DNS بروید و رکورد مورد نظر خود را ثبت نمایید.
این رکورد برای آیپی ورژن ۴ از نوع A و برای آیپی ورژن ۶ از نوع AAAA می باشد.
تنها تفاوت با مرحله قبل این است که حتما بایستی پروکسی را روشن نمایید.

![Screenshot_20230227_164553](https://user-images.githubusercontent.com/125398461/222454021-ab8b0162-c608-478c-937c-05e384212c25.png)

### تست ثبت دامنه CDN
زمانی که این دامنه را با استفاده از ابزارهای مختلف از جمله ping, nslookup, dig تست می کنید؛ در جواب یکی از آیپی هایی که کلادفلر به صورت رندوم در آن لحظه به دامنه شما اختصاص داده است بر می گردد و دیگر خبری از آیپی شما نیست. این کار یه سطح از امنیت را برای سرور شما برقرار می کند.

توجه شود که این آیپی در بازه های زمانی مختلف تغییر می کند و ثابت نیست.

گاها اتفاق می افتد که آیپی اختصاص داده شده توسط کلادفلر در ایران مسدود یا دچار اختلال شده است که در این خصوص باید از راه کارهای دور زدن این نوع فیلترینگ استفاده نمود. 

### تنظیمات سرتیفیکت دامنه CDN

TLS الگوریتمی است که تمام ترافیک اینترنت را رمزگذاری می کند و به کاربر کمک می کند تا به صورت آنلاین ایمن بماند.
 
به بیان دقیق تر؛ TLS ارتباط بین کلاینت و سرور را در بستر وب رمزگذاری می کند که از مجموعه ای از الگوریتم های رمزنگاری مثل alpn, uTLS, allowInsecure استفاده می کند.

 سرتیفیکت هایی که به دامین ها تخصیص داده می شوند نیز بر مبنای پروتکل TLS هستند.

برای این کار در سایت کلادفلر به قسمت SSL/TLS بروید و حالت سرتیفیکت را بر روی Full قرار دهید.

![Screenshot_20230425_070544](https://user-images.githubusercontent.com/125398461/234169021-7201c012-82fb-4511-a7a8-8337e02a5b12.png)


همچنین جهت افزایش امنیت ارتباط گزینه SSL/TLS Recommender را فعال کنید. این گزینه ارتباط را چک می کند و در صورت امکان ارتقاء نسخه TLS به شما پیشنهادات امنیتی می دهد.


سپس به منوی Network بروید. اینجا باید چک کنید گزینه های QUIC و gRPC و WebSockets فعال باشند.


![Screenshot_20230306_095532](https://user-images.githubusercontent.com/125398461/223042141-c2456322-7cac-44be-be9c-044a307eeb52.png)

![](https://user-images.githubusercontent.com/125398461/223041843-7b441805-4aab-4547-b318-7dbbda4cc893.png)



### چک کردن وضعیت امنیتی ترافیک دامنه CDN 

برای این کار در بخش SSL/TLS سایت کلادفلر بروید. نموداری برای ترافیک عبوری نمایش داده می شود که هر چه ترافیک بیشتری بر مبنای TLS های ورژن بالاتر عبور کرده باشد؛ امنیت ارتباط بالاتر بوده است. ترافیک های http بدون استفاده از رمزنگاری TLS عبور می کنند.

![Screenshot_20230306_095444](https://user-images.githubusercontent.com/125398461/223042939-897b7ec0-9700-4bec-8e28-6d8f961657b6.png)

</details>

## ثبت دامنه میانی یا Relay
در حقیقت یک دامنه دایرکت است که برای سرورهای میانی در نظر گرفته می‌شوند و بنابراین نحوه ثبت این گونه دامنه‌ها همانند دامنه دایرکت است. [بیشتر بخوانید](/fa/manager/domain-worker-cdn-and-tunneling/How-to-add-relay-domain-to-Hiddify-manager/)

## ثبت دامنه Fake
همانطور که از اسمش مشخص است ما میخواهیم از یک دامنه جعلی که مربوط به خودمان نبست استفاده کنیم بنابراین نیاز نیست آن را از قبل ثبت نماییم. بلکه فقط می‌توانیم آن را در پنل استفاده کنیم.
برای مشاهده مقاله مربوط به آموزش ثبت و استفاده از دامنه فیک [اینجا](/fa/manager/domain-worker-cdn-and-tunneling/How-to-create-and-use-fake-domain/) کلیک کنید.
