---
title: آموزش راه‌اندازی سرور میانی با استفاده از سرور میانی ساز هیدیفای (همه روش‌ها در یک اپ)
---

# آموزش راه‌اندازی سرور میانی با استفاده از سرور میانی ساز هیدیفای (همه روش‌ها در یک اپ)
برای نصب و راه‌اندازی راحت‌تر سرور میانی، این اپلیکیشن ایجاد شده است که با استفاده از روش‌های زیر سرور را راه‌اندازی می‌کند و تانل برقرار می‌شود.

1. روش IP-Tables
2. روش GOST
3. روش Dokodemo-Door
4. روش HA-Proxy
5. روش Socat
6. روش WST
 
در ادامه بر اساس نیاز خود یکی از روش‌های گفته شده را دنبال کنید تا سرور میانی به روش مورد نظر ایجاد گردد.

همچنین در این ابزار امکان انجام تنظیمات پایه و تست ارتباط نیز وجود دارد.

## ⚙️ نصب و راه‌اندازی
برای ایجاد تانل در سرور میانی خود، فقط باید دستور زیر را اجرا کنید.

```
bash -c "$(curl -L https://raw.githubusercontent.com/hiddify/hiddify-relay/main/install.sh)"
```
<div align=center>

 <img width="80%" src="https://github.com/hiddify/hiddify.com/assets/125398461/713801f1-01fb-4bc7-83ca-e1294fa1b149" alt="Relay-Builder Menu" />
</div>

<details markdown="1" dir="rtl"><summary><h3>🛠️ تانل IP-Tables</h3> (کلیک کنید)</summary>
طبق تصویر اول بالا، گزینه `IP-Tables` را انتخاب کنید تا بتوانید `IP-Tables tunnel` را مدیریت کنید.

<div align=center>
  
 <img width="80%" src="https://github.com/hiddify/hiddify.com/assets/125398461/80a1ebc9-078b-4e42-844e-6da857e25d62" alt="IP-Tables Tunnel Menu">

</div>
<div markdown="1" align="right">
 
`Install`

بعد از انتخاب گزینه `Install` در `IP-Tables Menu`، آیپی مربوط به سرور اصلی را باید انتخاب کنید تا تانل روی پورت‌های `443` و `80` فعال گردد.

`Status`

این گزینه به شما پورت‌های مورد استفاده در تانل IP-Tables را نشان می‌دهد.

`Uninstall`

این گزینه همه قواعد ایجاد شده در IP-Tables را پاک می‌کند.

!!! tip "نکته!"
    دقت داشته باشید که اگر قواعد خاصی در کنار تانل به صورت دستی ایجاد کرده باشید با این دستور پاک خواهند شد.

`Back`


به منظور بازگشت به منوی اصلی گزینه `Back` را انتخاب نمایید.

</details>


<details markdown="1" dir="rtl"><summary><h3>🛠️ تانل GOST</h3> (کلیک کنید)</summary>
طبق تصویر اول بالا، گزینه `GOST` را انتخاب کنید تا بتوانید `GOST tunnel` را مدیریت کنید.

<div markdown="1" align=center>

<img width="80%" src="https://github.com/hiddify/hiddify.com/assets/125398461/ebffa5a5-a19f-4147-8389-8f69e5b48796" alt="GOST Tunnel Menu">

</div>

`Install`

- پس از انتخاب گزینه `Install`، منتظر بمانید تا تانل نصب شود.
- بعد از اتمان نصب، در قدم اول می‌بایست پورت‌های مورد نظر برای تانل را انتخاب نمایید.
- سپس ساب‌دامین مربوط به سور راصلی را انتخاب کنید تا تانل آغاز به کار نماید.
- بعد از آغاز به کار تانل، پیغام `Gost tunnel is installed and activated` روی صفحه ظاهر می‌شود.


`Status`

بعد از انتخاب این گزینه، پورت‌های مورد استفاده و وضعیت تانل روی صفحه نمایش داده می‌شود.

`Add`

- از این گزینه برای اتصال سرور میانی به چندین سرور خارجی می‌توان استفاده نمود.
- بعد از انتخاب گزینه `Add`، می‌بایست پورت جدید و دامنه مربوط به سرور اصلی را وارد نمایید.
- برای اطمینان از انجام صحیح این کار می‌توان از گزینه `Status` استفاده نمود و پورت‌ها و وضعیت تانل را طبق این گزینه چک نمود.


`Uninstall`

با استفاده از این گزینه می‌توان تانل GOST را از سرور میانی حذف نمود.

`Back`


به منظور بازگشت به منوی اصلی گزینه `Back` را انتخاب نمایید.


</details>

<details markdown="1" dir="rtl"><summary><h3>🛠️ تانل Dokodemo-Door</h3> (کلیک کنید)</summary>
طبق تصویر اول بالا، گزینه `Dekodemo-Door` را انتخاب کنید تا بتوانید `Dekodemo-Door tunnel` را مدیریت کنید.

<div markdown="1" align=center>

<img width="80%" src="https://github.com/hiddify/hiddify.com/assets/125398461/7cdae822-4fe7-40b1-a2ee-49e7bf555fed" alt="Dokodemo-Door Tunnel Menu">

</div>

`Install`

- بعد از انتخاب گزینه `Install` در این منو، منتظر بمانید تا هسته Xray روی سرور میانی نصب گردد.
- بعد از اتمام نصب، آیپی آدرس یا دامنه مربوط به سرور اصلی را انتخاب نمایید.
- در بخش مربوط به پورت‌ها، پورت‌های مورد نظر خود برای ایجاد تانل را انتخاب نمایید. (پیشنهادی: 443,80)
- در انتها پیغام `Inbound added and tunnel started` روی صفحه ظاهر می‌شود که به معنی موفقیت آمیز بودن عملیات است.

!!! warning "نکته بسیار مهم"
    دقت شود هنگام اضافه نمودن پورت در این مرحله تنها یک پورت را وارد نمایید تا `inbound` مورد نظر برای آن به درستی ایجاد شود. برای افزودن پورت‌های بیشتر از گزینه `Add` استفاده نمایید و هر پورت را در یک مرحله ااضافه نمایید.

`Status`

با انتخاب گزینه `Status`، پورت‌های مورد استفاده و وضعیت تانل روی صفحه نمایش داده می‌شود.

`Add`

- با انتخاب گزینه `Add` در منوی تانل Dokodemo-Door، می‌توان کانکشن اینباند دیگری را برای اتصال سرور میانی به یک سرور خارجی دیگر تنظیم نمود.
- بعد از انتخاب گزینه `Add`، می‌بایست آیپی آدرس یا دامنه مربوط به سرور اصلی جدید را انتخاب نمایید.
- در قدم بعد، پورت مربوط به این سرور انتخاب نمایید.
- وقتی پیغام `Additional inbound added` ظاهر شد، یعنی ایباند جدید اضفه شده است.
- برای چک کردن و حصول اطمینان از صحت انجام این مرحله می‌توان از گزینه `Status` مطابق با گزینه قبل استفاده نمود و پورت‌ها و وضعیت تانل را چک نمود.



`Uninstall`

از گزینه `Uninstall` برای حذف تانل Dokodemo-Door و هسته Xray از سرور میانی می‌توان استفاده نمود.

`Back`


به منظور بازگشت به منوی اصلی گزینه `Back‌` را انتخاب نمایید.
</details>

<details markdown="1" dir="rtl"><summary><h3>🛠️ تانل HA-Proxy</h3> (کلیک کنید)</summary>
طبق تصویر اول بالا، گزینه `HA-Proxy` را انتخاب کنید تا بتوانید `HA-Proxy tunnel` را مدیریت کنید.

<div markdown="1" align=center>
  
<img width="80%" src="https://github.com/hiddify/hiddify.com/assets/125398461/8e94e9d5-6229-46da-afd8-0c1c08787308" alt="HA-Proxy Tunnel Menu">


</div>

`Install`


- بعد از انتخاب گزینه `Install`، منتظر بمانید تا پکیج مربوط به HA-Proxy نصب گردد.
- بعد از نصب، در بخش پورت مربوط به Relay server، پورت مورد نظر خود برای سرور میانی را انتخاب نمایید. (پیشنهادی: 443)
- سپس آیپی آدرس مربوط به سرور اصی را انتخاب نمایید.
- در مرحله بعد، پورت مربوط به سرور اصلی انتخاب نمایید. ( به عنوان مثال `هیدیفای‌منیجر` از پورت‌ 443 استفاده می‌کند)
- بعد از اتمام این مرحل، در صورت نمایش پیغام `HA-Proxy tunnel is installed and activated` تانل به درستی نصب و راه‌اندازی شده است.


`Status`

با انتخاب گزینه `Status` می‌توان پورت‌های در حال استفاده و وضعیت تانل را چک نمود.



`Uninstall`

برای حذف تانل HA-Proxy از سرور میانی از این گزینه استفاده نمایید.

`Back`

به منظور بازگشت به منوی اصلی گزینه `Back` را انتخاب نمایید.


</details>

<details markdown="1" dir="rtl"><summary><h3>🛠️ تانل Socat</h3> (کلیک کنید)</summary>
طبق تصویر اول بالا، گزینه `Socat` را انتخاب کنید تا بتوانید `Socat tunnel` را مدیریت کنید.

<div markdown="1" align=center>

<img width="80%" src="https://github.com/hiddify/hiddify.com/assets/125398461/51bb5e9d-9580-454f-90ca-988a95385c4a" alt="Socat Tunnel Menu">

</div>

`Install`


- با انتخاب گزینه `Install` منتظر بمانید تا پکیج Socat نصب شود.
- سپس آیپی و پورت مربوط به سرور اصلی را انتخاب نمایید.
- بعد از انجام صحیح عملیات، با ظاهر شدن پیغام `Socat tunnel is installed and activated، تانل به درستی فعال می‌شود.

  
`Status`

با انتخاب گزینه `Status` می‌توان پورت‌های مورد استفاده و وضعی تانل را چک نمود.


`Uninstall`

با انتخاب این گزینه می توان تانل Socat را از سرور میانی حذف نمود.


`Back`

به منظور بازگشت به منوی اصلی گزینه `Back` را انتخاب نمایید.
</details>




<details markdown="1" dir="rtl"><summary><h3>🛠️ تانل WST</h3> (کلیک کنید)</summary>
طبق تصویر اول بالا، گزینه `WST` را انتخاب کنید تا بتوانید `WST tunnel` را مدیریت کنید.

<div markdown="1" align=center>

<img width="80%" src="https://github.com/hiddify/hiddify.com/assets/125398461/f9686f53-7a34-4085-9504-15aac82a29ce" alt="WST Tunnel Menu">

</div>

`Install`


- با انتخاب گزینه `Install` منتظر بمانید تا پکیج WST نصب شود.
- سپس آیپی و پورت مربوط به سرور اصلی را انتخاب نمایید.
- سپس اطلاعات مربوط به دسترسی SSH به سرور اصلی را وارد نمایید تا تنظیمات مربوط به تانل سمت آن سرور انجام شود.
- بعد از انجام صحیح عملیات، با ظاهر شدن پیغام `WSTunnel is installed and activate` تانل به درستی فعال می‌شود.

  
`Status`

با انتخاب گزینه `Status` می‌توان پورت‌های مورد استفاده و وضعیت تانل را چک نمود.


`Uninstall`

با انتخاب این گزینه می توان تانل WST را از سرور میانی حذف نمود.


`Back`

به منظور بازگشت به منوی اصلی گزینه `Back` را انتخاب نمایید.
</details>

<details markdown="1" dir="rtl"><summary><h3>🛠️ گزینه Options</h3> (کلیک کنید)</summary>
طبق تصویر اول بالا، گزینه `Options` را انتخاب کنید تا بتوانید تنظیمات پایه سرور و تست اتصال را انجام دهید.

<div markdown="1" align=center>


<img width="80%" src="https://github.com/hiddify/hiddify.com/assets/125398461/aea50ed9-94a8-4884-92dd-24ef15067253" alt="Options Menu">

</div>

`DNS`

- با انتخاب گزینه `DNS` می‌توانید تنظیمات DNSهای مربوط به سرور را انجام دهید.
- در اینجا ایپی‌های مورد نظر خود برای DNS را وارد نمایید. پیشنهاد می‌شود از DNSهای معتبر مثل `8.8.8.8` ، `1.1.1.1` , `4.2.2.4` استفاده نمایید.

  
`Update`

با انتخاب گزینه `update` می‌توان کلیه پکیج‌های سرور را به صورت کامل آپدیت نمود.


`Ping`

با انتخاب این گزینه می توان تست اتصال سرور به اینترنت را انجام داد.


`Back`

به منظور بازگشت به منوی اصلی گزینه `Back` را انتخاب نمایید.
</details>


<br>

!!! tip "نکته" 
    اگر می‌خواهید سرور میانی خود را به `هیدیفای‌منیجر` متصل نمایید، این [مقاله](fa/manager/domain-worker-cdn-and-tunneling/How-to-add-relay-domain-to-Hiddify-manager/) را مطالعه نمایید.

