---
title: استفاده از آی‌پی تمیز و مدیریت چندین دامنه CDN در هیدیفای‌منیجر
---

# مدیریت آی‌پی‌های تمیز و چندین دامنه CDN و AutoCDN در هیدیفای‌منیجر

در این مقاله، به بررسی روش‌هایی برای مدیریت آی‌پی‌های تمیز متناسب با اپراتورهای مختلف و تنظیم چندین دامنه CDN در **هیدیفای‌منیجر** می‌پردازیم. این روش‌ها باعث بهینه‌سازی کانفیگ‌ها و افزایش پایداری اتصال کاربران می‌شوند.

---

## **استفاده از آی‌پی تمیز برای اپراتورهای مختلف**

### **مرحله ۱: اسکن آی‌پی‌های تمیز**
برای شناسایی آی‌پی‌های تمیز، از **اسکنر مرتضی باشسیز** همراه با نسخه به‌روز **هسته Xray** استفاده کنید. همچنین نسخه اندروید این ابزار با رابط کاربری ساده‌تر در دسترس است.

### **مرحله ۲: فرمت تعریف آی‌پی تمیز برای اپراتورها**
از فرمت زیر برای مشخص کردن آی‌پی تمیز برای هر اپراتور استفاده کنید:

<div dir="ltr" markdown="1">
۱.۱.۱.۱ MCI > همراه اول  
۲.۲.۲.۲ MTN > ایرانسل  
۳.۳.۳.۳ RTL > رایتل  
۴.۴.۴.۴ MKH > مخابرات  
۵.۵.۵.۵ SBN > صبانت  
۶.۶.۶.۶ HWB > های‌وب  
۷.۷.۷.۷ SHT > شاتل موبایل  
</div>

### **روش‌های جایگزین برای آی‌پی‌های تمیز**

۱. **استفاده از آی‌پی کلودفلر:**
   با استفاده از سایت [check-host.net](https://check-host.net) می‌توانید آی‌پی‌های کلودفلر را بررسی کنید. اگر در بخش ISP یا Organization عبارت "Cloudflare" نمایش داده شد، این آی‌پی‌ها قابل استفاده هستند.

۲. **استفاده از آی‌پی سرور اصلی:**
   آی‌پی مستقیم سرور یا آی‌پی‌های پشت ساب‌دامین می‌توانند گزینه‌های مناسبی باشند، به شرط آنکه عملکرد خوبی روی اپراتور مربوطه داشته باشند.

۳. **استفاده از IPv6:**
   در صورت پشتیبانی اپراتور از IPv6، این گزینه می‌تواند مؤثر باشد. تنظیمات کلاینت را روی **IPv6/IPv4** قرار دهید.

---

## **مدیریت چندین دامنه CDN**

### **روش اول: تعریف ساب‌دامین با آی‌پی تمیز**

۱. **تعریف ساب‌دامین‌های CDN:**
   ساب‌دامین‌هایی با پروکسی روشن تعریف کنید:
   
   ```plaintext
   sub1.domain.com (proxy on)  
   sub2.domain.com (proxy on)  
   sub3.domain.com (proxy on)  
   ```

۲. **تعریف آی‌پی تمیز برای هر اپراتور:**
   ساب‌دامین‌هایی با پروکسی خاموش برای هر آی‌پی تمیز تعریف کنید:
   
   ```plaintext
   mci.domain.com (proxy off)  ==> آی‌پی تمیز همراه اول  
   irc.domain.com (proxy off)  ==> آی‌پی تمیز ایرانسل  
   mkb.domain.com (proxy off)  ==> آی‌پی تمیز مخابرات  
   ```

۳. **اضافه کردن دامنه‌ها در هیدیفای‌منیجر:**
   هر ساب‌دامین را برای اپراتور مربوطه تعریف کنید.

### **روش دوم: استفاده از دامنه دوم برای CDN**

۱. **تعریف ساب‌دامین‌های CDN برای دامنه اول:**

   ```plaintext
   sub1.domain1.com (proxy on)  
   sub2.domain1.com (proxy on)  
   sub3.domain1.com (proxy on)  
   ```

۲. **تعریف ساب‌دامین‌های آی‌پی تمیز برای دامنه اول:**

   ```plaintext
   mci.domain1.com (proxy off)  ==> آی‌پی تمیز همراه اول  
   irc.domain1.com (proxy off)  ==> آی‌پی تمیز ایرانسل  
   mkb.domain1.com (proxy off)  ==> آی‌پی تمیز مخابرات  
   ```

۳. **تعریف رکوردهای CNAME برای دامنه دوم:**

   ```plaintext
   sub1.domain2.com ==> sub1.domain1.com (proxy off)  
   sub2.domain2.com ==> sub2.domain1.com (proxy off)  
   sub3.domain2.com ==> sub3.domain1.com (proxy off)  
   ```

### **روش سوم: استفاده از AutoCDN با تگ‌ها**

۱. **تعریف یک ساب‌دامین AutoCDN:**

   ```plaintext
   sub.domain.com (proxy on)  
   ```

۲. **تعریف تگ برای هر اپراتور:**

   ```plaintext
   mci.ircf.space MCI  
   mtn.ircf.space MTN  
   mkh.ircf.space MKH  
   rtl.ircf.space RTL  
   ```

---

## **ادغام ساب‌دامین‌ها و تگ‌ها برای بهینه‌سازی**

برای ترکیب آی‌پی‌های تمیز و قابلیت‌های AutoCDN:  

۱. **ایجاد یک ساب‌دامین با آی‌پی سرور اصلی (پروکسی خاموش).**  
۲. **تعریف چندین ساب‌دامین با آی‌پی تمیز برای اپراتورهای مختلف.**  
۳. **تنظیم یک دامنه CDN در هیدیفای‌منیجر:**  
   در فیلد "اجبار به استفاده از آی‌پی‌ها"، سه ساب‌دامین با آی‌پی‌های تمیز را وارد کنید.  

۴. **اختصاص تگ اپراتور سازگار به هر ساب‌دامین:**  
   این تنظیم به کلاینت اجازه می‌دهد هنگام وارد کردن لینک، اپراتور شما را شناسایی کرده و ساب‌دامین سازگار را در تنظیمات کانفیگ استفاده کند.

---

با این روش‌ها، می‌توانید دامنه‌ها و آی‌پی‌های خود را در **هیدیفای‌منیجر** به‌صورت بهینه مدیریت کرده و عملکرد بهتری ارائه دهید.

