---
title: توضیحاتی درباره لینک ادمین در هیدیفای‌منیجر و تغییرات آن از نسخه ۱۰
---

<div dir="rtl" markdown=1>

# توضیحاتی درباره لینک ادمین در هیدیفای‌منیجر و تغییرات آن از نسخه ۱۰
## فرمت صحیح لینک ادمین
یا توجه به اینکه لینک مربوط به ادمین و همینطور سایر لینک های برنامه از قسمت های مختلفی تشکیل شده است و در تنظیمات می توان آن ها را تغییر دارد؛ لازم است اینجا توضیحاتی در خصوص فرمت صحیح لینک ادمین داده شود.

در حالت کلی لینک ادمین چنین فرمتی دارد:


<div dir="ltr" markdown=1>
  
`https://sub.domain.com/proxy_root/admin_UUID/address_of_the_page`

`https://sub.domain.com/DrtGho0n4b8H9D/8bncvfb5-8193-vv76-ab97-4c35965l250m/admin/`

![](https://user-images.githubusercontent.com/125398461/230101702-4c15ce6d-ced7-4e07-83ea-b505fc725b60.png)


</div>



هر کدام از قسمت ها با "/" از همدیگر جدا می شوند که در ادامه تشریح می گردند.

> ابتدای لینک که پروتکل سایت را مشخص می کند. اگر از https  استفاده شده باشد؛ به این معنی است که ارتباط کلاینت و سرور توسط یه سرتیفیکیت TLS رمزگذاری می شود و ارتباط امن است. اگر از http استفاده شده باشد؛ به این معنی است که ارتباط کلاینت و سرور بدون رمزگذاری برقرار شده است که پیشنهاد نمی گردد. بنابراین توصیه اکید می گردد حتما از لینک های https جهت ارتباط با سرور استفاده نمایید.

> پس از آن آدرس ساب دامین به همراه دامین وجود دارد که این ساب دامین می تواند دایرکت یا CDN و یا Relay باشد. [توضیحات بیشتر در خصوص انواع دامنه](/manager/wiki/%D8%A7%D9%86%D9%88%D8%A7%D8%B9-%D8%AF%D8%A7%D9%85%D9%86%D9%87-%D9%88-%D9%86%D8%AD%D9%88%D9%87-%D8%AB%D8%A8%D8%AA-%E2%80%8C%D8%A2%D9%86%E2%80%8C%D9%87%D8%A7)

> بعد از آن مسیر مخفی پروکسی قرار دارد که این مسیر در منوی تنظیمات؛ قسمت تنظیمات پیشرفته قرار دارد و قابل تغییر است.

> قسمت بعدی رمز ادمین یا `UUID` است که این رمز را می توان در منوی تنظیمات؛ تنظیمات ادمین ویرایش کرد.

> قسمت انتهایی لینک ادمین آدرس صفحه است که با توجه به اینکه کدام صفحه را باز می‌کنید متفاوت خواهد بود.

حال صفحات زیر مجموعه این صفحه هر کدام در ادامه می توانند اضافه شوند. به عنوان مثال صفحه یوزرها می تواند به این فرمت باشد

<div dir="ltr" markdown=1>

`https://sub.domain.com/DrtGho0n4b8H9D/8bncvfb5-8193-vv76-ab97-4c35965l250m/admin/user/`

</div>

  
* چنانچه بعد از پایان نصب اولیه از طریق ترمینال؛ لینک های ادمین داده شده به فرمت گفته شده بالا نبودند؛ مشخص می شود که نصب به درستی انجام نشده است.
* همچنین اگر تغییری در رمز ادمین صورت گیرد این لینک تغییر می کند.

* همچنین اگر مسیر مخفی پروکسی تغییر کند این آدرس تغییر می کند.

## تغییرات لینک ادمین در نسخه ۱۰
* در نسخه ۱۰ اندکی تغییر در ساختار لینک‌ها صورت گرفته است که مطابق با توضیحات زیر است:
  * به صورت دیفالت بعد از نصب فرمت لینک بلند به صورت بالا در ترمینال ظاهر می‌شود. این لینک، لینک ادمین اصلی شماست.
  * وقتی آن را در مرورگر باز می‌کنید برای امنیت بیشتر، عملیات احراز هویت ادمین بر اساس رمز یا `UUID` آن ادمین انجام می‌شود و سپس لینک بلند به لینک کوتاه تبدیل می‌شود:
     

<div dir="ltr" markdown=1>

`https://sub.domain.com/proxy_root/address_of_the_page` 

![short link format](https://github.com/hiddify/hiddify.com/assets/125398461/c52bd330-65ee-4c83-b7c7-ddd05f32e6a8)


</div>

   * این لینک کوتاه شده تا ۱۰ روز اعتبار دارد یعنی به عبارت دیگر لاگین شما با یوزر ادمین تا ۱۰ روز معتبر است و پس از آن منقضی می‌شود.
   * بعد از آن اگر لینک کوتاه شده را در مرورگر رفرش نمایید، صفحه لاگین با UUID نمایش داده می‌شود. در اینجا نیاز است که `UUID` مربوط به آن ادمین را در فیلد `Scret Code` وارد نمایید تا عملیات لاگین انجام شود.
<div align=center>
  <img alt="login via UUID" src="https://github.com/hiddify/hiddify.com/assets/125398461/d8c66248-5b57-419e-a12f-4195501ee84c" width=70% />
</div>
   * راه‌ حل جایگزین این است که لینک بلند (لینکی که بعد از نصب در ترمینال ظاهر شده بود) را یکبار دیگر باز نمایید. در این صورت نیاز نیست که UUID را وارد نمایید.
   
    > توصیه می‌شود، لینک بلند را همیشه در جایی ذخیره نمایید که در صورت نیاز در دسترس شما باشد و از آن استفاده نمایید.
