---
title: آموزش راه‌اندازی تانل HA-Proxy به عنوان سرور میانی
---

# آموزش راه‌اندازی تانل HA-Proxy به عنوان سرور میانی

## آموزش استفاده از تانل HA-Proxy و اتصال آن به هیدیفای‌منیجر
برای این کار شما به یک سرور میانی نیاز دارید تا از طریق آن به سرور اصلی متصل شوید. معمولا این سرور میانی در کشور محل اقامت در نظر گرفته می‌شود.

<img src="https://user-images.githubusercontent.com/125398461/235339506-bdd76cec-0378-4942-8352-ebebeb006231.png">

حالا در اینجا برای ارتباط بین سرور میانی و سرور اصلی از تانل HA-proxy استفاده می‌شود. بعد از نصب شما به سرور میانی متصل می‌شوید، آن سرور شما را به سرور اصلی متصل می‌کند و سپس از سرور اصلی به اینترنت آزاد دسترسی خواهید داشت.

> نکته: ما این اسکریپت‌ها را روی ابونتو ۲۲.۰۴ تست کردیم بنابراین بهتر هست از این نسخه استفاده کنید.

## نصب تانل HA-Proxy بروی سرور میانی و اتصال آن به سرور خارج

- برای این کار شما به یک سرور میانی نیاز دارید تا از طریق آن به سرور اصلی متصل شوید. معمولا این سرور میانی در کشور محل اقامت در نظر گرفته می‌شود.

- به سرور میانی [SSH بزنید](/fa/manager/installation-and-setup/How-to-connect-to-server-via-SSH/) و دستور نصب HA-proxy را اجرا کنید‌.

```bash
sudo apt-get install haproxy
```

- پس از نصب باید فایل `haproxy.cfg` را تغییر دهید ، دستور زیرا بزنید تا فایل `haproxy.cfg`  با ویرایشگر متنی `nano` باز شود.

```bash
nano /etc/haproxy/haproxy.cfg
```

- پس باز شدن فایل `haproxy.cfg` به انتهای فایل بروید و مثال زیر را اضافه کنید:

```bash
frontend myfrontend
    bind *:RELAY_PORT
    mode tcp
    default_backend mybackend

backend mybackend
    mode tcp
    server target_server MAIN_SERVER_IP:MAIN_SERVER_PORT
```

- در قسمت `RELAY_PORT` پورت سرور میانی خود را قرار دهید که برای ارسال درخواست به سرور اصلی در نظر گرفتید.

- در قسمت MAIN_SERVER_IP:MAIN_SERVER_PORT بایستی آیپی و پورت سرور اصلی خود را قرار دهید. به طور مثال پورت ۴۴۳ توسط هیدیفای به صورت دیفالت استفاده می‌شود.

- به طور مثال اگر فرضا آیپی سرور اصلی شما `10.10.10.10` باشد، در این حالت برای انتقال ترافیک کاربران روی پورت `443` از طریق سرور میانی به سرور اصلی، فایل مورد نظر باید به شکل زیر باشد:

```bash
frontend myfrontend
    bind *:443
    mode tcp
    default_backend mybackend

backend mybackend
    mode tcp
    server target_server 10.10.10.10:443
```

- پس از انجام تغییرات با زدن دکمه‌های `Ctrl + s`  تغییرات را ذخیره کنید و با زدن `Ctrl + x` از فایل خارج شوید. 

- پس از ذخیره فایل، دستور ریستارت HAProxy را بزنید.

```bash
sudo systemctl restart haproxy
```
## تعریف سرور میانی در هیدیفای‌منیجر
حالا برای آیپی سرور میانی (ایران) خود یک ساب‌دامین با پروکسی خاموش ثبت نمایید و آن را در هیدیفای‌منیجر روی حالت `سرور میانی` ثبت نمایید.
- ساب‌دامین ثبت شده را در فیلد `دامنه` قرار دهید و یک `نام نمایشی` نیز برای نمایش در کانفیگ‌ها می‌توانید تعیین نمایید.

<img src="https://github.com/hiddify/hiddify.com/assets/125398461/3f41d92a-04b9-44fb-b645-ac660601472a">

## افزودن کانفیگ‌های `سرور میانی` جهت استفاده به لینک سابسکریپشن

همانند همیشه در هیدیفای‌منیجر بهتر است کانفیگ‌ها را از لینک سابسکریپشن جدا کنید. بنابراین برای دامنه `سرور میانی` ثبت شده نیز می‌توانید در تنظیمات دامنه مربوط به سابسکریپشن، تیک مربوط به دامنه `سرور میانی` را بزنید تا کانفیگ‌های آن به دامنه سابسکریپشن اضافه گردند.

فرض شود که دامنه مربوط به سابسکریپشن `sublink.hiddify.com` باشد، مطابق با تصویر زیر جلو بروید تا کار انجام شود.

<img src="https://github.com/hiddify/hiddify.com/assets/125398461/3661045d-ced7-4694-916f-6ef160c63230">

حالا اگه صفحه کاربر را با دامین سابسکریپشن (در اینجا `sublink.hiddify.com`) باز نمایید خواهید دید که کانکشن‌های مربوط به `سرور میانی` نیز اضافه شده‌اند. می‌توانید این کانکشن‌ها را به صورت تک تک و یا با استفاده از لینک‌های سابسکریشن به کلاینت خود اضافه نمایید و استفاده نمایید.

## حذف تانل HA-Proxy از سرور میانی

برای این کار ابتدا این دستور را اجرا کنید.
```bash
sudo systemctl stop haproxy && systemctl disable haproxy
```

در نهایت برای حذف کامل برنامه و سرویس این دستور را بزنید.


```bash
sudo apt remove haproxy
```
