---
title: استفاده از IPV6 اصلی سرورها برای مقاوم‌سازی تانلینگ
---


### استفاده از IPV6 اصلی سرورها برای مقاوم‌سازی تانلینگ


استفاده از Tunnel با آی‌پی ورژن ۶ (IPV6) برای دور زدن سیستم‌های فیلترینگ و ایجاد اتصال پایدار، به یک راهکار مؤثر و محبوب تبدیل شده است. این روش به خصوص برای سرورهای میانی و اصلی، انعطاف‌پذیری بالایی دارد و می‌تواند کیفیت ارتباط را بهبود بخشد.

---

### توضیحات متد Tunnel با IPV6

استفاده از IPV6 می‌تواند به دو شکل مختلف برای اتصال بین سرورهای میانی و اصلی انجام شود:

1. **ایجاد IPV6 لوکال روی دو سرور میانی و اصلی** و اتصال IPV6 اصلی به شبکه سرور میانی.
   
2. **استفاده از IPV6 اصلی بر روی دو سرور میانی و اصلی** و اتصال IPV6 اصلی به شبکه ایران. این روش نیازمند این است که هر دو سرور میانی دارای کارت شبکه با IPV6 باشند، که می‌توان آن را با دستور `ip a` در ترمینال سرور بررسی کرد.

**نکته:** بهترین متد برای این دو روش، استفاده از **گاست** و **دکودمودور** است، که به صورت عملی تست شده‌اند.

---

### نحوه انجام فرآیند

فرقی نمی‌کند که از کدام روش فوق استفاده می‌کنید، برای بهترین کارایی ممکن روی هیدیفای منیجر، باید از اسکریپت میانی‌ساز استفاده کنید.

1. **مطالعه مقاله مرتبط با اسکریپت میانی‌ساز هیدیفای** برای دستور نصب آن بر روی سرور میانی.
   
2. دستور نصب اسکریپت را اجرا کرده و پس از پایان نصب، محیط اسکریپت برای شما نمایش داده می‌شود.

<img src="https://github.com/hiddify/hiddify.com/assets/125398461/713801f1-01fb-4bc7-83ca-e1294fa1b149" width=70% />

این محیط شامل انواع روش‌های تانل و تنظیمات مرتبط با اسکریپت می‌باشد. سپس یکی از دو متد **گاست** یا **دکودمودور** را انتخاب کنید.

3. با توجه به متد انتخابی، گزینه اول را انتخاب کرده و سپس گزینه **add inbounds** را بزنید و IPV6 اصلی سرور خارج یا آی‌پی لوکال را با فرمت صحیح وارد کنید.

4. پس از وارد کردن آی‌پی، وارد بخش انتخاب پورت شوید و یک پورت دلخواه وارد کنید.

5. کار تمام است! حالا وارد هیدیفای منیجر شوید، از قسمت دامنه‌ها حالت میانی (Relay) را انتخاب کنید و وارد کلودفلر شوید. با دامنه دلخواه خود یک رکورد A و IPV4 سرور ایران ایجاد کنید. آدرس ساب‌دامین را در قسمت دامنه حالت میانی وارد کنید و ذخیره کنید.

---

### پروکسی‌های پیشنهادی

- http tcp relay vmess
- http httpupgrade relay vmess

این روش‌ها می‌توانند به ایجاد یک اتصال پایدار و امن کمک کنند که به خصوص در شرایط فیلترینگ، بسیار کاربردی هستند.
