---
description: Welcome to the wiki page for HiddifyManager
title: Manager Guide
comments: false
weight: -2
---

# :material-home: HiddifyManager Guide

In this page, we put categorized content of tutorials and documents related to HiddifyManager. In addition to the fact that you can click on the links of each article to reach out the full explanations of them, there are some videos for these items on our [YouTube channel](https://www.youtube.com/@hiddify/videos), which you can watch by clicking on the images below.

## How to install HiddifyManager

<div class="card-item mt-4 flex gap-16 rounded-xl border border-gray-500  p-8 backdrop-blur-xl backdrop-filter max-w-[800px] max-h-[451] w-full h-full relative mx-auto my-20 flex-col lg:flex-row dark:ray-500">
<div class="max-w-[552px]">
    <img src="/assets/1.png" alt="image" class="rounded-xl">

    <ul class="my-4 list-disc ml-5 text-secondary">
     <li>
        <a href="/manager/installation-and-setup/guide" target="_blank">Main installation guide</a>
    </li>
    <li>
        <a href="/manager/installation-and-setup/Guide-for-setting-up-the-domain-and-finalizing-the-installation" target="_blank">Guide for setting up the domain and finalizing the installation (Initial setting after installation)</a>
    </li>
    <li>
        <a href="/manager/installation-and-setup/Installation-prerequisites" target="_blank">Installation prerequisites</a>
    </li>
    <li>
        <a href="/manager/installation-and-setup/How-to-connect-to-server-via-SSH" target="_blank">How to connect to server via SSH</a>
    </li>
    <li>
        <a href="/manager/installation-and-setup/How-to-install-different-versions-of-Hiddify-Manager" target="_blank">How to install different versions of Hiddify Manager</a>
    </li>    

    
    <div class="hidden">
        <li>
        <a href="/manager/installation-and-setup/Quick-installation-on-Hetzner-Servers" target="_blank">Quick and easy installation on Hetzner servers </a>
        </li>
        <li>
        <a href="/manager/installation-and-setup/Quick-installation-on-Vultr-Servers" target="_blank">Quick and easy installation on Vultr servers</a>
        </li>
        <li>
        <a href="/manager/installation-and-setup/Quick-Installation-on-Oracle-Cloud" target="_blank">Quick and easy installation on Oracle Cloud</a>
        </li>    
        <li>
        <a href="/manager/installation-and-setup/Quick-Installation-on-OVH-Servers" target="_blank">Quick and easy installation on OVH servers</a>
        </li>
        <li>
        <a href="/manager/installation-and-setup/Quick-Installation-on-Microsoft-Azure" target="_blank">Quick and easy installation on Microsoft Azure</a>
        </li>
        <li>
        <a href="/manager/installation-and-setup/Cloud-init-installation" target="_blank">Easy installation through the data center (Cloud-init)</a>
        </li>

    </div>
    </ul>

</div>

<div class="lg:border-l lg:border-gray-500 lg:p-4 lg:ml-auto">
    <h4 class="text-md">Related videos</h4>
    <div class="flex gap-4 mt-4 flex-col lg:ml-2">
    <a href="https://www.youtube.com/watch?v=PcCfSkMjx4w" target="_blank">
        <img src="/assets/244041345-ed55040a-3239-450b-99d9-34b722cee1a9.png" alt="image" class="rounded-xl w-[184px] h-[103px]">
    </a>
    <a href="https://www.youtube.com/watch?v=XSwCE35lqmU" target="_blank">
        <img src="/assets/235692699-f6cc0a42-3742-44d5-be20-783ac0e50fdc.png" alt="image" class="rounded-xl w-[184px] h-[103px]">
    </a>
    </div>
</div>

<div class="read-more-par absolute bottom-0 right-0 left-0 h-20 radient-to-t rounded-b-xl from-white to-white/10 flex items-center justify-center">
    <button class="rounded-3xl  p-2 px-4 flex gap-2 items-center">
    <span>Read more</span>
    <svg class="icon" xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24">
        <g fill="none" fill-rule="evenodd">
        <path d="M24 0v24H0V0zM12.593 23.258l-.011.002l-.071.035l-.02.004l-.014-.004l-.071-.035c-.01-.004-.019-.001-.024.005l-.004.01l-.017.428l.005.02l.01.013l.104.074l.015.004l.012-.004l.104-.074l.012-.016l.004-.017l-.017-.427c-.002-.01-.009-.017-.017-.018m.265-.113l-.013.002l-.185.093l-.01.01l-.003.011l.018.43l.005.012l.008.007l.201.093c.012.004.023 0 .029-.008l.004-.014l-.034-.614c-.003-.012-.01-.02-.02-.022m-.715.002a.023.023 0 0 0-.027.006l-.006.014l-.034.614c0 .012.007.02.017.024l.015-.002l.201-.093l.01-.008l.004-.011l.017-.43l-.003-.012l-.01-.01z"></path>
        <path fill="currentColor" d="M12.707 15.707a1 1 0 0 1-1.414 0L5.636 10.05A1 1 0 1 1 7.05 8.636l4.95 4.95l4.95-4.95a1 1 0 0 1 1.414 1.414z"></path>
        </g>
    </svg>
    </button>
</div>
</div>

## Configuration and advanced settings

<div class="card-item mt-4 flex gap-16 rounded-xl border border-gray-500  p-8 backdrop-blur-xl backdrop-filter max-w-[800px] max-h-[451] w-full h-full relative mx-auto my-20 flex-col lg:flex-row">
<div class="max-w-[552px]">
    <img src="/assets/image194.png" alt="image" class="rounded-xl">

    <ul class="my-4 list-disc ml-5 text-secondary">
    <li>
        <a href="/manager/configuration-and-advanced-settings/How-to-configure-Hiddify-panel-properly/" target="_blank">
        How to configure Hiddify Manager properly (Getting familiar with its different parts)</a>
    </li>
    <li>
        <a href="/manager/configuration-and-advanced-settings/How-to-connect-and-troubleshoot-via-SSH/" target="_blank">
        How to connect and troubleshoot via SSH (working with HiddifyManager Menu)</a>
    </li>
    <li>
        <a href="/manager/configuration-and-advanced-settings/How-to-use-Reality-on-Hiddify/" target="_blank">
        How to use Reality on HiddifyManager</a>
    </li>
    <li>
        <a href="/manager/configuration-and-advanced-settings/How-to-set-up-and-use-Telegram-bot-on-Hiddify-panel/" target="_blank">
        How to set up and use Telegram bot on HiddifyManager</a>
    </li>
    <li>
        <a href="/manager/configuration-and-advanced-settings/How-to-set-up-Telegram-proxy-on-Hiddify/" target="_blank">
        How to set up Telegram proxy on HiddifyManager</a>
    </li>
    <div class="hidden">
        <li>
        <a href="/manager/configuration-and-advanced-settings/How-to-activate-WARP-on-the-Hiddify-panel/" target="_blank">
            How to activate WARP on HiddifyManager</a>
        </li>
        <li>
        <a href="/manager/configuration-and-advanced-settings/How-to-backup-and-restore-panel-on-Hiddify/" target="_blank">
            How to backup and restore HiddifyManager</a>
        </li>
        <li>
        <a href="/manager/configuration-and-advanced-settings/How-to-update-Hiddify-panel/" target="_blank">
            How to update HiddifyManager</a>
        </li>
        <li>
        <a href="/manager/configuration-and-advanced-settings/How-to-Reset-Hiddify-panel-to-default/" target="_blank">
            How to Reset HiddifyManager to default</a>
        </li>
        <li>
        <a href="/manager/configuration-and-advanced-settings/SSH-proxy-setting-on-Hiddify-panel/" target="_blank">
            How to setup SSH proxy on HiddifyManager</a>
        </li>
        <li>
        <a href="/manager/configuration-and-advanced-settings/How-to-use-subdomains-of-a-website-in-Reality/" target="_blank">
            How to use subdomains of a website in Reality</a>
        </li>
        <li>
        <a href="https://github.com/hiddify/Hiddify_Reality_Scanner/blob/main/README.md" target="_blank">
            How to use Hiddify Reality Scanner</a>
        </li>
    </div>
    </ul>

</div>

<div class="lg:border-l lg:border-gray-500 lg:p-4 lg:ml-auto">
<h4 class="text-md">Related videos</h4>    
    <div class="flex gap-4 mt-4 flex-col lg:ml-2">
    <a href="https://www.youtube.com/watch?v=nOe7FhajX3g" target="_blank">
        <img src="/assets/238177886-661b1164-aca9-4ef6-bce8-781ab2970040.png" alt="image" class="rounded-xl w-[184px] h-[103px]">
    </a>
    <a href="https://www.youtube.com/watch?v=eFNPBSy8_to" target="_blank">
        <img src="/assets/261299658-59808c2f-3894-47f7-ab7b-b50c3dbb3d68.jpg" alt="image" class="rounded-xl w-[184px] h-[103px]">
    </a>
    </div>
</div>

<div class="read-more-par absolute bottom-0 right-0 left-0 h-20 radient-to-t rounded-b-xl from-white to-white/10 flex items-center justify-center">
    <button class="rounded-3xl  p-2 px-4 flex gap-2 items-center">
    <span>Read more</span>
    <svg class="icon" xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24">
        <g fill="none" fill-rule="evenodd">
        <path d="M24 0v24H0V0zM12.593 23.258l-.011.002l-.071.035l-.02.004l-.014-.004l-.071-.035c-.01-.004-.019-.001-.024.005l-.004.01l-.017.428l.005.02l.01.013l.104.074l.015.004l.012-.004l.104-.074l.012-.016l.004-.017l-.017-.427c-.002-.01-.009-.017-.017-.018m.265-.113l-.013.002l-.185.093l-.01.01l-.003.011l.018.43l.005.012l.008.007l.201.093c.012.004.023 0 .029-.008l.004-.014l-.034-.614c-.003-.012-.01-.02-.02-.022m-.715.002a.023.023 0 0 0-.027.006l-.006.014l-.034.614c0 .012.007.02.017.024l.015-.002l.201-.093l.01-.008l.004-.011l.017-.43l-.003-.012l-.01-.01z"></path>
        <path fill="currentColor" d="M12.707 15.707a1 1 0 0 1-1.414 0L5.636 10.05A1 1 0 1 1 7.05 8.636l4.95 4.95l4.95-4.95a1 1 0 0 1 1.414 1.414z"></path>
        </g>
    </svg>
    </button>
</div>
</div>

<div class="absolute -z-40 h-full max-h-screen w-full max-w-[700px] bg-pink-200 opacity-60 mix-blend-multiply blur-3xl filter md:left-0 md:animate-blob"></div>
<div class="animation-delay-2000 animat absolute -z-40 h-full max-h-[500px] w-full max-w-[700px] bg-indigo-300 opacity-30 mix-blend-multiply blur-3xl filter md:right-[5%] md:animate-blob"></div>

## Domain, Worker, CDN and tunneling

<div class="card-item mt-4 flex gap-16 rounded-xl border border-gray-500  p-8 backdrop-blur-xl backdrop-filter max-w-[800px] max-h-[451] w-full h-full relative mx-auto my-20 flex-col lg:flex-row">
<div class="max-w-[552px]">
    <img src="/assets/image-195.png" alt="image" class="rounded-xl">

    <ul class="my-4 list-disc text-secondary ml-5 max-w-[402px]">
    <li>
        <a target="_blank" href="/manager/domain-worker-cdn-and-tunneling/Domain-types-and-how-to-register-them/">
        Domain types and how to register them
        </a>
    </li>
    <li>
        <a target="_blank" href="/manager/domain-worker-cdn-and-tunneling/What-is-CDN-and-how-does-it-help-us%3F/">
        What is CDN and how does it help us?
        </a>
    </li>
    <li>
        <a target="_blank" href="/manager/domain-worker-cdn-and-tunneling/How-to-use-Cloudflare-CDN/">
        How to use Cloudflare CDN
        </a>
    </li>
    <li>
        <a target="_blank" href="/manager/domain-worker-cdn-and-tunneling/How-to-use-GCore-CDN-on-Cloudflare-registered-domain/">
        How to use GCore CDN
        </a>
    </li>
    <li>
        <a target="_blank" href="/manager/domain-worker-cdn-and-tunneling/How-to-use-Amazon-CDN/">
        How to use Amazon CDN or Cloudfront</a>
    </li>
    <li>
        <a target="_blank" href="/manager/domain-worker-cdn-and-tunneling/Get-Cloudflare-API/">
        Tutorial on automating subdomain registration on Cloudflare</a>
    </li>
    <div class="hidden">
        <li>
        <a target="_blank" href="/manager/domain-worker-cdn-and-tunneling/Guide-for-using-mode-Auto_CDN_IP-on-Hiddify/">
            How to use AutoCDN IP domain</a>
        </li>
        <li>
        <a target="_blank" href="/manager/domain-worker-cdn-and-tunneling/Tutorial-for-using-wildcard-subdomains-on-Hiddify/">
            How to use wildcard subdomains on HiddifyManager</a>
        </li>
        <li>
        <a target="_blank" href="/manager/domain-worker-cdn-and-tunneling/Guide-for-domain-fronting/">
            How to use Domain Fronting</a>
        </li>
        <li>
        <a target="_blank" href="/manager/domain-worker-cdn-and-tunneling/How-to-use-multiCDN-domains-in-HiddifyManager/">How to use multiple CDN domains in HiddifyManager</a>
        </li>
        <li>
        <a target="_blank" href="/manager/domain-worker-cdn-and-tunneling/Guide-for-finding-a-clean-Cloudflare-IP/">What is Cloudflare's clean IP and how to find it</a>
        </li>
        <li>
        <a target="_blank" href="https://hiddify.com/manager/domain-worker-cdn-and-tunneling/How-to-use-desired-clean-IPs-based-on-a-specific-format/">How to use desired clean IPs based on a specific format (for the forced to use host field)</a>
        </li>
        <li>
        <a target="_blank" href="/manager/domain-worker-cdn-and-tunneling/How-to-create-subscription-link-on-Hiddify/">How to create subscription link on HiddifyManager</a>
        </li>
        <li>
        <a target="_blank" href="/manager/domain-worker-cdn-and-tunneling/How-to-use-a-PHP-site-for-sub-links/">Using PHP site for subscription link</a>
        </li>
        <li>
        <a target="_blank" href="/manager/domain-worker-cdn-and-tunneling/How-to-use-the-Cloudflare-worker-domain-on-Hiddify/">How to use the Cloudflare worker domain on HiddifyManager (Automated way)</a>
        </li>
        <li>
        <a target="_blank" href="/manager/domain-worker-cdn-and-tunneling/How-to-set-up-and-use-Cloudflare-workers/">How to setup and use Cloudflare workers (Manual way)</a>
        </li>
        <li>
        <a target="_blank" href="/manager/domain-worker-cdn-and-tunneling/How-to-setup-relay-server-using-Hiddify-Relay-Builder/">How to setup relay server using Hiddify Relay Builder (all in one app)</a>
        </li>
        <li>
        <a target="_blank" href="/manager/domain-worker-cdn-and-tunneling/Tutorial-for-setting-up-IP-Tables-tunnel-as-relay-server/">How to setup a relay server using the IP-Tables method</a>
        </li>
        <li>
        <a target="_blank" href="/manager/domain-worker-cdn-and-tunneling/Tutorial-for-setting-up-GOST-tunnel-as-relay-server/">How to setup relay server using GOST method</a>
        </li>
        <li>
        <a target="_blank" href="/manager/domain-worker-cdn-and-tunneling/Tutorial-for-setting-up-WST-tunnel-as-relay-server/">How to setup relay server using WST method
        </a>
        </li>
        <li>
        <a target="_blank" href="/manager/domain-worker-cdn-and-tunneling/Tutorial-for-setting-up-Dokodemo-Door-tunnel-as-relay-server/">How to setup relay server using Dokodemo-Door method
        </a>
        </li>
        <li>
        <a target="_blank" href="/manager/domain-worker-cdn-and-tunneling/Tutorial-for-setting-up-HA-Proxy-tunnel-as-relay-server/">How to setup relay server using HA-proxy
        </a>
        </li>
        <li>
        <a target="_blank" href="/manager/domain-worker-cdn-and-tunneling/Tutorial-for-setting-up-HA-Proxy-tunnel-as-relay-server/">How to add a relay server (domain) to HiddifyManager
        </a>
        </li>
        <li>
        <a target="_blank" href="/manager/domain-worker-cdn-and-tunneling/Tutorial-for-setting-up-local-IPv6/">Tutorial for setting up local IPv6 for Relay server
        </a>
        </li>
        <li>
        <a target="_blank" href="/manager/domain-worker-cdn-and-tunneling/How-to-create-and-use-fake-domain/">How How to create and use fake domain
        </a>
        </li>
        <li>
        <a target="_blank" href="/manager/domain-worker-cdn-and-tunneling/The-correct-format-of-admin-link/">
            Explanations about admin link in HiddifyManager and its changes from version 10
        </a>
        </li>
    </div>
    </ul>

</div>

<div class="lg:border-l lg:border-gray-500 lg:p-4 lg:ml-auto">
    <h4 class="text-md">Related videos</h4>
    <div class="flex gap-4 mt-4 flex-col lg:ml-2">
    <a href="https://www.youtube.com/watch?v=ea5C93ynkUs" target="_blank">
        <img src="/assets/240580612-97edd880-89ee-4f57-9f8d-d9398a3ceea0.png" alt="image" class="rounded-xl w-[184px] h-[103px]">
    </a>
    <a href="https://youtu.be/gAyfCJt0jXw?si=QSA8kNy_Ua79sN70" target="_blank">
        <img src="/assets/274807068-2e229b5d-4b3d-4588-8434-aff0b278c66a.jpg" alt="image" class="rounded-xl w-[184px] h-[103px]">
    </a>
    </div>
</div>

<div class="read-more-par absolute bottom-0 right-0 left-0 h-20 radient-to-t rounded-b-xl from-white to-white/10 flex items-center justify-center">
    <button class="rounded-3xl  p-2 px-4 flex gap-2 items-center">
    <span>Read more</span>
    <svg class="icon" xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24">
        <g fill="none" fill-rule="evenodd">
        <path d="M24 0v24H0V0zM12.593 23.258l-.011.002l-.071.035l-.02.004l-.014-.004l-.071-.035c-.01-.004-.019-.001-.024.005l-.004.01l-.017.428l.005.02l.01.013l.104.074l.015.004l.012-.004l.104-.074l.012-.016l.004-.017l-.017-.427c-.002-.01-.009-.017-.017-.018m.265-.113l-.013.002l-.185.093l-.01.01l-.003.011l.018.43l.005.012l.008.007l.201.093c.012.004.023 0 .029-.008l.004-.014l-.034-.614c-.003-.012-.01-.02-.02-.022m-.715.002a.023.023 0 0 0-.027.006l-.006.014l-.034.614c0 .012.007.02.017.024l.015-.002l.201-.093l.01-.008l.004-.011l.017-.43l-.003-.012l-.01-.01z"></path>
        <path fill="currentColor" d="M12.707 15.707a1 1 0 0 1-1.414 0L5.636 10.05A1 1 0 1 1 7.05 8.636l4.95 4.95l4.95-4.95a1 1 0 0 1 1.414 1.414z"></path>
        </g>
    </svg>
    </button>
</div>
</div>


## Basic concepts and troubleshooting

<div class="card-item mt-4 flex gap-16 rounded-xl border border-gray-500  p-8 backdrop-blur-xl backdrop-filter max-w-[800px] max-h-[451] w-full h-full relative mx-auto my-20 flex-col lg:flex-row">
<div class="max-w-[552px]">
    <img src="/assets/image-196.png" alt="image" class="rounded-xl">

    <ul class="my-4 list-disc text-secondary ml-5">
    <li>
        <a target="_blank" href="/manager/basic-concepts-and-troubleshooting/How-to-make-sure-the-server's-IP-or-domain-is-clean/">
        How to make sure the server's IP or domain is clean
        </a>
    </li>
    <li>
        <a href="/manager/installation-and-setup/How-to-connect-to-server-via-SSH/" target="_blank">How to connect to server via SSH</a>
    </li>
    <li>
        <a target="_blank" href="/manager/configuration-and-advanced-settings/How-to-connect-and-troubleshoot-via-SSH/">
        How to connect and troubleshoot via SSH (Working with Hiddify Menu)
        </a>
    </li>
    <li>
        <a target="_blank" href="/manager/basic-concepts-and-troubleshooting/How-to-set-DNS-server/">
        How to set DNS server on HiddifyManager
        </a>
    </li>
    <li>
        <a target="_blank" href="https://hiddify.com/manager/basic-concepts-and-troubleshooting/How-to-check-and-prevent-DNS-leaks/">
        How to check and prevent DNS leaks
        </a>
    </li>


    <div class="hidden">
        <li>
        <a target="_blank" href="/manager/basic-concepts-and-troubleshooting/Troubleshooting-connectivity-issues-with-HiddifyManager-and-proxies/">
        Troubleshooting connectivity issues with HiddifyManager and proxies
        </a>
        </li>
        <li>
        <a target="_blank" href="/manager/basic-concepts-and-troubleshooting/How-to-setup-Firewall-on-Hiddify-panel/">
        How to setup Firewall on HiddifyManager
        </a>
        </li>
        <li>
        <a target="_blank" href="/manager/basic-concepts-and-troubleshooting/How-to-monitor-server-resources-on-Hiddify/">
        How to monitor server resources on HiddifyManager
        </a>
        </li>
        <li>
        <a target="_blank" href="/manager/basic-concepts-and-troubleshooting/How-to-do-speed-test-on-server/">
            How to do speed test on server
        </a>
        </li>
        <li>
        <a target="_blank" href="/manager/basic-concepts-and-troubleshooting/How-to-disable-IP-version-6-on-Hiddify/">
            How to disable IP version 6 on HiddifyManager
        </a>
        </li>
        <li>
        <a target="_blank" href="/manager/basic-concepts-and-troubleshooting/Disable-SSH-Password-Authentication/">
            Disable SSH Password Authentication on SSH
        </a>
        </li>
        <li>
        <a target="_blank" href="/manager/basic-concepts-and-troubleshooting/How-to-change-SSH-port-on-your-server/">
            How to change SSH port on your server
        </a>
        </li>
        <li>
        <a target="_blank" href="/manager/basic-concepts-and-troubleshooting/TLS-setting-for-increased-security/">
            TLS setting for increased security
        </a>
        </li>
        <li>
        <a target="_blank" href="/manager/basic-concepts-and-troubleshooting/How-to-transfer-files-between-a-server-and-a-computer/">
            How to transfer files between a server and a computer
        </a>
        </li>
        <li>
        <a target="_blank" href="/manager/basic-concepts-and-troubleshooting/How-the-TLS-Trick-works-and-its-usage/">
            How the TLS Trick works and its usage
        </a>
        </li>
        <li>
        <a target="_blank" href="https://hiddify.com/manager/basic-concepts-and-troubleshooting/How-MUX-works-and-its-usage/">
            How MUX works and its usage
        </a>
        </li>
        <li>
        <a target="_blank" href="/manager/basic-concepts-and-troubleshooting/Basic-Concepts/">
            Basic concepts related to the internet and using proxies
        </a>
        </li>
    </div>
    </ul>

</div>

<div class="read-more-par absolute bottom-0 right-0 left-0 h-20 radient-to-t rounded-b-xl from-white to-white/10 flex items-center justify-center">
    <button class="rounded-3xl  p-2 px-4 flex gap-2 items-center">
    <span>Read more</span>
    <svg class="icon" xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24">
        <g fill="none" fill-rule="evenodd">
        <path d="M24 0v24H0V0zM12.593 23.258l-.011.002l-.071.035l-.02.004l-.014-.004l-.071-.035c-.01-.004-.019-.001-.024.005l-.004.01l-.017.428l.005.02l.01.013l.104.074l.015.004l.012-.004l.104-.074l.012-.016l.004-.017l-.017-.427c-.002-.01-.009-.017-.017-.018m.265-.113l-.013.002l-.185.093l-.01.01l-.003.011l.018.43l.005.012l.008.007l.201.093c.012.004.023 0 .029-.008l.004-.014l-.034-.614c-.003-.012-.01-.02-.02-.022m-.715.002a.023.023 0 0 0-.027.006l-.006.014l-.034.614c0 .012.007.02.017.024l.015-.002l.201-.093l.01-.008l.004-.011l.017-.43l-.003-.012l-.01-.01z"></path>
        <path fill="currentColor" d="M12.707 15.707a1 1 0 0 1-1.414 0L5.636 10.05A1 1 0 1 1 7.05 8.636l4.95 4.95l4.95-4.95a1 1 0 0 1 1.414 1.414z"></path>
        </g>
    </svg>
    </button>
</div>
</div>

## Client softwares on Android

<div class="card-item mt-4 flex gap-16 rounded-xl border border-gray-500  p-8 backdrop-blur-xl backdrop-filter max-w-[800px] max-h-[451] w-full h-full relative mx-auto my-20 flex-col lg:flex-row">
<div class="max-w-[552px]">
    <img src="/assets/android_tutorials.jpg" alt="image" class="rounded-xl">

    <ul class="my-4 list-disc mr-5 text-secondary">
    <li>
        <a href="/manager/client-software-on-android/Tutorial-for-HiddifyNG-app/" target="_blank">
        Tutorial for HiddifyNG app
        </a>
    </li>
    <li>
        <a href="/manager/client-software-on-android/Tutorial-for-HiddifyClashAndroid-app/" target="_blank">
        Tutorial for HiddifyClashAndroid app
        </a>
    </li>
    <li>
        <a href="/manager/client-software-on-android/Tutorial-for-V2rayNG-app/" target="_blank">
        Tutorial for V2rayNG app
        </a>
    </li>
    <li>
        <a href="/manager/client-software-on-ios/Tutorial-for-SingBox-app/" target="_blank">
        Tutorial for Sing-box app
        </a>
    </li>


    <div class="hidden">
        <li>
        <a href="/manager/client-software-on-android/Tutorial-for-Nekobox-app/" target="_blank">
        Tutorial for Nekobox app
        </a>
    </li>
    </div>
    </ul>

</div>

<div class="lg:border-l lg:border-gray-500 lg:p-4 lg:mr-auto">
<h4 class="text-md">Related videos</h4>    
    <div class="flex gap-4 mt-4 flex-col lg:mr-2">
    <a href="https://www.youtube.com/watch?v=hVcWJ8Qg1GQ" target="_blank">
        <img src="/assets/HiddifyNG_Tutorial_en.png" alt="image" class="rounded-xl w-[184px] h-[103px]">
    </a>
    <a href="https://www.youtube.com/watch?v=mUTfYd1_UCM" target="_blank">
        <img src="/assets/HiddifyClashAndroid_Tutorial_en.png" alt="image" class="rounded-xl w-[184px] h-[103px]">
    </a>
    <a href="https://www.youtube.com/watch?v=5AQgbCwHujk" target="_blank">
        <img src="/assets/V2rayNG_Tutorial_en.png" alt="image" class="rounded-xl w-[184px] h-[103px]">
    </a>
    <a href="https://www.youtube.com/watch?v=Ml7XeYp70mM" target="_blank">
        <img src="/assets/V2flyng_Tutorial_en.png" alt="image" class="rounded-xl w-[184px] h-[103px]">
    </a>
    </div>
</div>

<div class="read-more-par absolute bottom-0 right-0 left-0 h-20 radient-to-t rounded-b-xl from-white to-white/10 flex items-center justify-center">
    <button class="rounded-3xl  p-2 px-4 flex gap-2 items-center">
    <span>Read more</span>
    <svg class="icon" xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24">
        <g fill="none" fill-rule="evenodd">
        <path d="M24 0v24H0V0zM12.593 23.258l-.011.002l-.071.035l-.02.004l-.014-.004l-.071-.035c-.01-.004-.019-.001-.024.005l-.004.01l-.017.428l.005.02l.01.013l.104.074l.015.004l.012-.004l.104-.074l.012-.016l.004-.017l-.017-.427c-.002-.01-.009-.017-.017-.018m.265-.113l-.013.002l-.185.093l-.01.01l-.003.011l.018.43l.005.012l.008.007l.201.093c.012.004.023 0 .029-.008l.004-.014l-.034-.614c-.003-.012-.01-.02-.02-.022m-.715.002a.023.023 0 0 0-.027.006l-.006.014l-.034.614c0 .012.007.02.017.024l.015-.002l.201-.093l.01-.008l.004-.011l.017-.43l-.003-.012l-.01-.01z"></path>
        <path fill="currentColor" d="M12.707 15.707a1 1 0 0 1-1.414 0L5.636 10.05A1 1 0 1 1 7.05 8.636l4.95 4.95l4.95-4.95a1 1 0 0 1 1.414 1.414z"></path>
        </g>
    </svg>
    </button>
</div>
</div>


## Client softwares on iOS

<div class="card-item mt-4 flex gap-16 rounded-xl border border-gray-500  p-8 backdrop-blur-xl backdrop-filter max-w-[800px] max-h-[451] w-full h-full relative mx-auto my-20 flex-col lg:flex-row">
<div class="max-w-[552px]">
    <img src="/assets/ios_tutorials.jpg" alt="image" class="rounded-xl">

    <ul class="my-4 list-disc mr-5 text-secondary">
    <li>
        <a href="/manager/client-software-on-ios/Tutorial-for-ShadowRocket-app/" target="_blank">
        Tutorial for ShadowRocket app
        </a>
    </li>
    <li>
        <a href="/manager/client-software-on-ios/Tutorial-for-Stash-app/" target="_blank">
        Tutorial for Stash app
        </a>
    </li>
    <li>
        <a href="/manager/client-software-on-ios/Tutorial-for-FoXray-app/" target="_blank">
        Tutorial for FoXray app
        </a>
    </li>
    <li>
        <a href="/manager/client-software-on-ios/Tutorial-for-Fair-VPN-app/" target="_blank">
         Tutorial for Fair VPN app
        </a>
    </li>
    <li>
        <a href="/manager/client-software-on-ios/Tutorial-for-V2Box-app/" target="_blank">
        Tutorial for V2Box app
        </a>
    </li>


    <div class="hidden">
        <li>
        <a href="/manager/client-software-on-ios/Tutorial-for-Streisand/" target="_blank">
        Tutorial for Streisand
        </a>
        </li>
        <li>
        <a href="/manager/client-software-on-ios/Tutorial-for-SingBox-app/" target="_blank">
        Tutorial for Sing-box app
        </a>
        </li>
    </div>
    </ul>

</div>

<div class="read-more-par absolute bottom-0 right-0 left-0 h-20 radient-to-t rounded-b-xl from-white to-white/10 flex items-center justify-center">
    <button class="rounded-3xl  p-2 px-4 flex gap-2 items-center">
    <span>Read more</span>
    <svg class="icon" xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24">
        <g fill="none" fill-rule="evenodd">
        <path d="M24 0v24H0V0zM12.593 23.258l-.011.002l-.071.035l-.02.004l-.014-.004l-.071-.035c-.01-.004-.019-.001-.024.005l-.004.01l-.017.428l.005.02l.01.013l.104.074l.015.004l.012-.004l.104-.074l.012-.016l.004-.017l-.017-.427c-.002-.01-.009-.017-.017-.018m.265-.113l-.013.002l-.185.093l-.01.01l-.003.011l.018.43l.005.012l.008.007l.201.093c.012.004.023 0 .029-.008l.004-.014l-.034-.614c-.003-.012-.01-.02-.02-.022m-.715.002a.023.023 0 0 0-.027.006l-.006.014l-.034.614c0 .012.007.02.017.024l.015-.002l.201-.093l.01-.008l.004-.011l.017-.43l-.003-.012l-.01-.01z"></path>
        <path fill="currentColor" d="M12.707 15.707a1 1 0 0 1-1.414 0L5.636 10.05A1 1 0 1 1 7.05 8.636l4.95 4.95l4.95-4.95a1 1 0 0 1 1.414 1.414z"></path>
        </g>
    </svg>
    </button>
</div>
</div>

## Client softwares on Desktop

<div class="card-item mt-4 flex gap-16 rounded-xl border border-gray-500  p-8 backdrop-blur-xl backdrop-filter max-w-[800px] max-h-[451] w-full h-full relative mx-auto my-20 flex-col lg:flex-row">
<div class="max-w-[552px]">
    <img src="/assets/desktop_tutorials.jpg" alt="image" class="rounded-xl">

    <ul class="my-4 list-disc mr-5 text-secondary">
    <li>
        <a href="/manager/client-software-on-desktop/Tutorial-for-HiddifyN-software/" target="_blank">
         Tutorial for HiddifyN software
        </a>
    </li>
    <li>
        <a href="/manager/client-software-on-desktop/Tutorial-for-HiddifyClashDesktop-software/" target="_blank">
        Tutorial for HiddifyClashDesktop software
        </a>
    </li>
    <li>
        <a href="/manager/client-software-on-desktop/Tutorial-for-QV2ray-software/" target="_blank">
         Tutorial for QV2ray software
        </a>
    </li>
   
    <div class="hidden">
  
    </div>
    </ul>
</div>

<div class="lg:border-l lg:border-gray-500 lg:p-4 lg:mr-auto">
<h4 class="text-md">Related videos</h4>
    <div class="flex gap-4 mt-4 flex-col lg:mr-2">
    <a href="https://www.youtube.com/watch?v=Jnnx1VWMlEs" target="_blank">
        <img src="/assets/HiddifyN_Tutorial_en.png" alt="image" class="rounded-xl w-[184px] h-[103px]">
    </a>
    <a href="https://www.youtube.com/watch?v=L1VxAcG_7jg" target="_blank">
        <img src="/assets/HiddifyClashDesktop_tutorial_en.png" alt="image" class="rounded-xl w-[184px] h-[103px]">
    </a>
    </div>

</div>

</div>

## Contribution

<div class="card-item mt-4 flex gap-16 rounded-xl border border-gray-500  p-8 backdrop-blur-xl backdrop-filter max-w-[800px] max-h-[451] w-full h-full relative mx-auto my-20 flex-col lg:flex-row">
<div class="max-w-[552px]">
    <img src="/assets/contribution.jpg" alt="image" class="rounded-xl">

    <ul class="my-4 list-disc text-secondary ml-5">
    <li>
        <a target="_blank" href="/manager/contribution/How-to-contribute-to-this-project/">
        How to contribute to this project
        </a>
    </li>
    <li>
        <a target="_blank" href="/manager/contribution/How-to-use-API-in-HiddifyManager-project/">
        How to use API in HiddifyManager project
        </a>
    </li>

</div>


</div>


<div class="absolute -z-40 h-full max-h-screen w-full max-w-[700px] bg-pink-200 opacity-60 mix-blend-multiply blur-3xl filter md:left-0 md:animate-blob"></div>
<div class="animation-delay-2000 animat absolute -z-40 h-full max-h-[500px] w-full max-w-[700px] bg-indigo-300 opacity-30 mix-blend-multiply blur-3xl filter md:right-[5%] md:animate-blob"></div>

<script>
    function toggleShow() {
    var mobileHeader = document.getElementById("mobile-header");
    var showIcon = document.getElementById("show-icon");
    var hideIcon = document.getElementById("hide-icon");

    if (mobileHeader.classList.contains("hidden")) {
        mobileHeader.classList.remove("hidden");
        showIcon.classList.add("hidden");
        hideIcon.classList.remove("hidden");
    } else {
        mobileHeader.classList.add("hidden");
        showIcon.classList.remove("hidden");
        hideIcon.classList.add("hidden");
    }
    }

    var cardItems = document.querySelectorAll(".card-item");
    cardItems.forEach(function (item) {
    var show_more = item.querySelector("button");
    var contents = item.querySelector(".hidden");
    var read_more_par = item.querySelector(".read-more-par");

    if (show_more) {
        show_more.addEventListener("click", function () {
        contents.outerHTML = contents.innerHTML;
        read_more_par.outerHTML = "";
        });
    }
    });
</script>
