---
title: راهنمای منیجر
hide:
  # - navigation
  - toc
  - feedback
weight: -20
comments: false

---
<style>
@media screen and (min-width: 76.1875em) {.md-sidebar{display:none;}}
  .md-content__button {
    display: none;
  }
</style>

# همه آموزش‌ها و ویدیوهای مرتبط با هیدیفای‌منیجر
هیدیفای‌منیجر یک برنامه برای نصب روی سرورها برای ساخت سرور VPN می‌باشد که از پروتکل‌های متعددی پشتیبانی می‌کند. اطلاعات مناسب و کامل از <a
  class="underline underline-offset-2"
  href="https://github.com/hiddify/Hiddify-Manager/blob/main/README_fa.md">اینجا</a> قابل دسترسی است.در این صفحه تمامی آموزش‌های مرتبط با هیدیفای‌منیجر به صورت دسته‌بندی شده قرار گرفته شده است.

<section class="flex flex-col gap-5 items-center justify-center py-10">
  <section
    class=" video-card  relative w-full md:max-w-[900px] rounded-3xl border-2 border-white bg-white bg-opacity-20 shadow-lg">

    <div class="flex flex-col md:flex-row h-full md:max-h-[450px]" id="section-1">
      <div class="px-8 py-8 w-full md:w-2/3">
        <img src="/assets/install.png" class="md:max-h-[183px] rounded-xl w-full md:max-w-[326px] mb-5" />
        <div class="flex flex-col gap-2">
          <h1 class="text-primaryText title-font text-lg mb-3">آموزش نصب هیدیفای‌منیجر</h1>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/installation-and-setup/guide/" target="_blank"
              class="text-secondaryText text-sm">راهنمای نصب اصلی</a>
          </div>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/installation-and-setup/Guide-for-setting-up-the-domain-and-finalizing-the-installation/"
              target="_blank" class="text-secondaryText text-sm">ثبت دامنه در هیدیفای‌منیجر و نهایی‌سازی نصب
              (انجام
              تنظیمات ابتدایی بعد از نصب)</a>
          </div>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/installation-and-setup/Installation-prerequisites/" target="_blank"
              class="text-secondaryText text-sm">پیش‌نیازهای نصب</a>
          </div>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/installation-and-setup/How-to-connect-to-server-via-SSH/" target="_blank"
              class="text-secondaryText text-sm">آموزش اتصال به سرور از طریق SSH</a>
          </div>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/installation-and-setup/How-to-install-different-versions-of-Hiddify-Manager/"
              target="_blank" class="text-secondaryText text-sm">نصب نسخه‌های مختلف هیدیفای‌منیجر</a>
          </div>
        </div>
      </div>

      <div
        class="max-h-[500px] md:max-h-[unset]  md:border-r-2 border-t-2 md:border-t-0 border-white px-2 py-2 w-full md:w-1/3">
        <div class="px-6 overflow-y-auto overflow-x-hidden max-h-[400px] md:h-full">
          <div class="pt-6">
            <h1 class="text-secondaryText title-font text-base">ویدیوهای مرتبط</h1>
          </div>
          <div class="flex flex-col gap-3 md:gap-1">
            <a href="https://www.youtube.com/watch?v=pydED363X-o">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/install_version8.jpg"
                  class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=sZzXI7BGClI">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/purchase_domain.jpg"
                  class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=tRrulSA8rZU">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/basic-settings.png"
                  class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=GVEHJUOojUY">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/purchase_vps2.png"
                  class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=h0yk3Vm3hcI">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/install_hiddifymanager_version7.png"
                  class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=DunP8wfctyA">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/hiddifymanager_features.png"
                  class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=l-KKRus2KS0">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/finalize.png" class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=_LYFqrXVupI">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/install.png" class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=tcd1wBUR3cY">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/purchase_vps.png" class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=hRRg10BURJI">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/vutr_install.png" class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=s1QZD1Ujdds">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/oracle_install.png"
                  class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
          </div>
        </div>
      </div>
    </div>
  </section>

  <section
    class=" video-card  relative w-full md:max-w-[900px] rounded-3xl border-2 border-white bg-white bg-opacity-20 shadow-lg">

    <div class="flex flex-col md:flex-row h-full md:max-h-[450px]" id="section-2">
      <div class="px-8 py-8 w-full md:w-2/3">
        <img src="/assets/config_hiddifymanager.png"
          class="md:max-h-[183px] rounded-xl w-full md:max-w-[326px] mb-5" />
        <div class="flex flex-col gap-2">
          <h1 class="text-primaryText title-font text-lg mb-3">پیکربندی و تنظیمات پیشرفته</h1>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/configuration-and-advanced-settings/How-to-configure-Hiddify-panel-properly/"
              target="_blank" class="text-secondaryText text-sm">آموزش کامل پیکربندی هیدیفای‌منیجر (آشنایی با
              بخش‌های مختلف و تنظیمات آن)</a>
          </div>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/configuration-and-advanced-settings/How-to-connect-and-troubleshoot-via-SSH/"
              target="_blank" class="text-secondaryText text-sm">آموزش اتصال به سرور و عیب‌یابی از طریق SSH (کار
              با
              منوی هیدیفای‌منیجر)</a>
          </div>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/configuration-and-advanced-settings/How-to-use-Reality-on-Hiddify/"
              target="_blank" class="text-secondaryText text-sm">تنظیمات ریالیتی در هیدیفای‌منیجر</a>
          </div>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/configuration-and-advanced-settings/How-to-set-up-and-use-Telegram-bot-on-Hiddify-panel/"
              target="_blank" class="text-secondaryText text-sm">تنظیم بات تلگرام در هیدیفای‌منیجر</a>
          </div>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/configuration-and-advanced-settings/How-to-set-up-Telegram-proxy-on-Hiddify/"
              target="_blank" class="text-secondaryText text-sm">آموزش راه‌اندازی پروکسی تلگرام در
              هیدیفای‌منیجر</a>
          </div>

          <div class="flex flex-col gap-2 md:hidden" id="section-content-2">
            <div class="flex items-center gap-2">
              <div>
                <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
              </div>
              <a href="/fa/manager/configuration-and-advanced-settings/How-to-activate-WARP-on-the-Hiddify-panel/"
                target="_blank" class="text-secondaryText text-sm">آموزش فعال‌سازی وارپ در هیدیفای‌منیجر</a>
            </div>
            <div class="flex items-center gap-2">
              <div>
                <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
              </div>
              <a href="/fa/manager/configuration-and-advanced-settings/How-to-backup-and-restore-panel-on-Hiddify/"
                target="_blank" class="text-secondaryText text-sm">آموزش پشتیبان‌گیری و بازیابی پنل در
                هیدیفای‌منیجر</a>
            </div>
            <div class="flex items-center gap-2">
              <div>
                <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
              </div>
              <a href="/fa/manager/configuration-and-advanced-settings/How-to-update-Hiddify-panel/"
                target="_blank" class="text-secondaryText text-sm">آموزش به‌روزرسانی هیدیفای‌منیجر</a>
            </div>
            <div class="flex items-center gap-2">
              <div>
                <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
              </div>
              <a href="/fa/manager/configuration-and-advanced-settings/How-to-Reset-Hiddify-panel-to-default/"
                target="_blank" class="text-secondaryText text-sm">ریست کردن تنظیمات هیدیفای‌منیجر به حالت
                اولیه</a>
            </div>
            <div class="flex items-center gap-2">
              <div>
                <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
              </div>
              <a href="/fa/manager/configuration-and-advanced-settings/SSH-proxy-setting-on-Hiddify-panel/"
                target="_blank" class="text-secondaryText text-sm">آموزش تنظیم پروکسی SSH در هیدیفای‌منیجر</a>
            </div>
            <div class="flex items-center gap-2">
              <div>
                <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
              </div>
              <a href="/fa/manager/configuration-and-advanced-settings/How-to-use-subdomains-of-a-website-in-Reality/"
                target="_blank" class="text-secondaryText text-sm">نحوه استفاده از چندین زیردامنه یک وبسایت در
                ریالیتی</a>
            </div>
            <div class="flex items-center gap-2">
              <div>
                <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
              </div>
              <a href="https://github.com/hiddify/Hiddify-Reality-Scanner/blob/main/README_fa.md" target="_blank"
                class="text-secondaryText text-sm">آموزش استفاده از اسکنر ریالیتی هیدیفای</a>
            </div>
          </div>
        </div>
      </div>

      <div
        class="max-h-[500px] md:max-h-[unset]  md:border-r-2 border-t-2 md:border-t-0 border-white px-2 py-2 w-full md:w-1/3">
        <div class="px-6 overflow-y-auto overflow-x-hidden max-h-[400px] md:h-full">
          <div class="pt-6">
            <h1 class="text-secondaryText title-font text-base">ویدیوهای مرتبط</h1>
          </div>
          <div class="flex flex-col gap-3 md:gap-1">
            <a href="https://www.youtube.com/watch?v=T1SKHk6HDks">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/hiddify_reality_scanner.png"
                  class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=4o4lDfOtpRw">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/Telegram_Bot.png" class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=Pzk2Y9Q4n_s">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/HiddifyMenu.png" class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=QtS7595cH30">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/reality_on_hiddifymanager.png"
                  class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=N819QPAtkrk">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/quick_reality_tutorial.png"
                  class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=OfvKL9CaOQU">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/config_hiddifymanager.png"
                  class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
          </div>
        </div>
      </div>
    </div>

    <div id="section-bottom-2"
      class="hidden md:flex bg-gradient-to-t from-white bg-opacity-80 h-24 rounded-b-3xl w-full absolute bottom-0 justify-center items-start py-3">
      <button id="read-more-2" onclick="readMore(2)"
        class="bg-[#E2E2E2] flex h-fit py-2 px-5 rounded-full items-center justify-center gap-2">
        <span>بیشتر بخوانید</span>
        <svg id="arrow-2" xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24">
          <g fill="none" fill-rule="evenodd">
            <path
              d="M24 0v24H0V0zM12.593 23.258l-.011.002l-.071.035l-.02.004l-.014-.004l-.071-.035c-.01-.004-.019-.001-.024.005l-.004.01l-.017.428ل.005.02ل.01.013ل.104.074ل.015.004ل.012-.004ل.104-.074ل.012-.016ل.004-.017ل-.017-.427c-.002-.01-.009-.017-.017-.018m.265-.113ل-.013.002ل-.185.093ل-.01.01ل-.003.011ل.018.43ل.005.012ل.008.007ل.201.093c.012.004.023 0 .029-.008ل.004-.014ل-.034-.614c-.003-.012-.01-.02-.02-.022m-.715.002a.023.023 0 0 0-.027.006ل-.006.014ل-.034.614c0 .012.007.02.017.024ل.015-.002ل.201-.093ل.01-.008ل.004-.011ل.017-.43ل-.003-.012ل-.01-.01z" />
            <path fill="currentColor"
              d="M12.707 15.707a1 1 0 0 1-1.414 0L5.636 10.05A1 1 0 1 1 7.05 8.636l4.95 4.95l4.95-4.95a1 1 0 0 1 1.414 1.414z" />
          </g>
        </svg>
      </button>
    </div>
  </section>

  <section
    class=" video-card  relative w-full md:max-w-[900px] rounded-3xl border-2 border-white bg-white bg-opacity-20 shadow-lg">

    <div class="flex flex-col md:flex-row h-full md:max-h-[450px]" id="section-3">
      <div class="px-8 py-8 w-full md:w-2/3">
        <img src="/assets/image-195.png" class="md:max-h-[183px] rounded-xl w-full md:max-w-[326px] mb-5" />
        <div class="flex flex-col gap-2">
          <h1 class="text-primaryText title-font text-lg mb-3">دامنه، ورکر، CDN و تانل</h1>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/domain-worker-cdn-and-tunneling/Domain-types-and-how-to-register-them/"
              target="_blank" class="text-secondaryText text-sm">انواع دامنه و نحوه ثبت آن‌ها</a>
          </div>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/domain-worker-cdn-and-tunneling/What-is-CDN-and-how-does-it-help-us%3F/"
              target="_blank" class="text-secondaryText text-sm">CDN چیست و چگونه به ما کمک می‌کند؟</a>
          </div>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/domain-worker-cdn-and-tunneling/How-to-use-Cloudflare-CDN/" target="_blank"
              class="text-secondaryText text-sm">چگونه از Cloudflare CDN استفاده کنیم</a>
          </div>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/domain-worker-cdn-and-tunneling/How-to-use-GCore-CDN-on-Cloudflare-registered-domain/"
              target="_blank" class="text-secondaryText text-sm">چگونه از GCore CDN استفاده کنیم</a>
          </div>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/domain-worker-cdn-and-tunneling/How-to-use-Amazon-CDN/" target="_blank"
              class="text-secondaryText text-sm">چگونه از Amazon CDN یا Cloudfront استفاده کنیم</a>
          </div>

          <div class="flex flex-col gap-2 md:hidden" id="section-content-3">
            <div class="flex items-center gap-2">
              <div>
                <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
              </div>
              <a href="/fa/manager/domain-worker-cdn-and-tunneling/Get-Cloudflare-API/" target="_blank"
                class="text-secondaryText text-sm">
                آموزش اتوماسیون ثبت زیر دامنه در Cloudflare
              </a>
            </div>
          </div>
        </div>
      </div>

      <div
        class="max-h-[500px] md:max-h-[unset]  md:border-r-2 border-t-2 md:border-t-0 border-white px-2 py-2 w-full md:w-1/3">
        <div class="px-6 overflow-y-auto overflow-x-hidden max-h-[400px] md:h-full">
          <div class="pt-6">
            <h1 class="text-secondaryText title-font text-base">ویدیوهای مرتبط</h1>
          </div>
          <div class="flex flex-col gap-3 md:gap-1">
            <a href="https://www.youtube.com/watch?v=Xn9qwxpWmWQ">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/php_sub_link.png" class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=rdzYoOK6j2U">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/subscription_link.png"
                  class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=zq2sq43R1i0">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/domain-types.png" class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=vBrD9iYeIrM">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/cdn_tutorial.png" class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=r2dlt19OybM">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/ws_tunnel.png" class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=T3yfTqqQqJQ">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/gost_tunnel.png" class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=MiD8FYWwHIc">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/iptables_tunnel.png"
                  class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=147nyGlTuuA">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/cf_worker_tutorial.png"
                  class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=HHq4EQoUHXY">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/finding_clean_ip_cf.png"
                  class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=x44qGcnpBSE">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/wilcard_domain.png"
                  class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=kz_Ih__jS9c">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/auto_cdn_ip_domain.png"
                  class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
          </div>
        </div>
      </div>
    </div>

    <div id="section-bottom-3"
      class="hidden md:flex bg-gradient-to-t from-white bg-opacity-80 h-24 rounded-b-3xl w-full absolute bottom-0 justify-center items-start py-3">
      <button id="read-more-3" onclick="readMore(3)"
        class="bg-[#E2E2E2] flex h-fit py-2 px-5 rounded-full items-center justify-center gap-2">
        <span>بیشتر بخوانید</span>
        <svg id="arrow-3" xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24">
          <g fill="none" fill-rule="evenodd">
            <path
              d="M24 0v24H0V0zM12.593 23.258l-.011.002l-.071.035l-.02.004l-.014-.004l-.071-.035c-.01-.004-.019-.001-.024.005l-.004.01l-.017.428ل.005.02ل.01.013ل.104.074ل.015.004ل.012-.004ل.104-.074ل.012-.016ل.004-.017ل-.017-.427c-.002-.01-.009-.017-.017-.018m.265-.113ل-.013.002ل-.185.093ل-.01.01ل-.003.011ل.018.43ل.005.012ل.008.007ل.201.093c.012.004.023 0 .029-.008ل.004-.014ل-.034-.614c-.003-.012-.01-.02-.02-.022m-.715.002a.023.023 0 0 0-.027.006ل-.006.014ل-.034.614c0 .012.007.02.017.024ل.015-.002ل.201-.093ل.01-.008ل.004-.011ل.017-.43ل-.003-.012ل-.01-.01z" />
            <path fill="currentColor"
              d="M12.707 15.707a1 1 0 0 1-1.414 0L5.636 10.05A1 1 0 1 1 7.05 8.636l4.95 4.95l4.95-4.95a1 1 0 0 1 1.414 1.414z" />
          </g>
        </svg>
      </button>
    </div>
  </section>

  <section
    class=" video-card  relative w-full md:max-w-[900px] rounded-3xl border-2 border-white bg-white bg-opacity-20 shadow-lg">

    <div class="flex flex-col md:flex-row h-full md:max-h-[450px]" id="section-4">
      <div class="px-8 py-8 w-full md:w-2/3">
        <img src="/assets/image-196.png" class="md:max-h-[183px] rounded-xl w-full md:max-w-[326px] mb-5" />
        <div class="flex flex-col gap-2">
          <h1 class="text-primaryText title-font text-lg mb-3">مفاهیم پایه و عیب‌یابی</h1>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/basic-concepts-and-troubleshooting/How-to-make-sure-the-server's-IP-or-domain-is-clean/"
              target="_blank" class="text-secondaryText text-sm">چگونه مطمئن شویم IP یا دامنه سرور تمیز است</a>
          </div>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/installation-and-setup/How-to-connect-to-server-via-SSH/" target="_blank"
              class="text-secondaryText text-sm">چگونه از طریق SSH به سرور متصل شویم</a>
          </div>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/configuration-and-advanced-settings/How-to-connect-and-troubleshoot-via-SSH/"
              target="_blank" class="text-secondaryText text-sm">آموزش SSH اتصال و رفع عیب از طریق (کار با منوی
              هیدیفای)</a>
          </div>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/basic-concepts-and-troubleshooting/How-to-set-DNS-server/" target="_blank"
              class="text-secondaryText text-sm">آموزش تنظیم DNS سرور در هیدیفای‌منیجر</a>
          </div>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/basic-concepts-and-troubleshooting/How-to-check-and-prevent-DNS-leaks/"
              target="_blank" class="text-secondaryText text-sm">آموزش تست نشتی DNS</a>
          </div>

          <div class="flex flex-col gap-2 md:hidden" id="section-content-4">
            <div class="flex items-center gap-2">
              <div>
                <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
              </div>
              <a href="/fa/manager/basic-concepts-and-troubleshooting/Troubleshooting-connectivity-issues-with-HiddifyManager-and-proxies/"
                target="_blank" class="text-secondaryText text-sm">
                عیب‌یابی مشکلات اتصال با هیدیفای منیجر و پروکسی‌ها
              </a>
            </div>
            <div class="flex items-center gap-2">
              <div>
                <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
              </div>
              <a href="/fa/manager/basic-concepts-and-troubleshooting/How-to-setup-Firewall-on-Hiddify-panel/"
                target="_blank" class="text-secondaryText text-sm">چگونه فایروال را در پنل هیدیفای تنظیم کنیم
              </a>
            </div>
            <div class="flex items-center gap-2">
              <div>
                <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
              </div>
              <a href="/fa/manager/basic-concepts-and-troubleshooting/How-to-monitor-server-resources-on-Hiddify/"
                target="_blank" class="text-secondaryText text-sm">چگونه منابع سرور را در پنل هیدیفای نظارت کنیم
              </a>
            </div>
            <div class="flex items-center gap-2">
              <div>
                <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
              </div>
              <a href="/fa/manager/basic-concepts-and-troubleshooting/How-to-monitor-server-resources-on-Hiddify/"
                target="_blank" class="text-secondaryText text-sm">چگونه تست سرعت سرور را انجام دهیم
              </a>
            </div>
            <div class="flex items-center gap-2">
              <div>
                <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
              </div>
              <a href="/fa/manager/basic-concepts-and-troubleshooting/How-to-disable-IP-version-6-on-Hiddify/"
                target="_blank" class="text-secondaryText text-sm">چگونه IP نسخه ۶ را در هیدیفای غیرفعال کنیم
              </a>
            </div>
            <div class="flex items-center gap-2">
              <div>
                <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
              </div>
              <a href="/fa/basic-concepts-and-troubleshooting/Disable-SSH-Password-Authentication/"
                target="_blank" class="text-secondaryText text-sm">غیرفعال کردن احراز هویت رمز عبور SSH
              </a>
            </div>
            <div class="flex items-center gap-2">
              <div>
                <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
              </div>
              <a href="/fa/manager/basic-concepts-and-troubleshooting/How-to-change-SSH-port-on-your-server/"
                target="_blank" class="text-secondaryText text-sm">نحوه تغییر پورت SSH روی سرور</a>
            </div>
            <div class="flex items-center gap-2">
              <div>
                <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
              </div>
              <a href="/fa/manager/basic-concepts-and-troubleshooting/TLS-setting-for-increased-security/"
                target="_blank" class="text-secondaryText text-sm">تنظیم TLS برای افزایش امنیت</a>
            </div>
            <div class="flex items-center gap-2">
              <div>
                <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
              </div>
              <a href="/fa/manager/basic-concepts-and-troubleshooting/How-to-transfer-files-between-a-server-and-a-computer/"
                target="_blank" class="text-secondaryText text-sm">چگونه فایل‌ها را بین سرور و کامپیوتر انتقال
                دهیم
              </a>
            </div>
            <div class="flex items-center gap-2">
              <div>
                <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
              </div>
              <a href="/fa/manager/basic-concepts-and-troubleshooting/How-the-TLS-Trick-works-and-its-usage/"
                target="_blank" class="text-secondaryText text-sm">کاربرد و نحوه عملکرد TLS Trick</a>
            </div>
            <div class="flex items-center gap-2">
              <div>
                <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
              </div>
              <a href="/fa/manager/basic-concepts-and-troubleshooting/How-MUX-works-and-its-usage/"
                target="_blank" class="text-secondaryText text-sm">کاربرد و نحوه عملکرد MUX</a>
            </div>
            <div class="flex items-center gap-2">
              <div>
                <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
              </div>
              <a href="/fa/manager/basic-concepts-and-troubleshooting/Basic-Concepts/" target="_blank"
                class="text-secondaryText text-sm">مفاهیم پایه مرتبط با اینترنت و استفاده از پروکسی</a>
            </div>
          </div>
        </div>
      </div>

      <div
        class="max-h-[500px] md:max-h-[unset]  md:border-r-2 border-t-2 md:border-t-0 border-white px-2 py-2 w-full md:w-1/3">
        <div class="px-6 overflow-y-auto overflow-x-hidden max-h-[400px] md:h-full">
          <div class="pt-6">
            <h1 class="text-secondaryText title-font text-base">ویدیوهای مرتبط</h1>
          </div>
          <div class="flex flex-col gap-3 md:gap-1">
            <a href="https://www.youtube.com/watch?v=MRI3HYfayb4">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/enable_ssh_key.png"
                  class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=vN5sInIIOpU">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/clean_ip.png" class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=UujtFy8YuB4">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/some_points_about_vpn.png"
                  class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
          </div>
        </div>
      </div>
    </div>

    <div id="section-bottom-4"
      class="hidden md:flex bg-gradient-to-t from-white bg-opacity-80 h-24 rounded-b-3xl w-full absolute bottom-0 justify-center items-start py-3">
      <button id="read-more-4" onclick="readMore(4)"
        class="bg-[#E2E2E2] flex h-fit py-2 px-5 rounded-full items-center justify-center gap-2">
        <span>بیشتر بخوانید</span>
        <svg id="arrow-4" xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24">
          <g fill="none" fill-rule="evenodd">
            <path
              d="M24 0v24H0V0zM12.593 23.258l-.011.002l-.071.035l-.02.004l-.014-.004l-.071-.035c-.01-.004-.019-.001-.024.005l-.004.01l-.017.428ل.005.02ل.01.013ل.104.074ل.015.004ل.012-.004ل.104-.074ل.012-.016ل.004-.017ل-.017-.427c-.002-.01-.009-.017-.017-.018m.265-.113ل-.013.002ل-.185.093ل-.01.01ل-.003.011ل.018.43ل.005.012ل.008.007ل.201.093c.012.004.023 0 .029-.008ل.004-.014ل-.034-.614c-.003-.012-.01-.02-.02-.022m-.715.002a.023.023 0 0 0-.027.006ل-.006.014ل-.034.614c0 .012.007.02.017.024ل.015-.002ل.201-.093ل.01-.008ل.004-.011ل.017-.43ل-.003-.012ل-.01-.01z" />
            <path fill="currentColor"
              d="M12.707 15.707a1 1 0 0 1-1.414 0L5.636 10.05A1 1 0 1 1 7.05 8.636l4.95 4.95l4.95-4.95a1 1 0 0 1 1.414 1.414z" />
          </g>
        </svg>
      </button>
    </div>
  </section>

  <section
    class=" video-card  relative w-full md:max-w-[900px] rounded-3xl border-2 border-white bg-white bg-opacity-20 shadow-lg">

    <div class="flex flex-col md:flex-row h-full md:max-h-[450px]" id="section-5">
      <div class="px-8 py-8 w-full md:w-2/3">
        <img src="/assets/android_tutorials.jpg"
          class="md:max-h-[183px] rounded-xl w-full md:max-w-[326px] mb-5" />
        <div class="flex flex-col gap-2">
          <h1 class="text-primaryText title-font text-lg mb-3">نرم‌افزارهای کلاینت در اندروید</h1>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/client-software-on-android/Tutorial-for-HiddifyNG-app/" target="_blank"
              class="text-secondaryText text-sm">آموزش اپلیکیشن HiddifyNG</a>
          </div>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/client-software-on-android/Tutorial-for-HiddifyClashAndroid-app/" target="_blank"
              class="text-secondaryText text-sm">آموزش اپلیکیشن HiddifyClashAndroid</a>
          </div>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/client-software-on-android/Tutorial-for-V2rayNG-app/" target="_blank"
              class="text-secondaryText text-sm">آموزش اپلیکیشن V2rayNG</a>
          </div>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/client-software-on-ios/Tutorial-for-SingBox-app/" target="_blank"
              class="text-secondaryText text-sm">آموزش اپلیکیشن Sing-box</a>
          </div>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/client-software-on-android/Tutorial-for-Nekobox-app/" target="_blank"
              class="text-secondaryText text-sm">آموزش اپلیکیشن Nekobox</a>
          </div>

          <div class="flex flex-col gap-2 md:hidden" id="section-content-5">
            <!-- hidden links goes here-->
          </div>
        </div>
      </div>

      <div
        class="max-h-[500px] md:max-h-[unset]  md:border-r-2 border-t-2 md:border-t-0 border-white px-2 py-2 w-full md:w-1/3">
        <div class="px-6 overflow-y-auto overflow-x-hidden max-h-[400px] md:h-full">
          <div class="pt-6">
            <h1 class="text-secondaryText title-font text-base">ویدیوهای مرتبط</h1>
          </div>
          <div class="flex flex-col gap-3 md:gap-1">
            <a href="https://www.youtube.com/watch?v=qDbI72J-INM">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/hiddifyng_tutorial.png"
                  class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=8P887E-KMls">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/hiddify_clash_android_tutorial.png"
                  class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=6HncctDHXVs">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/v2rayng_tutorial.png"
                  class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=7kqprO7M4eM">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/v2flyng_tutorial.png"
                  class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://youtube.com/shorts/_-Iyr_RtIH0">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/wpa_android.png" class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
          </div>
        </div>
      </div>
    </div>

    <!-- read more button goes here-->

  </section>

  <section
    class=" video-card  relative w-full md:max-w-[900px] rounded-3xl border-2 border-white bg-white bg-opacity-20 shadow-lg">

    <div class="flex flex-col md:flex-row h-full md:max-h-[450px]" id="section-6">
      <div class="px-8 py-8 w-full md:w-2/3">
        <img src="/assets/ios_tutorials.jpg" class="md:max-h-[183px] rounded-xl w-full md:max-w-[326px] mb-5" />
        <div class="flex flex-col gap-2">
          <h1 class="text-primaryText title-font text-lg mb-3">نرم افزارهای کلاینت در iOS</h1>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/client-software-on-ios/Tutorial-for-ShadowRocket-app/" target="_blank"
              class="text-secondaryText text-sm">آموزش برنامه ShadowRocket</a>
          </div>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/client-software-on-ios/Tutorial-for-Stash-app/" target="_blank"
              class="text-secondaryText text-sm">آموزش برنامه Stash</a>
          </div>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/client-software-on-ios/Tutorial-for-FoXray-app/" target="_blank"
              class="text-secondaryText text-sm">آموزش برنامه FoXray</a>
          </div>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/client-software-on-ios/Tutorial-for-Fair-VPN-app/" target="_blank"
              class="text-secondaryText text-sm">آموزش برنامه Fair VPN</a>
          </div>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/client-software-on-ios/Tutorial-for-V2Box-app/" target="_blank"
              class="text-secondaryText text-sm">آموزش برنامه V2Box</a>
          </div>

          <div class="flex flex-col gap-2 md:hidden" id="section-content-6">
            <div class="flex items-center gap-2">
              <div>
                <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
              </div>
              <a href="/fa/manager/client-software-on-ios/Tutorial-for-Streisand/" target="_blank"
                class="text-secondaryText text-sm">
                آموزش برنامه Streisand
              </a>
            </div>
            <div class="flex items-center gap-2">
              <div>
                <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
              </div>
              <a href="/fa/manager/client-software-on-ios/Tutorial-for-SingBox-app/" target="_blank"
                class="text-secondaryText text-sm">آموزش برنامه Sing-box
              </a>
            </div>
          </div>
        </div>
      </div>

      <div
        class="max-h-[500px] md:max-h-[unset]  md:border-r-2 border-t-2 md:border-t-0 border-white px-2 py-2 w-full md:w-1/3">
        <div class="px-6 overflow-y-auto overflow-x-hidden max-h-[400px] md:h-full">
          <h1 class="text-secondaryText title-font text-base mt-6">ویدئوهای مرتبط</h1>
          <div class="flex flex-col gap-3 md:gap-1">
            <a href="https://www.youtube.com/watch?v=knOxCtgvaDA">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/foxray_tutorial.jpg"
                  class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=jaMkZTLH2QY">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/streisand.png" class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=01m7w-I4JXE">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/fairvpn_tutorial.png"
                  class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=F2bC_mtbYmQ">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/shadowrocket_tutorial.png"
                  class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=D0Xv54nRSY8">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/stash_tutorial.png"
                  class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=qFKv4I-MNQc">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/wingx_tutorial.png"
                  class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://youtube.com/shorts/GBywNl2KZMM">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/WPA_iPhone.png" class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
          </div>
        </div>
      </div>
    </div>

    <div id="section-bottom-6"
      class="hidden md:flex bg-gradient-to-t from-white bg-opacity-80 h-24 rounded-b-3xl w-full absolute bottom-0 justify-center items-start py-3">
      <button id="read-more-6" onclick="readMore(6)"
        class="bg-[#E2E2E2] flex h-fit py-2 px-5 rounded-full items-center justify-center gap-2">
        <span>بیشتر بخوانید</span>
        <svg id="arrow-6" xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24">
          <g fill="none" fill-rule="evenodd">
            <path
              d="M24 0v24H0V0zM12.593 23.258l-.011.002l-.071.035l-.02.004l-.014-.004l-.071-.035c-.01-.004-.019-.001-.024.005l-.004.01l-.017.428l.005.02l.01.013l.104.074l.015.004l.012-.004l.104-.074l.012-.016l.004-.017l-.017-.427c-.002-.01-.009-.017-.017-.018m.265-.113l-.013.002l-.185.093l-.01.01l-.003.011l.018.43l.005.012l.008.007l.201.093c.012.004.023 0 .029-.008l.004-.014l-.034-.614c-.003-.012-.01-.02-.02-.022m-.715.002a.023.023 0 0 0-.027.006l-.006.014l-.034.614c0 .012.007.02.017.024l.015-.002l.201-.093l.01-.008l.004-.011l.017-.43l-.003-.012l-.01-.01z" />
            <path fill="currentColor"
              d="M12.707 15.707a1 1 0 0 1-1.414 0L5.636 10.05A1 1 0 1 1 7.05 8.636l4.95 4.95l4.95-4.95a1 1 0 0 1 1.414 1.414z" />
          </g>
        </svg>
      </button>
    </div>
  </section>

  <section
    class=" video-card  relative w-full md:max-w-[900px] rounded-3xl border-2 border-white bg-white bg-opacity-20 shadow-lg">

    <div class="flex flex-col md:flex-row h-full md:max-h-[450px]" id="section-7">
      <div class="px-8 py-8 w-full md:w-2/3">
        <img src="/assets/desktop_tutorials.jpg"
          class="md:max-h-[183px] rounded-xl w-full md:max-w-[326px] mb-5" />
        <div class="flex flex-col gap-2">
          <h1 class="text-primaryText title-font text-lg mb-3">نرم افزارهای کلاینت در دسکتاپ</h1>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/client-software-on-desktop/Tutorial-for-HiddifyN-software/" target="_blank"
              class="text-secondaryText text-sm">آموزش نرم افزار HiddifyN</a>
          </div>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/client-software-on-desktop/Tutorial-for-HiddifyClashDesktop-software/"
              target="_blank" class="text-secondaryText text-sm">آموزش نرم افزار HiddifyClashDesktop</a>
          </div>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/client-software-on-desktop/Tutorial-for-QV2ray-software/" target="_blank"
              class="text-secondaryText text-sm">آموزش نرم افزار QV2ray</a>
          </div>


          <div class="flex flex-col gap-2 md:hidden" id="section-content-7">
            <!-- hidden links goes here -->
          </div>
        </div>
      </div>

      <div
        class="max-h-[500px] md:max-h-[unset]  md:border-r-2 border-t-2 md:border-t-0 border-white px-2 py-2 w-full md:w-1/3">
        <div class="px-6 overflow-y-auto overflow-x-hidden max-h-[400px] md:h-full">
          <h1 class="text-secondaryText title-font text-base mt-6">ویدئوهای مرتبط</h1>
          <div class="flex flex-col gap-3 md:gap-1">
            <a href="https://www.youtube.com/watch?v=o9L2sI2T53Q">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/HiddifyN_tutorial.png"
                  class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=jaMkZTLH2QY">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/HiddifyClashDesktop_tutorial.png"
                  class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
            <a href="https://www.youtube.com/watch?v=01m7w-I4JXE">
              <div class="relative p-2 flex justify-center items-center">
                <img src="/assets/nekoray.png" class="md:max-h-[103px] w-full md:max-w-[184px] rounded-xl" />
                <img src="/assets/play-icon.svg" class="absolute" decoding="async" loading="lazy" />
              </div>
            </a>
          </div>
        </div>
      </div>
    </div>

    <!-- read more button goes here -->
  </section>

  <section
    class=" video-card  relative w-full md:max-w-[900px] rounded-3xl border-2 border-white bg-white bg-opacity-20 shadow-lg">

    <div class="flex flex-col md:flex-row h-full md:max-h-[450px]" id="section-8">
      <div class="px-8 py-8 w-full md:w-2/3">
        <img src="/assets/contribution.jpg" class="md:max-h-[183px] rounded-xl w-full md:max-w-[326px] mb-5" />
        <div class="flex flex-col gap-2">
          <h1 class="text-primaryText title-font text-lg mb-3">مشارکت در توسعه</h1>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/contribution/How-to-contribute-to-this-project/" target="_blank"
              class="text-secondaryText text-sm">چگونه می‌توان در این پروژه همکاری نمود</a>
          </div>
          <div class="flex items-center gap-2">
            <div>
              <div class="h-2 w-2 rounded-full bg-[#455FE9]"></div>
            </div>
            <a href="/fa/manager/contribution/How-to-use-API-in-HiddifyManager-project/" target="_blank"
              class="text-secondaryText text-sm">آموزش استفاده از API در هیدیفای‌منیجر</a>
          </div>

          <div class="flex flex-col gap-2 md:hidden" id="section-content-8">
            <!-- hidden links goes here-->
          </div>
        </div>
      </div>

      <!-- <div
      class="max-h-[500px] md:max-h-[unset]  md:border-r-2 border-t-2 md:border-t-0 border-white px-8 py-8 w-full md:w-1/3 overflow-y-auto overflow-x-hidden">
      <h1 class="text-secondaryText title-font text-base">ویدئوهای مرتبط</h1>
    </div> -->
    </div>

    <!-- read more button -->
  </section>

</section>



  <script>
    

    function readMore(id) {
      const readMoreBtn = document.getElementById(`read-more-${id}`)
      const arrowIcon = document.getElementById(`arrow-${id}`)
      const hiddenContent = document.getElementById(`section-content-${id}`)
      const section = document.getElementById(`section-${id}`)
      const sectionBottom = document.getElementById(`section-bottom-${id}`)

      const btnText = readMoreBtn.getElementsByTagName('span')[0].innerText

      if (btnText.includes('بیشتر')) {
        readMoreBtn.getElementsByTagName('span')[0].innerText = 'کمتر بخوانید'
        hiddenContent.style.display = 'flex'
        sectionBottom.classList.remove('absolute')

        const content = document.getElementById(`section-content-${id}`)
        section.style.maxHeight = content.offsetHeight + 450 + 'px'
        arrowIcon.style.transform = "rotate(180deg)";
      } else {
        readMoreBtn.getElementsByTagName('span')[0].innerText = 'بیشتر بخوانید'
        hiddenContent.style.display = 'none'
        section.style.maxHeight = 450 + 'px'
        arrowIcon.style.transform = "rotate(0deg)";
        sectionBottom.classList.add('absolute')
      }
    }
  </script>
